### 
###	DayPerl.pm
package DayPerl;

use strict;
use warnings;
use Carp;

require Exporter;
require DynaLoader;
use AutoLoader;

our @ISA = qw(Exporter DynaLoader);

# Items to export into callers namespace by default. Note: do not export
# names by default without a very good reason. Use EXPORT_OK instead.
# Do not simply export all your public functions/methods/constants.

# This allows declaration	use DayPerl ':all';
# If you do not need this, moving things directly into @EXPORT or @EXPORT_OK
# will save memory.
our %EXPORT_TAGS = ( 'all' => [ qw(
	DM_MAX_HOSTNAME
	DM_MAX_PASSWORD
	DM_MAX_PATHLEN
	DM_MAX_SERVICE
	DM_MAX_TAG
	DM_MAX_USERID
	DM_NACTIONS
	DM_NFUNCS
	DM_NSIMILAR
	DM_NSORTS
	DM_NSTRINGS
	DM_NSUBSTRUCTS
	DM_NSUPERS
	DT_DATATYPE_INCLUDED
	DT_FINGER_INCLUDED
	DT_HTTP_INCLUDED
	DT_MDEP_INCLUDED
	DT_MERLIN_INCLUDED
	DT_MONOMER_INCLUDED
	DT_PROGOB_INCLUDED
	DT_SMILES_INCLUDED
	DT_THOR_INCLUDED
	DT_XX_CIS
	DT_XX_NO_CHI
	DT_XX_NO_DBO
	DT_XX_OH
	DT_XX_SP
	DT_XX_TB
	DT_XX_TH
	DT_XX_TH1
	DT_XX_TH2
	DT_XX_THCCW
	DT_XX_THCW
	DT_XX_TRANS
	DX_ACTION_ADD_HITS
	DX_ACTION_ADD_NONHITS
	DX_ACTION_DEL_HITS
	DX_ACTION_DEL_NONHITS
	DX_ACTION_NEW_LIST
	DX_ACTION_NEXT_HIT
	DX_ACTION_NEXT_NONHIT
	DX_API_PUBLIC
	DX_ATN_Ac
	DX_ATN_Ag
	DX_ATN_Al
	DX_ATN_Am
	DX_ATN_Ar
	DX_ATN_As
	DX_ATN_At
	DX_ATN_Au
	DX_ATN_B
	DX_ATN_Ba
	DX_ATN_Be
	DX_ATN_Bi
	DX_ATN_Bk
	DX_ATN_Br
	DX_ATN_C
	DX_ATN_Ca
	DX_ATN_Cd
	DX_ATN_Ce
	DX_ATN_Cf
	DX_ATN_Cl
	DX_ATN_Cm
	DX_ATN_Co
	DX_ATN_Cr
	DX_ATN_Cs
	DX_ATN_Cu
	DX_ATN_Dy
	DX_ATN_Er
	DX_ATN_Es
	DX_ATN_Eu
	DX_ATN_F
	DX_ATN_Fe
	DX_ATN_Fm
	DX_ATN_Fr
	DX_ATN_Ga
	DX_ATN_Gd
	DX_ATN_Ge
	DX_ATN_H
	DX_ATN_He
	DX_ATN_Hf
	DX_ATN_Hg
	DX_ATN_Ho
	DX_ATN_I
	DX_ATN_In
	DX_ATN_Ir
	DX_ATN_K
	DX_ATN_Kr
	DX_ATN_La
	DX_ATN_Li
	DX_ATN_Lr
	DX_ATN_Lu
	DX_ATN_MAX
	DX_ATN_Md
	DX_ATN_Mg
	DX_ATN_Mn
	DX_ATN_Mo
	DX_ATN_N
	DX_ATN_Na
	DX_ATN_Nb
	DX_ATN_Nd
	DX_ATN_Ne
	DX_ATN_Ni
	DX_ATN_No
	DX_ATN_Np
	DX_ATN_O
	DX_ATN_Os
	DX_ATN_P
	DX_ATN_Pa
	DX_ATN_Pb
	DX_ATN_Pd
	DX_ATN_Pm
	DX_ATN_Po
	DX_ATN_Pr
	DX_ATN_Pt
	DX_ATN_Pu
	DX_ATN_Ra
	DX_ATN_Rb
	DX_ATN_Re
	DX_ATN_Rh
	DX_ATN_Rn
	DX_ATN_Ru
	DX_ATN_S
	DX_ATN_Sb
	DX_ATN_Sc
	DX_ATN_Se
	DX_ATN_Si
	DX_ATN_Sm
	DX_ATN_Sn
	DX_ATN_Sr
	DX_ATN_Ta
	DX_ATN_Tb
	DX_ATN_Tc
	DX_ATN_Te
	DX_ATN_Th
	DX_ATN_Ti
	DX_ATN_Tl
	DX_ATN_Tm
	DX_ATN_U
	DX_ATN_V
	DX_ATN_W
	DX_ATN_WILD
	DX_ATN_Xe
	DX_ATN_Y
	DX_ATN_Yb
	DX_ATN_Zn
	DX_ATN_Zr
	DX_BAD_PARAMETER
	DX_BTY_AROMAT
	DX_BTY_COUNT
	DX_BTY_DOUBLE
	DX_BTY_MIXSEP
	DX_BTY_NONE
	DX_BTY_SINGLE
	DX_BTY_TRIPLE
	DX_BTY_UNKNOWN
	DX_BTY_WILD
	DX_CHI_AL
	DX_CHI_CIS
	DX_CHI_NONE
	DX_CHI_NO_DBO
	DX_CHI_OH
	DX_CHI_SP
	DX_CHI_TB
	DX_CHI_TH
	DX_CHI_THCCW
	DX_CHI_THCW
	DX_CHI_TRANS
	DX_DATABASE_LICENSE
	DX_DIFFERENT_PARENTS
	DX_DUP_CONNECTION_1
	DX_DUP_CONNECTION_2
	DX_EDGE_DATIVE
	DX_EDGE_HASH
	DX_EDGE_IS_BOWTIE
	DX_EDGE_IS_DATIVE
	DX_EDGE_IS_DIAMOND
	DX_EDGE_IS_HASH_IN
	DX_EDGE_IS_HASH_OUT
	DX_EDGE_IS_TEE_IN
	DX_EDGE_IS_TEE_OUT
	DX_EDGE_IS_TRI_IN
	DX_EDGE_IS_TRI_OUT
	DX_EDGE_SIMPLE
	DX_EDGE_TEE
	DX_EDGE_TEE_IN
	DX_EDGE_TEE_OUT
	DX_EDGE_TRI
	DX_EDGE_TRI_IN
	DX_EDGE_TRI_OUT
	DX_END_HAS_RIGHT_BOND
	DX_ERR_ERROR
	DX_ERR_FATAL
	DX_ERR_NONE
	DX_ERR_NOTE
	DX_ERR_WARN
	DX_FORWARD
	DX_FP_AND
	DX_FP_NOT
	DX_FP_OR
	DX_FP_SET
	DX_FP_XOR
	DX_FUNC_ALL
	DX_FUNC_AVG
	DX_FUNC_COUNT
	DX_FUNC_FIRST
	DX_FUNC_LAST
	DX_FUNC_LONGEST
	DX_FUNC_MAX
	DX_FUNC_MIN
	DX_FUNC_SHORTEST
	DX_FUNC_STDDEV
	DX_HTT_DONE
	DX_HTT_ERROR
	DX_HTT_METHOD_ALL
	DX_HTT_METHOD_ANY
	DX_HTT_METHOD_GET
	DX_HTT_METHOD_HEAD
	DX_HTT_METHOD_NONE
	DX_HTT_METHOD_POST
	DX_HTT_OK
	DX_HTT_TIMEOUT
	DX_ILLEGAL_BONDTYPE
	DX_ILLEGAL_START_MONOMER
	DX_INVALID_BONDS
	DX_LEFT_BOND
	DX_LEFT_RIGHT_CROSS
	DX_MESSAGE_FILE
	DX_MESSAGE_NONE
	DX_MESSAGE_NOW
	DX_MESSAGE_RECORD
	DX_MISMATCHED_BONDS
	DX_MISMATCHED_LEFT_BOND
	DX_MISMATCHED_RIGHT_BOND
	DX_MISSING_BOND
	DX_MISSING_CROSSLINK
	DX_MONO_ALLOW_ALIAS
	DX_MONO_AND
	DX_MONO_INFINITY
	DX_MONO_NOALIAS
	DX_MONO_OK
	DX_MONO_OR
	DX_NOT_MONOMER_OBJECT
	DX_NOT_NEIGHBORS
	DX_NO_PARENT
	DX_ORIENT_AUTO
	DX_ORIENT_NONE
	DX_ORIENT_WILD
	DX_PROGRAM_LICENSE
	DX_PROP_BOOLEAN
	DX_PROP_HANDLE
	DX_PROP_INTEGER
	DX_PROP_NOPROP
	DX_PROP_REAL
	DX_PROP_STRING
	DX_PT_CR
	DX_PT_NONE
	DX_REVERSE
	DX_RIGHT_BOND
	DX_ROLE_AGENT
	DX_ROLE_ANY
	DX_ROLE_PRODUCT
	DX_ROLE_REACTANT
	DX_SERVER_LICENSE
	DX_SIMILAR_EUCLIDIAN
	DX_SIMILAR_TANIMOTO
	DX_SIMILAR_TVERSKY
	DX_SORT_AAZ
	DX_SORT_ANC
	DX_SORT_ANCP
	DX_SORT_ANCPW
	DX_SORT_ANCW
	DX_SORT_ANP
	DX_SORT_ANPW
	DX_SORT_ANW
	DX_SORT_ASC
	DX_SORT_ASCENDING
	DX_SORT_CAS
	DX_SORT_DESCENDING
	DX_SORT_LEN
	DX_SORT_MFM
	DX_SORT_NAB
	DX_SORT_NUM
	DX_STATUS_DONE
	DX_STATUS_ERROR
	DX_STATUS_IN_PROGRESS
	DX_STATUS_NOT_FOUND
	DX_STRING_APPROX
	DX_STRING_ASCII
	DX_STRING_NC
	DX_STRING_NCP
	DX_STRING_NCPW
	DX_STRING_NCW
	DX_STRING_NP
	DX_STRING_NPW
	DX_STRING_NW
	DX_STRING_REGEXP
	DX_SUBSTRUCT_SMILES
	DX_SUPER_CHARTS
	DX_SUPER_SMARTS
	DX_SUPER_SMARTSPART
	DX_SUPER_SMILES
	DX_SUPER_SMILESPART
	DX_THOR_ANYSMILES
	DX_THOR_ASMILES
	DX_THOR_ASMILESANY
	DX_THOR_AUTOGEN
	DX_THOR_BINARY
	DX_THOR_CACHE_ALWAYS
	DX_THOR_CACHE_DATA_AND_XREFS
	DX_THOR_CACHE_DATA_ONLY
	DX_THOR_CACHE_NEVER
	DX_THOR_CACHE_OFF
	DX_THOR_CACHE_OK
	DX_THOR_CACHE_ON_REQUEST
	DX_THOR_CACHE_READWRITE
	DX_THOR_CACHE_READWRITE_ALL
	DX_THOR_CACHE_WRITETHRU
	DX_THOR_CACHE_WRITETHRU_ALL
	DX_THOR_CACHE_XREFS_ONLY
	DX_THOR_CASNUM
	DX_THOR_CHORTLES
	DX_THOR_CHUCKLES
	DX_THOR_D3D
	DX_THOR_DATATYPESDB
	DX_THOR_DOWNCASE
	DX_THOR_FINDALL
	DX_THOR_FIRSTONLY
	DX_THOR_GRAPH
	DX_THOR_INDIRECT
	DX_THOR_INDIRECTDB
	DX_THOR_INDIRECT_GETALL
	DX_THOR_INDIRECT_GETONE
	DX_THOR_LOOKUP_NORMS
	DX_THOR_MAKEGRAPH
	DX_THOR_MAKERXNMOL
	DX_THOR_MERGE
	DX_THOR_MONOMERDB
	DX_THOR_NCHORTLES
	DX_THOR_NCHUCKLES
	DX_THOR_NOPUNCT
	DX_THOR_NUMERIC
	DX_THOR_OVERWRITE
	DX_THOR_OVERWRITE_KEEPLOCK
	DX_THOR_PART_NTUPLE
	DX_THOR_READONLY
	DX_THOR_REGEXP
	DX_THOR_ROLLBACK
	DX_THOR_SMILES_NTUPLE
	DX_THOR_SOMEPUNCT
	DX_THOR_UNLOCK
	DX_THOR_UNUSED
	DX_THOR_UPCASE
	DX_THOR_USMILES
	DX_THOR_USMILESANY
	DX_THOR_WHITE0
	DX_THOR_WHITE1
	DX_THOR_WHITE2
	DX_THOR_WO_NORMS
	DX_THOR_WRITE
	DX_THOR_WRITE_KEEPLOCK
	DX_THOR_WRITE_MERGE
	DX_THOR_WRITE_MERGE_KEEPLOCK
	DX_TOOLKIT_ERROR
	DX_TOOLKIT_LICENSE
	DY_THOR_ANYSMILES
	DY_THOR_ASMILES
	DY_THOR_ASMILESANY
	DY_THOR_ASMILES_ANY
	DY_THOR_AUTOGEN
	DY_THOR_BINARY
	DY_THOR_CASNUM
	DY_THOR_D3D
	DY_THOR_DOWNCASE
	DY_THOR_GRAPH
	DY_THOR_INDIRECT
	DY_THOR_LOOKUP_NORMS
	DY_THOR_MAKEGRAPH
	DY_THOR_NOPUNCT
	DY_THOR_NUMERIC
	DY_THOR_READONLY
	DY_THOR_REGEXP
	DY_THOR_SMILES_NTUPLE
	DY_THOR_SOMEPUNCT
	DY_THOR_UNUSED
	DY_THOR_UPCASE
	DY_THOR_USMILES
	DY_THOR_USMILESANY
	DY_THOR_USMILES_ANY
	DY_THOR_WHITE0
	DY_THOR_WHITE1
	DY_THOR_WHITE2
	DY_THOR_WO_NORMS
	NULL_OB
	TYP_ANY
	TYP_ATOM
	TYP_BOND
	TYP_COLUMN
	TYP_CONFORMATION
	TYP_CYCLE
	TYP_DATABASE
	TYP_DATAFIELD
	TYP_DATAITEM
	TYP_DATATREE
	TYP_DATATYPE
	TYP_DEPICTION
	TYP_FIELDTYPE
	TYP_FINGERPRINT
	TYP_HITLIST
	TYP_HTTP_SERVER
	TYP_HTTP_TRANSFER
	TYP_INTEGER
	TYP_MERSERVER
	TYP_MOLECULE
	TYP_MONOMER
	TYP_MONOMERSET
	TYP_MONOMERTABLE
	TYP_MONOPATTERN
	TYP_MULTIMER
	TYP_PATH
	TYP_PATHSET
	TYP_PATTERN
	TYP_POOL
	TYP_PROGRAM
	TYP_REACTION
	TYP_REAL
	TYP_SEQUENCE
	TYP_SERVER
	TYP_STREAM
	TYP_STRING
	TYP_SUBSTRUCT
	TYP_TRANSFORM
	TYP_VARIMER
	TYP_VARIPATTERN
	TYP_VBIND
) ] );

our @EXPORT_OK = ( @{ $EXPORT_TAGS{'all'} } );

our @EXPORT = qw(
	DM_MAX_HOSTNAME
	DM_MAX_PASSWORD
	DM_MAX_PATHLEN
	DM_MAX_SERVICE
	DM_MAX_TAG
	DM_MAX_USERID
	DM_NACTIONS
	DM_NFUNCS
	DM_NSIMILAR
	DM_NSORTS
	DM_NSTRINGS
	DM_NSUBSTRUCTS
	DM_NSUPERS
	DT_DATATYPE_INCLUDED
	DT_FINGER_INCLUDED
	DT_HTTP_INCLUDED
	DT_MDEP_INCLUDED
	DT_MERLIN_INCLUDED
	DT_MONOMER_INCLUDED
	DT_PROGOB_INCLUDED
	DT_SMILES_INCLUDED
	DT_THOR_INCLUDED
	DT_XX_CIS
	DT_XX_NO_CHI
	DT_XX_NO_DBO
	DT_XX_OH
	DT_XX_SP
	DT_XX_TB
	DT_XX_TH
	DT_XX_TH1
	DT_XX_TH2
	DT_XX_THCCW
	DT_XX_THCW
	DT_XX_TRANS
	DX_ACTION_ADD_HITS
	DX_ACTION_ADD_NONHITS
	DX_ACTION_DEL_HITS
	DX_ACTION_DEL_NONHITS
	DX_ACTION_NEW_LIST
	DX_ACTION_NEXT_HIT
	DX_ACTION_NEXT_NONHIT
	DX_API_PUBLIC
	DX_ATN_Ac
	DX_ATN_Ag
	DX_ATN_Al
	DX_ATN_Am
	DX_ATN_Ar
	DX_ATN_As
	DX_ATN_At
	DX_ATN_Au
	DX_ATN_B
	DX_ATN_Ba
	DX_ATN_Be
	DX_ATN_Bi
	DX_ATN_Bk
	DX_ATN_Br
	DX_ATN_C
	DX_ATN_Ca
	DX_ATN_Cd
	DX_ATN_Ce
	DX_ATN_Cf
	DX_ATN_Cl
	DX_ATN_Cm
	DX_ATN_Co
	DX_ATN_Cr
	DX_ATN_Cs
	DX_ATN_Cu
	DX_ATN_Dy
	DX_ATN_Er
	DX_ATN_Es
	DX_ATN_Eu
	DX_ATN_F
	DX_ATN_Fe
	DX_ATN_Fm
	DX_ATN_Fr
	DX_ATN_Ga
	DX_ATN_Gd
	DX_ATN_Ge
	DX_ATN_H
	DX_ATN_He
	DX_ATN_Hf
	DX_ATN_Hg
	DX_ATN_Ho
	DX_ATN_I
	DX_ATN_In
	DX_ATN_Ir
	DX_ATN_K
	DX_ATN_Kr
	DX_ATN_La
	DX_ATN_Li
	DX_ATN_Lr
	DX_ATN_Lu
	DX_ATN_MAX
	DX_ATN_Md
	DX_ATN_Mg
	DX_ATN_Mn
	DX_ATN_Mo
	DX_ATN_N
	DX_ATN_Na
	DX_ATN_Nb
	DX_ATN_Nd
	DX_ATN_Ne
	DX_ATN_Ni
	DX_ATN_No
	DX_ATN_Np
	DX_ATN_O
	DX_ATN_Os
	DX_ATN_P
	DX_ATN_Pa
	DX_ATN_Pb
	DX_ATN_Pd
	DX_ATN_Pm
	DX_ATN_Po
	DX_ATN_Pr
	DX_ATN_Pt
	DX_ATN_Pu
	DX_ATN_Ra
	DX_ATN_Rb
	DX_ATN_Re
	DX_ATN_Rh
	DX_ATN_Rn
	DX_ATN_Ru
	DX_ATN_S
	DX_ATN_Sb
	DX_ATN_Sc
	DX_ATN_Se
	DX_ATN_Si
	DX_ATN_Sm
	DX_ATN_Sn
	DX_ATN_Sr
	DX_ATN_Ta
	DX_ATN_Tb
	DX_ATN_Tc
	DX_ATN_Te
	DX_ATN_Th
	DX_ATN_Ti
	DX_ATN_Tl
	DX_ATN_Tm
	DX_ATN_U
	DX_ATN_V
	DX_ATN_W
	DX_ATN_WILD
	DX_ATN_Xe
	DX_ATN_Y
	DX_ATN_Yb
	DX_ATN_Zn
	DX_ATN_Zr
	DX_BAD_PARAMETER
	DX_BTY_AROMAT
	DX_BTY_COUNT
	DX_BTY_DOUBLE
	DX_BTY_MIXSEP
	DX_BTY_NONE
	DX_BTY_SINGLE
	DX_BTY_TRIPLE
	DX_BTY_UNKNOWN
	DX_BTY_WILD
	DX_CHI_AL
	DX_CHI_CIS
	DX_CHI_NONE
	DX_CHI_NO_DBO
	DX_CHI_OH
	DX_CHI_SP
	DX_CHI_TB
	DX_CHI_TH
	DX_CHI_THCCW
	DX_CHI_THCW
	DX_CHI_TRANS
	DX_DATABASE_LICENSE
	DX_DIFFERENT_PARENTS
	DX_DUP_CONNECTION_1
	DX_DUP_CONNECTION_2
	DX_EDGE_DATIVE
	DX_EDGE_HASH
	DX_EDGE_IS_BOWTIE
	DX_EDGE_IS_DATIVE
	DX_EDGE_IS_DIAMOND
	DX_EDGE_IS_HASH_IN
	DX_EDGE_IS_HASH_OUT
	DX_EDGE_IS_TEE_IN
	DX_EDGE_IS_TEE_OUT
	DX_EDGE_IS_TRI_IN
	DX_EDGE_IS_TRI_OUT
	DX_EDGE_SIMPLE
	DX_EDGE_TEE
	DX_EDGE_TEE_IN
	DX_EDGE_TEE_OUT
	DX_EDGE_TRI
	DX_EDGE_TRI_IN
	DX_EDGE_TRI_OUT
	DX_END_HAS_RIGHT_BOND
	DX_ERR_ERROR
	DX_ERR_FATAL
	DX_ERR_NONE
	DX_ERR_NOTE
	DX_ERR_WARN
	DX_FORWARD
	DX_FP_AND
	DX_FP_NOT
	DX_FP_OR
	DX_FP_SET
	DX_FP_XOR
	DX_FUNC_ALL
	DX_FUNC_AVG
	DX_FUNC_COUNT
	DX_FUNC_FIRST
	DX_FUNC_LAST
	DX_FUNC_LONGEST
	DX_FUNC_MAX
	DX_FUNC_MIN
	DX_FUNC_SHORTEST
	DX_FUNC_STDDEV
	DX_HTT_DONE
	DX_HTT_ERROR
	DX_HTT_METHOD_ALL
	DX_HTT_METHOD_ANY
	DX_HTT_METHOD_GET
	DX_HTT_METHOD_HEAD
	DX_HTT_METHOD_NONE
	DX_HTT_METHOD_POST
	DX_HTT_OK
	DX_HTT_TIMEOUT
	DX_ILLEGAL_BONDTYPE
	DX_ILLEGAL_START_MONOMER
	DX_INVALID_BONDS
	DX_LEFT_BOND
	DX_LEFT_RIGHT_CROSS
	DX_MESSAGE_FILE
	DX_MESSAGE_NONE
	DX_MESSAGE_NOW
	DX_MESSAGE_RECORD
	DX_MISMATCHED_BONDS
	DX_MISMATCHED_LEFT_BOND
	DX_MISMATCHED_RIGHT_BOND
	DX_MISSING_BOND
	DX_MISSING_CROSSLINK
	DX_MONO_ALLOW_ALIAS
	DX_MONO_AND
	DX_MONO_INFINITY
	DX_MONO_NOALIAS
	DX_MONO_OK
	DX_MONO_OR
	DX_NOT_MONOMER_OBJECT
	DX_NOT_NEIGHBORS
	DX_NO_PARENT
	DX_ORIENT_AUTO
	DX_ORIENT_NONE
	DX_ORIENT_WILD
	DX_PROGRAM_LICENSE
	DX_PROP_BOOLEAN
	DX_PROP_HANDLE
	DX_PROP_INTEGER
	DX_PROP_NOPROP
	DX_PROP_REAL
	DX_PROP_STRING
	DX_PT_CR
	DX_PT_NONE
	DX_REVERSE
	DX_RIGHT_BOND
	DX_ROLE_AGENT
	DX_ROLE_ANY
	DX_ROLE_PRODUCT
	DX_ROLE_REACTANT
	DX_SERVER_LICENSE
	DX_SIMILAR_EUCLIDIAN
	DX_SIMILAR_TANIMOTO
	DX_SIMILAR_TVERSKY
	DX_SORT_AAZ
	DX_SORT_ANC
	DX_SORT_ANCP
	DX_SORT_ANCPW
	DX_SORT_ANCW
	DX_SORT_ANP
	DX_SORT_ANPW
	DX_SORT_ANW
	DX_SORT_ASC
	DX_SORT_ASCENDING
	DX_SORT_CAS
	DX_SORT_DESCENDING
	DX_SORT_LEN
	DX_SORT_MFM
	DX_SORT_NAB
	DX_SORT_NUM
	DX_STATUS_DONE
	DX_STATUS_ERROR
	DX_STATUS_IN_PROGRESS
	DX_STATUS_NOT_FOUND
	DX_STRING_APPROX
	DX_STRING_ASCII
	DX_STRING_NC
	DX_STRING_NCP
	DX_STRING_NCPW
	DX_STRING_NCW
	DX_STRING_NP
	DX_STRING_NPW
	DX_STRING_NW
	DX_STRING_REGEXP
	DX_SUBSTRUCT_SMILES
	DX_SUPER_CHARTS
	DX_SUPER_SMARTS
	DX_SUPER_SMARTSPART
	DX_SUPER_SMILES
	DX_SUPER_SMILESPART
	DX_THOR_ANYSMILES
	DX_THOR_ASMILES
	DX_THOR_ASMILESANY
	DX_THOR_AUTOGEN
	DX_THOR_BINARY
	DX_THOR_CACHE_ALWAYS
	DX_THOR_CACHE_DATA_AND_XREFS
	DX_THOR_CACHE_DATA_ONLY
	DX_THOR_CACHE_NEVER
	DX_THOR_CACHE_OFF
	DX_THOR_CACHE_OK
	DX_THOR_CACHE_ON_REQUEST
	DX_THOR_CACHE_READWRITE
	DX_THOR_CACHE_READWRITE_ALL
	DX_THOR_CACHE_WRITETHRU
	DX_THOR_CACHE_WRITETHRU_ALL
	DX_THOR_CACHE_XREFS_ONLY
	DX_THOR_CASNUM
	DX_THOR_CHORTLES
	DX_THOR_CHUCKLES
	DX_THOR_D3D
	DX_THOR_DATATYPESDB
	DX_THOR_DOWNCASE
	DX_THOR_FINDALL
	DX_THOR_FIRSTONLY
	DX_THOR_GRAPH
	DX_THOR_INDIRECT
	DX_THOR_INDIRECTDB
	DX_THOR_INDIRECT_GETALL
	DX_THOR_INDIRECT_GETONE
	DX_THOR_LOOKUP_NORMS
	DX_THOR_MAKEGRAPH
	DX_THOR_MAKERXNMOL
	DX_THOR_MERGE
	DX_THOR_MONOMERDB
	DX_THOR_NCHORTLES
	DX_THOR_NCHUCKLES
	DX_THOR_NOPUNCT
	DX_THOR_NUMERIC
	DX_THOR_OVERWRITE
	DX_THOR_OVERWRITE_KEEPLOCK
	DX_THOR_PART_NTUPLE
	DX_THOR_READONLY
	DX_THOR_REGEXP
	DX_THOR_ROLLBACK
	DX_THOR_SMILES_NTUPLE
	DX_THOR_SOMEPUNCT
	DX_THOR_UNLOCK
	DX_THOR_UNUSED
	DX_THOR_UPCASE
	DX_THOR_USMILES
	DX_THOR_USMILESANY
	DX_THOR_WHITE0
	DX_THOR_WHITE1
	DX_THOR_WHITE2
	DX_THOR_WO_NORMS
	DX_THOR_WRITE
	DX_THOR_WRITE_KEEPLOCK
	DX_THOR_WRITE_MERGE
	DX_THOR_WRITE_MERGE_KEEPLOCK
	DX_TOOLKIT_ERROR
	DX_TOOLKIT_LICENSE
	DY_THOR_ANYSMILES
	DY_THOR_ASMILES
	DY_THOR_ASMILESANY
	DY_THOR_ASMILES_ANY
	DY_THOR_AUTOGEN
	DY_THOR_BINARY
	DY_THOR_CASNUM
	DY_THOR_D3D
	DY_THOR_DOWNCASE
	DY_THOR_GRAPH
	DY_THOR_INDIRECT
	DY_THOR_LOOKUP_NORMS
	DY_THOR_MAKEGRAPH
	DY_THOR_NOPUNCT
	DY_THOR_NUMERIC
	DY_THOR_READONLY
	DY_THOR_REGEXP
	DY_THOR_SMILES_NTUPLE
	DY_THOR_SOMEPUNCT
	DY_THOR_UNUSED
	DY_THOR_UPCASE
	DY_THOR_USMILES
	DY_THOR_USMILESANY
	DY_THOR_USMILES_ANY
	DY_THOR_WHITE0
	DY_THOR_WHITE1
	DY_THOR_WHITE2
	DY_THOR_WO_NORMS
	NULL_OB
	TYP_ANY
	TYP_ATOM
	TYP_BOND
	TYP_COLUMN
	TYP_CONFORMATION
	TYP_CYCLE
	TYP_DATABASE
	TYP_DATAFIELD
	TYP_DATAITEM
	TYP_DATATREE
	TYP_DATATYPE
	TYP_DEPICTION
	TYP_FIELDTYPE
	TYP_FINGERPRINT
	TYP_HITLIST
	TYP_HTTP_SERVER
	TYP_HTTP_TRANSFER
	TYP_INTEGER
	TYP_MERSERVER
	TYP_MOLECULE
	TYP_MONOMER
	TYP_MONOMERSET
	TYP_MONOMERTABLE
	TYP_MONOPATTERN
	TYP_MULTIMER
	TYP_PATH
	TYP_PATHSET
	TYP_PATTERN
	TYP_POOL
	TYP_PROGRAM
	TYP_REACTION
	TYP_REAL
	TYP_SEQUENCE
	TYP_SERVER
	TYP_STREAM
	TYP_STRING
	TYP_SUBSTRUCT
	TYP_TRANSFORM
	TYP_VARIMER
	TYP_VARIPATTERN
	TYP_VBIND
	dt_alloc_http_server
	dt_http_get
	dt_http_put
	dt_alloc_conformation
	dt_alloc_depiction
	dt_bondstyle
	dt_calcxy
	dt_compressed
	dt_depict
	dt_frame
	dt_framega
	dt_ga
	dt_getcoord
	dt_isomeric
	dt_label1
	dt_label1ga
	dt_label2
	dt_label2ga
	dt_orient
	dt_project
	dt_rotate
	dt_scale
	dt_schematic
	dt_setbondstyle
	dt_setbondstyles
	dt_setcompressed
	dt_setcoord
	dt_setframe
	dt_setframega
	dt_setga
	dt_setisomeric
	dt_setlabel1
	dt_setlabel2
	dt_setlabel1ga
	dt_setlabel2ga
	dt_setorient
	dt_setschematic
	dt_translate
	dt_zerocoord
	dt_alloc_program
	dt_welcome
	dt_converse
	dt_delimiter
	dt_setdelimiter
	dt_alloc_pathset
	dt_alloc_vbind
	dt_getval
	dt_pattern
	dt_setval
	dt_smartin
	dt_smarts_opt
	dt_smirkin
	dt_transform
	dt_utransform
	dt_xtransform
	dt_umatch
	dt_vmatch
	dt_xmatch
	dt_thor_alloc_dataitem
	dt_thor_autocrunch_limit
	dt_thor_cache
	dt_thor_cachecontrol
	dt_thor_cachesync
	dt_thor_createdb
	dt_thor_crunchdata
	dt_thor_crunchxref
	dt_thor_destroy
	dt_thor_indirect_hint
	dt_thor_getauxillarydb
	dt_thor_moveitem
	dt_thor_raw_datafield
	dt_thor_readonly
	dt_thor_server
	dt_thor_setauxillarydb
	dt_thor_setreadonly
	dt_thor_settdtlocking
	dt_thor_str2tdt
	dt_thor_tdt2str
	dt_thor_tdtlocking
	dt_thor_tdtget
	dt_thor_tdtget_raw
	dt_thor_tdtlockedby
	dt_thor_tdtmerge
	dt_thor_tdtremove
	dt_thor_tdtremove_raw
	dt_thor_tdtput
	dt_thor_tdtput_raw
	dt_thor_tdtrevise
	dt_thor_xrefget
	dt_thor_connect
	dt_thor_add_directory
	dt_thor_list_directories
	dt_thor_open
	dt_thor_list_databases
	dt_thor_set_dtypes_db
	dt_thor_set_indir_db
	dt_thor_dtypes_db
	dt_thor_indir_db
	dt_thor_create
	dt_thor_tdtdelete
	dt_thor_tdtputforced
	dt_thor_tdtputraw
	dt_mer_server
	dt_mer_action2name
	dt_mer_function2name
	dt_mer_search2name
	dt_mer_similar2name
	dt_mer_sort2name
	dt_mer_subselect2name
	dt_mer_superselect2name
	dt_mer_progob2name
	dt_mer_nactions
	dt_mer_nfunctions
	dt_mer_nsearches
	dt_mer_nsimilars
	dt_mer_nsorts
	dt_mer_nsubselects
	dt_mer_nsuperselects
	dt_mer_nprogobs
	dt_mer_getnitems
	dt_mer_alloc_column
	dt_mer_function
	dt_mer_alloc_hitlist
	dt_mer_clear
	dt_mer_combinehitlists
	dt_mer_hit2id
	dt_mer_id2hit
	dt_mer_invert
	dt_mer_length
	dt_mer_mvbottom
	dt_mer_mvtop
	dt_mer_native
	dt_mer_reset
	dt_mer_reverse
	dt_mer_sethits
	dt_mer_zapabove
	dt_mer_zapbelow
	dt_mer_zapna
	dt_mer_zapnonunique
	dt_mer_sort
	dt_mer_strsearch
	dt_mer_numsearch
	dt_mer_subselect
	dt_mer_superselect
	dt_mer_supermixtureselect
	dt_mer_submixtureselect
	dt_mer_similarselect
	dt_mer_progob_compare
	dt_mer_progob_compute
	dt_mer_progob_computeparams
	dt_mer_progob_compareparams
	dt_mer_similar
	dt_mer_cellvalue
	dt_mer_getdata
	dt_mer_getroot
	dt_mer_defaultsort
	dt_mer_sortapplies
	dt_mer_funcapplies
	dt_comments
	dt_membership
	dt_owner
	dt_alloc_monomertable
	dt_alloc_monomerpat
	dt_alloc_monomerset
	dt_alloc_multimer
	dt_alloc_varimer
	dt_alloc_varimerpat
	dt_define_monomer
	dt_alloc_mono_path
	dt_alloc_mono_pathset
	dt_getbyval
	dt_getbysym
	dt_badlyformed
	dt_canchuck
	dt_equal
	dt_getbond
	dt_intersection
	dt_neighbors
	dt_setbond
	dt_subset
	dt_union
	dt_chuckin
	dt_chortin
	dt_chartin
	dt_getbysymbol
	dt_getbyvalue
	dt_uid2multimer
	dt_fp_allocfp
	dt_fp_bitcount
	dt_fp_bitvalue
	dt_fp_differencefp
	dt_fp_euclid
	dt_fp_fingertest
	dt_fp_foldfp
	dt_fp_generatefp
	dt_fp_nbits
	dt_fp_obitcount
	dt_fp_obits
	dt_fp_partfp
	dt_fp_range
	dt_fp_setbitvalue
	dt_fp_setobitcount
	dt_fp_setobits
	dt_fp_setrange
	dt_fp_tanimoto
	dt_fp_commonbitcount
	dt_fp_tversky
	dt_fp_alloc
	dt_fp_fingerprint
	dt_fp_fold
	dt_fp_mindensity
	dt_fp_minsize
	dt_fp_setmindensity
	dt_fp_setminsize
	dt_fp_setsize
	dt_fp_size
	dt_abort
	dt_add
	dt_addatom
	dt_addbond
	dt_addcomponent
	dt_adjunct
	dt_alloc_integer
	dt_alloc_mol
	dt_alloc_path
	dt_alloc_reaction
	dt_alloc_real
	dt_alloc_seq
	dt_alloc_string
	dt_alloc_substruct
	dt_append
	dt_appendstring
	dt_appendstringvalue
	dt_arborder
	dt_arbsmiles
	dt_arbstream
	dt_aromatic
	dt_ascii2binary
	dt_atend
	dt_atstart
	dt_base
	dt_binary2ascii
	dt_binary2asciilen
	dt_bond
	dt_bondorder
	dt_bondtype
	dt_boolean
	dt_briefname
	dt_canatom_stream
	dt_canbond_stream
	dt_canstream
	dt_cansmiles
	dt_charge
	dt_check_license
	dt_chiclass
	dt_chiorder
	dt_chiperm
	dt_chiseq
	dt_chival
	dt_continue
	dt_copy
	dt_count
	dt_database
	dt_datatype
	dt_dbo
	dt_define
	dt_dealloc
	dt_delete
	dt_description
	dt_dfnorm
	dt_dfnormdata
	dt_done_when
	dt_errorclear
	dt_errorworst
	dt_errors
	dt_errorsave
	dt_evict
	dt_exists
	dt_fieldtype
	dt_getdatabases
	dt_getdatatype
	dt_getmap
	dt_getpasswords
	dt_getrole
	dt_getsearchpath
	dt_getusers
	dt_handle
	dt_hcount
	dt_hold
	dt_imp_hcount
	dt_info
	dt_insert
	dt_integer
	dt_integervalue
	dt_invalid
	dt_isheld
	dt_isopen
	dt_ispublic
	dt_isohydro
	dt_mapped
	dt_match
	dt_member
	dt_mod_is_on
	dt_mod_off
	dt_mod_on
	dt_molecule
	dt_monomertable
	dt_name
	dt_next
	dt_number
	dt_open
	dt_origsmi_stream
	dt_origstream
	dt_parent
	dt_ping
	dt_propnames
	dt_proptype
	dt_real
	dt_realvalue
	dt_release
	dt_remove
	dt_reset
	dt_seqsort
	dt_server
	dt_set_server_timeout
	dt_setadjunct
	dt_setarborder
	dt_setaromatic
	dt_setboolean
	dt_setbondorder
	dt_setbondtype
	dt_setcharge
	dt_setchival
	dt_setdbo
	dt_sethandle
	dt_setimp_hcount
	dt_setinteger
	dt_setintegervalue
	dt_setmap
	dt_setmessage
	dt_setnumber
	dt_setpassword
	dt_setreal
	dt_setrealvalue
	dt_setsearchpath
	dt_setstring
	dt_setstringvalue
	dt_setweight
	dt_smiles
	dt_smilin
	dt_smilinerrors
	dt_smilinerrtext
	dt_stream
	dt_string
	dt_stringvalue
	dt_summary
	dt_symbol
	dt_symclass
	dt_symorder
	dt_tag
	dt_toend
	dt_type
	dt_typename
	dt_uid
	dt_uidrange
	dt_weight
	dt_xatom
	dt_xsmiles
	dt_cansmi_stream
	dt_seqappend
	dt_seqdelete
	dt_seqinsert
);
our $VERSION = '0.01';

sub AUTOLOAD {
    # This AUTOLOAD is used to 'autoload' constants from the constant()
    # XS function.  If a constant is not found then control is passed
    # to the AUTOLOAD in AutoLoader.

    my $constname;
    our $AUTOLOAD;
    ($constname = $AUTOLOAD) =~ s/.*:://;
    croak "& not defined" if $constname eq 'constant';
    my $val = constant($constname, @_ ? $_[0] : 0);
    if ($! != 0) {
	if ($! =~ /Invalid/ || $!{EINVAL}) {
	    $AutoLoader::AUTOLOAD = $AUTOLOAD;
	    goto &AutoLoader::AUTOLOAD;
	}
	else {
	    croak "Your vendor has not defined DayPerl macro $constname";
	}
    }
    {
	no strict 'refs';
	# Fixed between 5.005_53 and 5.005_61
	if ($] >= 5.00561) {
	    *$AUTOLOAD = sub      { $val };
	}
	else {
	    *$AUTOLOAD = sub { $val };
	}
    }
    goto &$AUTOLOAD;
}

bootstrap DayPerl $VERSION;

# Preloaded methods go here.

# Autoload methods go after =cut, and are processed by the autosplit program.

1;
__END__
# Below is stub documentation for your module. You better edit it!

=head1 NAME

DayPerl - Perl extension for blah blah blah

=head1 SYNOPSIS

  use DayPerl;
  blah blah blah

=head1 DESCRIPTION

Stub documentation for DayPerl, created by h2xs. It looks like the
author of the extension was negligent enough to leave the stub
unedited.

Blah blah blah.

=head2 EXPORT

None by default.

=head2 Exportable constants

  DM_MAX_HOSTNAME
  DM_MAX_PASSWORD
  DM_MAX_PATHLEN
  DM_MAX_SERVICE
  DM_MAX_TAG
  DM_MAX_USERID
  DM_NACTIONS
  DM_NFUNCS
  DM_NSIMILAR
  DM_NSORTS
  DM_NSTRINGS
  DM_NSUBSTRUCTS
  DM_NSUPERS
  DT_DATATYPE_INCLUDED
  DT_FINGER_INCLUDED
  DT_HTTP_INCLUDED
  DT_MDEP_INCLUDED
  DT_MERLIN_INCLUDED
  DT_MONOMER_INCLUDED
  DT_PROGOB_INCLUDED
  DT_SMILES_INCLUDED
  DT_THOR_INCLUDED
  DT_XX_CIS
  DT_XX_NO_CHI
  DT_XX_NO_DBO
  DT_XX_OH
  DT_XX_SP
  DT_XX_TB
  DT_XX_TH
  DT_XX_TH1
  DT_XX_TH2
  DT_XX_THCCW
  DT_XX_THCW
  DT_XX_TRANS
  DX_ACTION_ADD_HITS
  DX_ACTION_ADD_NONHITS
  DX_ACTION_DEL_HITS
  DX_ACTION_DEL_NONHITS
  DX_ACTION_NEW_LIST
  DX_ACTION_NEXT_HIT
  DX_ACTION_NEXT_NONHIT
  DX_API_PUBLIC
  DX_ATN_Ac
  DX_ATN_Ag
  DX_ATN_Al
  DX_ATN_Am
  DX_ATN_Ar
  DX_ATN_As
  DX_ATN_At
  DX_ATN_Au
  DX_ATN_B
  DX_ATN_Ba
  DX_ATN_Be
  DX_ATN_Bi
  DX_ATN_Bk
  DX_ATN_Br
  DX_ATN_C
  DX_ATN_Ca
  DX_ATN_Cd
  DX_ATN_Ce
  DX_ATN_Cf
  DX_ATN_Cl
  DX_ATN_Cm
  DX_ATN_Co
  DX_ATN_Cr
  DX_ATN_Cs
  DX_ATN_Cu
  DX_ATN_Dy
  DX_ATN_Er
  DX_ATN_Es
  DX_ATN_Eu
  DX_ATN_F
  DX_ATN_Fe
  DX_ATN_Fm
  DX_ATN_Fr
  DX_ATN_Ga
  DX_ATN_Gd
  DX_ATN_Ge
  DX_ATN_H
  DX_ATN_He
  DX_ATN_Hf
  DX_ATN_Hg
  DX_ATN_Ho
  DX_ATN_I
  DX_ATN_In
  DX_ATN_Ir
  DX_ATN_K
  DX_ATN_Kr
  DX_ATN_La
  DX_ATN_Li
  DX_ATN_Lr
  DX_ATN_Lu
  DX_ATN_MAX
  DX_ATN_Md
  DX_ATN_Mg
  DX_ATN_Mn
  DX_ATN_Mo
  DX_ATN_N
  DX_ATN_Na
  DX_ATN_Nb
  DX_ATN_Nd
  DX_ATN_Ne
  DX_ATN_Ni
  DX_ATN_No
  DX_ATN_Np
  DX_ATN_O
  DX_ATN_Os
  DX_ATN_P
  DX_ATN_Pa
  DX_ATN_Pb
  DX_ATN_Pd
  DX_ATN_Pm
  DX_ATN_Po
  DX_ATN_Pr
  DX_ATN_Pt
  DX_ATN_Pu
  DX_ATN_Ra
  DX_ATN_Rb
  DX_ATN_Re
  DX_ATN_Rh
  DX_ATN_Rn
  DX_ATN_Ru
  DX_ATN_S
  DX_ATN_Sb
  DX_ATN_Sc
  DX_ATN_Se
  DX_ATN_Si
  DX_ATN_Sm
  DX_ATN_Sn
  DX_ATN_Sr
  DX_ATN_Ta
  DX_ATN_Tb
  DX_ATN_Tc
  DX_ATN_Te
  DX_ATN_Th
  DX_ATN_Ti
  DX_ATN_Tl
  DX_ATN_Tm
  DX_ATN_U
  DX_ATN_V
  DX_ATN_W
  DX_ATN_WILD
  DX_ATN_Xe
  DX_ATN_Y
  DX_ATN_Yb
  DX_ATN_Zn
  DX_ATN_Zr
  DX_BAD_PARAMETER
  DX_BTY_AROMAT
  DX_BTY_COUNT
  DX_BTY_DOUBLE
  DX_BTY_MIXSEP
  DX_BTY_NONE
  DX_BTY_SINGLE
  DX_BTY_TRIPLE
  DX_BTY_UNKNOWN
  DX_BTY_WILD
  DX_CHI_AL
  DX_CHI_CIS
  DX_CHI_NONE
  DX_CHI_NO_DBO
  DX_CHI_OH
  DX_CHI_SP
  DX_CHI_TB
  DX_CHI_TH
  DX_CHI_THCCW
  DX_CHI_THCW
  DX_CHI_TRANS
  DX_DATABASE_LICENSE
  DX_DIFFERENT_PARENTS
  DX_DUP_CONNECTION_1
  DX_DUP_CONNECTION_2
  DX_EDGE_DATIVE
  DX_EDGE_HASH
  DX_EDGE_IS_BOWTIE
  DX_EDGE_IS_DATIVE
  DX_EDGE_IS_DIAMOND
  DX_EDGE_IS_HASH_IN
  DX_EDGE_IS_HASH_OUT
  DX_EDGE_IS_TEE_IN
  DX_EDGE_IS_TEE_OUT
  DX_EDGE_IS_TRI_IN
  DX_EDGE_IS_TRI_OUT
  DX_EDGE_SIMPLE
  DX_EDGE_TEE
  DX_EDGE_TEE_IN
  DX_EDGE_TEE_OUT
  DX_EDGE_TRI
  DX_EDGE_TRI_IN
  DX_EDGE_TRI_OUT
  DX_END_HAS_RIGHT_BOND
  DX_ERR_ERROR
  DX_ERR_FATAL
  DX_ERR_NONE
  DX_ERR_NOTE
  DX_ERR_WARN
  DX_FORWARD
  DX_FP_AND
  DX_FP_NOT
  DX_FP_OR
  DX_FP_SET
  DX_FP_XOR
  DX_FUNC_ALL
  DX_FUNC_AVG
  DX_FUNC_COUNT
  DX_FUNC_FIRST
  DX_FUNC_LAST
  DX_FUNC_LONGEST
  DX_FUNC_MAX
  DX_FUNC_MIN
  DX_FUNC_SHORTEST
  DX_FUNC_STDDEV
  DX_HTT_DONE
  DX_HTT_ERROR
  DX_HTT_METHOD_ALL
  DX_HTT_METHOD_ANY
  DX_HTT_METHOD_GET
  DX_HTT_METHOD_HEAD
  DX_HTT_METHOD_NONE
  DX_HTT_METHOD_POST
  DX_HTT_OK
  DX_HTT_TIMEOUT
  DX_ILLEGAL_BONDTYPE
  DX_ILLEGAL_START_MONOMER
  DX_INVALID_BONDS
  DX_LEFT_BOND
  DX_LEFT_RIGHT_CROSS
  DX_MESSAGE_FILE
  DX_MESSAGE_NONE
  DX_MESSAGE_NOW
  DX_MESSAGE_RECORD
  DX_MISMATCHED_BONDS
  DX_MISMATCHED_LEFT_BOND
  DX_MISMATCHED_RIGHT_BOND
  DX_MISSING_BOND
  DX_MISSING_CROSSLINK
  DX_MONO_ALLOW_ALIAS
  DX_MONO_AND
  DX_MONO_INFINITY
  DX_MONO_NOALIAS
  DX_MONO_OK
  DX_MONO_OR
  DX_NOT_MONOMER_OBJECT
  DX_NOT_NEIGHBORS
  DX_NO_PARENT
  DX_ORIENT_AUTO
  DX_ORIENT_NONE
  DX_ORIENT_WILD
  DX_PROGRAM_LICENSE
  DX_PROP_BOOLEAN
  DX_PROP_HANDLE
  DX_PROP_INTEGER
  DX_PROP_NOPROP
  DX_PROP_REAL
  DX_PROP_STRING
  DX_PT_CR
  DX_PT_NONE
  DX_REVERSE
  DX_RIGHT_BOND
  DX_ROLE_AGENT
  DX_ROLE_ANY
  DX_ROLE_PRODUCT
  DX_ROLE_REACTANT
  DX_SERVER_LICENSE
  DX_SIMILAR_EUCLIDIAN
  DX_SIMILAR_TANIMOTO
  DX_SIMILAR_TVERSKY
  DX_SORT_AAZ
  DX_SORT_ANC
  DX_SORT_ANCP
  DX_SORT_ANCPW
  DX_SORT_ANCW
  DX_SORT_ANP
  DX_SORT_ANPW
  DX_SORT_ANW
  DX_SORT_ASC
  DX_SORT_ASCENDING
  DX_SORT_CAS
  DX_SORT_DESCENDING
  DX_SORT_LEN
  DX_SORT_MFM
  DX_SORT_NAB
  DX_SORT_NUM
  DX_STATUS_DONE
  DX_STATUS_ERROR
  DX_STATUS_IN_PROGRESS
  DX_STATUS_NOT_FOUND
  DX_STRING_APPROX
  DX_STRING_ASCII
  DX_STRING_NC
  DX_STRING_NCP
  DX_STRING_NCPW
  DX_STRING_NCW
  DX_STRING_NP
  DX_STRING_NPW
  DX_STRING_NW
  DX_STRING_REGEXP
  DX_SUBSTRUCT_SMILES
  DX_SUPER_CHARTS
  DX_SUPER_SMARTS
  DX_SUPER_SMARTSPART
  DX_SUPER_SMILES
  DX_SUPER_SMILESPART
  DX_THOR_ANYSMILES
  DX_THOR_ASMILES
  DX_THOR_ASMILESANY
  DX_THOR_AUTOGEN
  DX_THOR_BINARY
  DX_THOR_CACHE_ALWAYS
  DX_THOR_CACHE_DATA_AND_XREFS
  DX_THOR_CACHE_DATA_ONLY
  DX_THOR_CACHE_NEVER
  DX_THOR_CACHE_OFF
  DX_THOR_CACHE_OK
  DX_THOR_CACHE_ON_REQUEST
  DX_THOR_CACHE_READWRITE
  DX_THOR_CACHE_READWRITE_ALL
  DX_THOR_CACHE_WRITETHRU
  DX_THOR_CACHE_WRITETHRU_ALL
  DX_THOR_CACHE_XREFS_ONLY
  DX_THOR_CASNUM
  DX_THOR_CHORTLES
  DX_THOR_CHUCKLES
  DX_THOR_D3D
  DX_THOR_DATATYPESDB
  DX_THOR_DOWNCASE
  DX_THOR_FINDALL
  DX_THOR_FIRSTONLY
  DX_THOR_GRAPH
  DX_THOR_INDIRECT
  DX_THOR_INDIRECTDB
  DX_THOR_INDIRECT_GETALL
  DX_THOR_INDIRECT_GETONE
  DX_THOR_LOOKUP_NORMS
  DX_THOR_MAKEGRAPH
  DX_THOR_MAKERXNMOL
  DX_THOR_MERGE
  DX_THOR_MONOMERDB
  DX_THOR_NCHORTLES
  DX_THOR_NCHUCKLES
  DX_THOR_NOPUNCT
  DX_THOR_NUMERIC
  DX_THOR_OVERWRITE
  DX_THOR_OVERWRITE_KEEPLOCK
  DX_THOR_PART_NTUPLE
  DX_THOR_READONLY
  DX_THOR_REGEXP
  DX_THOR_ROLLBACK
  DX_THOR_SMILES_NTUPLE
  DX_THOR_SOMEPUNCT
  DX_THOR_UNLOCK
  DX_THOR_UNUSED
  DX_THOR_UPCASE
  DX_THOR_USMILES
  DX_THOR_USMILESANY
  DX_THOR_WHITE0
  DX_THOR_WHITE1
  DX_THOR_WHITE2
  DX_THOR_WO_NORMS
  DX_THOR_WRITE
  DX_THOR_WRITE_KEEPLOCK
  DX_THOR_WRITE_MERGE
  DX_THOR_WRITE_MERGE_KEEPLOCK
  DX_TOOLKIT_ERROR
  DX_TOOLKIT_LICENSE
  DY_THOR_ANYSMILES
  DY_THOR_ASMILES
  DY_THOR_ASMILESANY
  DY_THOR_ASMILES_ANY
  DY_THOR_AUTOGEN
  DY_THOR_BINARY
  DY_THOR_CASNUM
  DY_THOR_D3D
  DY_THOR_DOWNCASE
  DY_THOR_GRAPH
  DY_THOR_INDIRECT
  DY_THOR_LOOKUP_NORMS
  DY_THOR_MAKEGRAPH
  DY_THOR_NOPUNCT
  DY_THOR_NUMERIC
  DY_THOR_READONLY
  DY_THOR_REGEXP
  DY_THOR_SMILES_NTUPLE
  DY_THOR_SOMEPUNCT
  DY_THOR_UNUSED
  DY_THOR_UPCASE
  DY_THOR_USMILES
  DY_THOR_USMILESANY
  DY_THOR_USMILES_ANY
  DY_THOR_WHITE0
  DY_THOR_WHITE1
  DY_THOR_WHITE2
  DY_THOR_WO_NORMS
  NULL_OB
  TYP_ANY
  TYP_ATOM
  TYP_BOND
  TYP_COLUMN
  TYP_CONFORMATION
  TYP_CYCLE
  TYP_DATABASE
  TYP_DATAFIELD
  TYP_DATAITEM
  TYP_DATATREE
  TYP_DATATYPE
  TYP_DEPICTION
  TYP_FIELDTYPE
  TYP_FINGERPRINT
  TYP_HITLIST
  TYP_HTTP_SERVER
  TYP_HTTP_TRANSFER
  TYP_INTEGER
  TYP_MERSERVER
  TYP_MOLECULE
  TYP_MONOMER
  TYP_MONOMERSET
  TYP_MONOMERTABLE
  TYP_MONOPATTERN
  TYP_MULTIMER
  TYP_PATH
  TYP_PATHSET
  TYP_PATTERN
  TYP_POOL
  TYP_PROGRAM
  TYP_REACTION
  TYP_REAL
  TYP_SEQUENCE
  TYP_SERVER
  TYP_STREAM
  TYP_STRING
  TYP_SUBSTRUCT
  TYP_TRANSFORM
  TYP_VARIMER
  TYP_VARIPATTERN
  TYP_VBIND


=head1 AUTHOR

A. U. Thor, a.u.thor@a.galaxy.far.far.away

=head1 SEE ALSO

perl(1).

=cut
