/*** 
***	DayPerl.xs
*** 
***/
#include "EXTERN.h"
#include "perl.h"
#include "XSUB.h"

#include <dt_thor.h>
#include <dt_http.h>
#include <dt_depict.h>
#include <dt_merlin.h>
#include <dt_progob.h>
#include <dt_smarts.h>
#include <dt_monomer.h>
#include <dt_finger.h>
#include <dt_smiles.h>
#define DX_THOR_ASMILES_ANY DX_THOR_ASMILESANY
#define DX_THOR_USMILES_ANY DX_THOR_USMILESANY

static int
not_here(char *s)
{
    croak("%s not implemented on this architecture", s);
    return -1;
}

static int
not_there()
{
    errno = ENOENT;
    return 0;
}

SV *
constant_TYP_ST(char *name, int len, int arg)
{
    if (6 + 1 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[6 + 1]) {
    case 'E':
	if (strEQ(name + 6, "REAM")) {	/* TYP_ST removed */
#ifdef TYP_STREAM
	    return newSVnv(TYP_STREAM);
#else
	    not_there();
#endif
	}
    case 'I':
	if (strEQ(name + 6, "RING")) {	/* TYP_ST removed */
#ifdef TYP_STRING
	    return newSVnv(TYP_STRING);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_TYP_SE(char *name, int len, int arg)
{
    switch (name[6 + 0]) {
    case 'Q':
	if (strEQ(name + 6, "QUENCE")) {	/* TYP_SE removed */
#ifdef TYP_SEQUENCE
	    return newSVnv(TYP_SEQUENCE);
#else
	    not_there();
#endif
	}
    case 'R':
	if (strEQ(name + 6, "RVER")) {	/* TYP_SE removed */
#ifdef TYP_SERVER
	    return newSVnv(TYP_SERVER);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_TYP_S(char *name, int len, int arg)
{
    switch (name[5 + 0]) {
    case 'E':
	return constant_TYP_SE(name, len, arg);
    case 'T':
	return constant_TYP_ST(name, len, arg);
    case 'U':
	if (strEQ(name + 5, "UBSTRUCT")) {	/* TYP_S removed */
#ifdef TYP_SUBSTRUCT
	    return newSVnv(TYP_SUBSTRUCT);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_TYP_F(char *name, int len, int arg)
{
    if (5 + 1 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[5 + 1]) {
    case 'E':
	if (strEQ(name + 5, "IELDTYPE")) {	/* TYP_F removed */
#ifdef TYP_FIELDTYPE
	    return newSVnv(TYP_FIELDTYPE);
#else
	    not_there();
#endif
	}
    case 'N':
	if (strEQ(name + 5, "INGERPRINT")) {	/* TYP_F removed */
#ifdef TYP_FINGERPRINT
	    return newSVnv(TYP_FINGERPRINT);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_TYP_A(char *name, int len, int arg)
{
    switch (name[5 + 0]) {
    case 'N':
	if (strEQ(name + 5, "NY")) {	/* TYP_A removed */
#ifdef TYP_ANY
	    return newSVnv(TYP_ANY);
#else
	    not_there();
#endif
	}
    case 'T':
	if (strEQ(name + 5, "TOM")) {	/* TYP_A removed */
#ifdef TYP_ATOM
	    return newSVnv(TYP_ATOM);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_TYP_PATH(char *name, int len, int arg)
{
    switch (name[8 + 0]) {
    case '\0':
	if (strEQ(name + 8, "")) {	/* TYP_PATH removed */
#ifdef TYP_PATH
	    return newSVnv(TYP_PATH);
#else
	    not_there();
#endif
	}
    case 'S':
	if (strEQ(name + 8, "SET")) {	/* TYP_PATH removed */
#ifdef TYP_PATHSET
	    return newSVnv(TYP_PATHSET);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_TYP_PA(char *name, int len, int arg)
{
    if (6 + 1 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[6 + 1]) {
    case 'H':
	if (!strnEQ(name + 6,"T", 1))
	    break;
	return constant_TYP_PATH(name, len, arg);
    case 'T':
	if (strEQ(name + 6, "TTERN")) {	/* TYP_PA removed */
#ifdef TYP_PATTERN
	    return newSVnv(TYP_PATTERN);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_TYP_P(char *name, int len, int arg)
{
    switch (name[5 + 0]) {
    case 'A':
	return constant_TYP_PA(name, len, arg);
    case 'O':
	if (strEQ(name + 5, "OOL")) {	/* TYP_P removed */
#ifdef TYP_POOL
	    return newSVnv(TYP_POOL);
#else
	    not_there();
#endif
	}
    case 'R':
	if (strEQ(name + 5, "ROGRAM")) {	/* TYP_P removed */
#ifdef TYP_PROGRAM
	    return newSVnv(TYP_PROGRAM);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_TYP_VA(char *name, int len, int arg)
{
    if (6 + 2 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[6 + 2]) {
    case 'M':
	if (strEQ(name + 6, "RIMER")) {	/* TYP_VA removed */
#ifdef TYP_VARIMER
	    return newSVnv(TYP_VARIMER);
#else
	    not_there();
#endif
	}
    case 'P':
	if (strEQ(name + 6, "RIPATTERN")) {	/* TYP_VA removed */
#ifdef TYP_VARIPATTERN
	    return newSVnv(TYP_VARIPATTERN);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_TYP_V(char *name, int len, int arg)
{
    switch (name[5 + 0]) {
    case 'A':
	return constant_TYP_VA(name, len, arg);
    case 'B':
	if (strEQ(name + 5, "BIND")) {	/* TYP_V removed */
#ifdef TYP_VBIND
	    return newSVnv(TYP_VBIND);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_TYP_HT(char *name, int len, int arg)
{
    if (6 + 3 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[6 + 3]) {
    case 'S':
	if (strEQ(name + 6, "TP_SERVER")) {	/* TYP_HT removed */
#ifdef TYP_HTTP_SERVER
	    return newSVnv(TYP_HTTP_SERVER);
#else
	    not_there();
#endif
	}
    case 'T':
	if (strEQ(name + 6, "TP_TRANSFER")) {	/* TYP_HT removed */
#ifdef TYP_HTTP_TRANSFER
	    return newSVnv(TYP_HTTP_TRANSFER);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_TYP_H(char *name, int len, int arg)
{
    switch (name[5 + 0]) {
    case 'I':
	if (strEQ(name + 5, "ITLIST")) {	/* TYP_H removed */
#ifdef TYP_HITLIST
	    return newSVnv(TYP_HITLIST);
#else
	    not_there();
#endif
	}
    case 'T':
	return constant_TYP_HT(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_TYP_MONOM(char *name, int len, int arg)
{
    if (9 + 2 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[9 + 2]) {
    case '\0':
	if (strEQ(name + 9, "ER")) {	/* TYP_MONOM removed */
#ifdef TYP_MONOMER
	    return newSVnv(TYP_MONOMER);
#else
	    not_there();
#endif
	}
    case 'S':
	if (strEQ(name + 9, "ERSET")) {	/* TYP_MONOM removed */
#ifdef TYP_MONOMERSET
	    return newSVnv(TYP_MONOMERSET);
#else
	    not_there();
#endif
	}
    case 'T':
	if (strEQ(name + 9, "ERTABLE")) {	/* TYP_MONOM removed */
#ifdef TYP_MONOMERTABLE
	    return newSVnv(TYP_MONOMERTABLE);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_TYP_MON(char *name, int len, int arg)
{
    if (7 + 1 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[7 + 1]) {
    case 'M':
	if (!strnEQ(name + 7,"O", 1))
	    break;
	return constant_TYP_MONOM(name, len, arg);
    case 'P':
	if (strEQ(name + 7, "OPATTERN")) {	/* TYP_MON removed */
#ifdef TYP_MONOPATTERN
	    return newSVnv(TYP_MONOPATTERN);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_TYP_MO(char *name, int len, int arg)
{
    switch (name[6 + 0]) {
    case 'L':
	if (strEQ(name + 6, "LECULE")) {	/* TYP_MO removed */
#ifdef TYP_MOLECULE
	    return newSVnv(TYP_MOLECULE);
#else
	    not_there();
#endif
	}
    case 'N':
	return constant_TYP_MON(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_TYP_M(char *name, int len, int arg)
{
    switch (name[5 + 0]) {
    case 'E':
	if (strEQ(name + 5, "ERSERVER")) {	/* TYP_M removed */
#ifdef TYP_MERSERVER
	    return newSVnv(TYP_MERSERVER);
#else
	    not_there();
#endif
	}
    case 'O':
	return constant_TYP_MO(name, len, arg);
    case 'U':
	if (strEQ(name + 5, "ULTIMER")) {	/* TYP_M removed */
#ifdef TYP_MULTIMER
	    return newSVnv(TYP_MULTIMER);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_TYP_CO(char *name, int len, int arg)
{
    switch (name[6 + 0]) {
    case 'L':
	if (strEQ(name + 6, "LUMN")) {	/* TYP_CO removed */
#ifdef TYP_COLUMN
	    return newSVnv(TYP_COLUMN);
#else
	    not_there();
#endif
	}
    case 'N':
	if (strEQ(name + 6, "NFORMATION")) {	/* TYP_CO removed */
#ifdef TYP_CONFORMATION
	    return newSVnv(TYP_CONFORMATION);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_TYP_C(char *name, int len, int arg)
{
    switch (name[5 + 0]) {
    case 'O':
	return constant_TYP_CO(name, len, arg);
    case 'Y':
	if (strEQ(name + 5, "YCLE")) {	/* TYP_C removed */
#ifdef TYP_CYCLE
	    return newSVnv(TYP_CYCLE);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_TYP_DATAT(char *name, int len, int arg)
{
    switch (name[9 + 0]) {
    case 'R':
	if (strEQ(name + 9, "REE")) {	/* TYP_DATAT removed */
#ifdef TYP_DATATREE
	    return newSVnv(TYP_DATATREE);
#else
	    not_there();
#endif
	}
    case 'Y':
	if (strEQ(name + 9, "YPE")) {	/* TYP_DATAT removed */
#ifdef TYP_DATATYPE
	    return newSVnv(TYP_DATATYPE);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_TYP_DA(char *name, int len, int arg)
{
    if (6 + 2 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[6 + 2]) {
    case 'B':
	if (strEQ(name + 6, "TABASE")) {	/* TYP_DA removed */
#ifdef TYP_DATABASE
	    return newSVnv(TYP_DATABASE);
#else
	    not_there();
#endif
	}
    case 'F':
	if (strEQ(name + 6, "TAFIELD")) {	/* TYP_DA removed */
#ifdef TYP_DATAFIELD
	    return newSVnv(TYP_DATAFIELD);
#else
	    not_there();
#endif
	}
    case 'I':
	if (strEQ(name + 6, "TAITEM")) {	/* TYP_DA removed */
#ifdef TYP_DATAITEM
	    return newSVnv(TYP_DATAITEM);
#else
	    not_there();
#endif
	}
    case 'T':
	if (!strnEQ(name + 6,"TA", 2))
	    break;
	return constant_TYP_DATAT(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_TYP_D(char *name, int len, int arg)
{
    switch (name[5 + 0]) {
    case 'A':
	return constant_TYP_DA(name, len, arg);
    case 'E':
	if (strEQ(name + 5, "EPICTION")) {	/* TYP_D removed */
#ifdef TYP_DEPICTION
	    return newSVnv(TYP_DEPICTION);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_TYP_R(char *name, int len, int arg)
{
    if (5 + 2 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[5 + 2]) {
    case 'C':
	if (strEQ(name + 5, "EACTION")) {	/* TYP_R removed */
#ifdef TYP_REACTION
	    return newSVnv(TYP_REACTION);
#else
	    not_there();
#endif
	}
    case 'L':
	if (strEQ(name + 5, "EAL")) {	/* TYP_R removed */
#ifdef TYP_REAL
	    return newSVnv(TYP_REAL);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_T(char *name, int len, int arg)
{
    if (1 + 3 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[1 + 3]) {
    case 'A':
	if (!strnEQ(name + 1,"YP_", 3))
	    break;
	return constant_TYP_A(name, len, arg);
    case 'B':
	if (strEQ(name + 1, "YP_BOND")) {	/* T removed */
#ifdef TYP_BOND
	    return newSVnv(TYP_BOND);
#else
	    not_there();
#endif
	}
    case 'C':
	if (!strnEQ(name + 1,"YP_", 3))
	    break;
	return constant_TYP_C(name, len, arg);
    case 'D':
	if (!strnEQ(name + 1,"YP_", 3))
	    break;
	return constant_TYP_D(name, len, arg);
    case 'F':
	if (!strnEQ(name + 1,"YP_", 3))
	    break;
	return constant_TYP_F(name, len, arg);
    case 'H':
	if (!strnEQ(name + 1,"YP_", 3))
	    break;
	return constant_TYP_H(name, len, arg);
    case 'I':
	if (strEQ(name + 1, "YP_INTEGER")) {	/* T removed */
#ifdef TYP_INTEGER
	    return newSVnv(TYP_INTEGER);
#else
	    not_there();
#endif
	}
    case 'M':
	if (!strnEQ(name + 1,"YP_", 3))
	    break;
	return constant_TYP_M(name, len, arg);
    case 'P':
	if (!strnEQ(name + 1,"YP_", 3))
	    break;
	return constant_TYP_P(name, len, arg);
    case 'R':
	if (!strnEQ(name + 1,"YP_", 3))
	    break;
	return constant_TYP_R(name, len, arg);
    case 'S':
	if (!strnEQ(name + 1,"YP_", 3))
	    break;
	return constant_TYP_S(name, len, arg);
    case 'T':
	if (strEQ(name + 1, "YP_TRANSFORM")) {	/* T removed */
#ifdef TYP_TRANSFORM
	    return newSVnv(TYP_TRANSFORM);
#else
	    not_there();
#endif
	}
    case 'V':
	if (!strnEQ(name + 1,"YP_", 3))
	    break;
	return constant_TYP_V(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DT_M(char *name, int len, int arg)
{
    switch (name[4 + 0]) {
    case 'D':
	if (strEQ(name + 4, "DEP_INCLUDED")) {	/* DT_M removed */
#ifdef DT_MDEP_INCLUDED
	    return newSVpv("", 0);
#else
	    not_there();
#endif
	}
    case 'E':
	if (strEQ(name + 4, "ERLIN_INCLUDED")) {	/* DT_M removed */
#ifdef DT_MERLIN_INCLUDED
	    return newSVnv(DT_MERLIN_INCLUDED);
#else
	    not_there();
#endif
	}
    case 'O':
	if (strEQ(name + 4, "ONOMER_INCLUDED")) {	/* DT_M removed */
#ifdef DT_MONOMER_INCLUDED
	    return newSVnv(DT_MONOMER_INCLUDED);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DT_XX_THC(char *name, int len, int arg)
{
    switch (name[9 + 0]) {
    case 'C':
	if (strEQ(name + 9, "CW")) {	/* DT_XX_THC removed */
#ifdef DT_XX_THCCW
	    return newSVnv(DT_XX_THCCW);
#else
	    not_there();
#endif
	}
    case 'W':
	if (strEQ(name + 9, "W")) {	/* DT_XX_THC removed */
#ifdef DT_XX_THCW
	    return newSVnv(DT_XX_THCW);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DT_XX_TH(char *name, int len, int arg)
{
    switch (name[8 + 0]) {
    case '\0':
	if (strEQ(name + 8, "")) {	/* DT_XX_TH removed */
#ifdef DT_XX_TH
	    return newSVnv(DT_XX_TH);
#else
	    not_there();
#endif
	}
    case '1':
	if (strEQ(name + 8, "1")) {	/* DT_XX_TH removed */
#ifdef DT_XX_TH1
	    return newSVnv(DT_XX_TH1);
#else
	    not_there();
#endif
	}
    case '2':
	if (strEQ(name + 8, "2")) {	/* DT_XX_TH removed */
#ifdef DT_XX_TH2
	    return newSVnv(DT_XX_TH2);
#else
	    not_there();
#endif
	}
    case 'C':
	return constant_DT_XX_THC(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DT_XX_T(char *name, int len, int arg)
{
    switch (name[7 + 0]) {
    case 'B':
	if (strEQ(name + 7, "B")) {	/* DT_XX_T removed */
#ifdef DT_XX_TB
	    return newSVnv(DT_XX_TB);
#else
	    not_there();
#endif
	}
    case 'H':
	return constant_DT_XX_TH(name, len, arg);
    case 'R':
	if (strEQ(name + 7, "RANS")) {	/* DT_XX_T removed */
#ifdef DT_XX_TRANS
	    return newSVnv(DT_XX_TRANS);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DT_XX_N(char *name, int len, int arg)
{
    if (7 + 2 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[7 + 2]) {
    case 'C':
	if (strEQ(name + 7, "O_CHI")) {	/* DT_XX_N removed */
#ifdef DT_XX_NO_CHI
	    return newSVnv(DT_XX_NO_CHI);
#else
	    not_there();
#endif
	}
    case 'D':
	if (strEQ(name + 7, "O_DBO")) {	/* DT_XX_N removed */
#ifdef DT_XX_NO_DBO
	    return newSVnv(DT_XX_NO_DBO);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DT_X(char *name, int len, int arg)
{
    if (4 + 2 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[4 + 2]) {
    case 'C':
	if (strEQ(name + 4, "X_CIS")) {	/* DT_X removed */
#ifdef DT_XX_CIS
	    return newSVnv(DT_XX_CIS);
#else
	    not_there();
#endif
	}
    case 'N':
	if (!strnEQ(name + 4,"X_", 2))
	    break;
	return constant_DT_XX_N(name, len, arg);
    case 'O':
	if (strEQ(name + 4, "X_OH")) {	/* DT_X removed */
#ifdef DT_XX_OH
	    return newSVnv(DT_XX_OH);
#else
	    not_there();
#endif
	}
    case 'S':
	if (strEQ(name + 4, "X_SP")) {	/* DT_X removed */
#ifdef DT_XX_SP
	    return newSVnv(DT_XX_SP);
#else
	    not_there();
#endif
	}
    case 'T':
	if (!strnEQ(name + 4,"X_", 2))
	    break;
	return constant_DT_XX_T(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DT(char *name, int len, int arg)
{
    if (2 + 1 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[2 + 1]) {
    case 'D':
	if (strEQ(name + 2, "_DATATYPE_INCLUDED")) {	/* DT removed */
#ifdef DT_DATATYPE_INCLUDED
	    return newSVnv(DT_DATATYPE_INCLUDED);
#else
	    not_there();
#endif
	}
    case 'F':
	if (strEQ(name + 2, "_FINGER_INCLUDED")) {	/* DT removed */
#ifdef DT_FINGER_INCLUDED
	    return newSVnv(DT_FINGER_INCLUDED);
#else
	    not_there();
#endif
	}
    case 'H':
	if (strEQ(name + 2, "_HTTP_INCLUDED")) {	/* DT removed */
#ifdef DT_HTTP_INCLUDED
	    return newSVnv(DT_HTTP_INCLUDED);
#else
	    not_there();
#endif
	}
    case 'M':
	if (!strnEQ(name + 2,"_", 1))
	    break;
	return constant_DT_M(name, len, arg);
    case 'P':
	if (strEQ(name + 2, "_PROGOB_INCLUDED")) {	/* DT removed */
#ifdef DT_PROGOB_INCLUDED
	    return newSVpv("", 0);
#else
	    not_there();
#endif
	}
    case 'S':
	if (strEQ(name + 2, "_SMILES_INCLUDED")) {	/* DT removed */
#ifdef DT_SMILES_INCLUDED
	    return newSVnv(DT_SMILES_INCLUDED);
#else
	    not_there();
#endif
	}
    case 'T':
	if (strEQ(name + 2, "_THOR_INCLUDED")) {	/* DT removed */
#ifdef DT_THOR_INCLUDED
	    return newSVnv(DT_THOR_INCLUDED);
#else
	    not_there();
#endif
	}
    case 'X':
	if (!strnEQ(name + 2,"_", 1))
	    break;
	return constant_DT_X(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DM_MAX_P(char *name, int len, int arg)
{
    if (8 + 1 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[8 + 1]) {
    case 'S':
	if (strEQ(name + 8, "ASSWORD")) {	/* DM_MAX_P removed */
#ifdef DM_MAX_PASSWORD
	    return newSVnv(DM_MAX_PASSWORD);
#else
	    not_there();
#endif
	}
    case 'T':
	if (strEQ(name + 8, "ATHLEN")) {	/* DM_MAX_P removed */
#ifdef DM_MAX_PATHLEN
	    return newSVnv(DM_MAX_PATHLEN);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DM_M(char *name, int len, int arg)
{
    if (4 + 3 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[4 + 3]) {
    case 'H':
	if (strEQ(name + 4, "AX_HOSTNAME")) {	/* DM_M removed */
#ifdef DM_MAX_HOSTNAME
	    return newSVnv(DM_MAX_HOSTNAME);
#else
	    not_there();
#endif
	}
    case 'P':
	if (!strnEQ(name + 4,"AX_", 3))
	    break;
	return constant_DM_MAX_P(name, len, arg);
    case 'S':
	if (strEQ(name + 4, "AX_SERVICE")) {	/* DM_M removed */
#ifdef DM_MAX_SERVICE
	    return newSVnv(DM_MAX_SERVICE);
#else
	    not_there();
#endif
	}
    case 'T':
	if (strEQ(name + 4, "AX_TAG")) {	/* DM_M removed */
#ifdef DM_MAX_TAG
	    return newSVnv(DM_MAX_TAG);
#else
	    not_there();
#endif
	}
    case 'U':
	if (strEQ(name + 4, "AX_USERID")) {	/* DM_M removed */
#ifdef DM_MAX_USERID
	    return newSVnv(DM_MAX_USERID);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DM_NSU(char *name, int len, int arg)
{
    switch (name[6 + 0]) {
    case 'B':
	if (strEQ(name + 6, "BSTRUCTS")) {	/* DM_NSU removed */
#ifdef DM_NSUBSTRUCTS
	    return newSVnv(DM_NSUBSTRUCTS);
#else
	    not_there();
#endif
	}
    case 'P':
	if (strEQ(name + 6, "PERS")) {	/* DM_NSU removed */
#ifdef DM_NSUPERS
	    return newSVnv(DM_NSUPERS);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DM_NS(char *name, int len, int arg)
{
    switch (name[5 + 0]) {
    case 'I':
	if (strEQ(name + 5, "IMILAR")) {	/* DM_NS removed */
#ifdef DM_NSIMILAR
	    return newSVnv(DM_NSIMILAR);
#else
	    not_there();
#endif
	}
    case 'O':
	if (strEQ(name + 5, "ORTS")) {	/* DM_NS removed */
#ifdef DM_NSORTS
	    return newSVnv(DM_NSORTS);
#else
	    not_there();
#endif
	}
    case 'T':
	if (strEQ(name + 5, "TRINGS")) {	/* DM_NS removed */
#ifdef DM_NSTRINGS
	    return newSVnv(DM_NSTRINGS);
#else
	    not_there();
#endif
	}
    case 'U':
	return constant_DM_NSU(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DM_N(char *name, int len, int arg)
{
    switch (name[4 + 0]) {
    case 'A':
	if (strEQ(name + 4, "ACTIONS")) {	/* DM_N removed */
#ifdef DM_NACTIONS
	    return newSVnv(DM_NACTIONS);
#else
	    not_there();
#endif
	}
    case 'F':
	if (strEQ(name + 4, "FUNCS")) {	/* DM_N removed */
#ifdef DM_NFUNCS
	    return newSVnv(DM_NFUNCS);
#else
	    not_there();
#endif
	}
    case 'S':
	return constant_DM_NS(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DM(char *name, int len, int arg)
{
    if (2 + 1 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[2 + 1]) {
    case 'M':
	if (!strnEQ(name + 2,"_", 1))
	    break;
	return constant_DM_M(name, len, arg);
    case 'N':
	if (!strnEQ(name + 2,"_", 1))
	    break;
	return constant_DM_N(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_SORT_AS(char *name, int len, int arg)
{
    if (10 + 1 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[10 + 1]) {
    case '\0':
	if (strEQ(name + 10, "C")) {	/* DX_SORT_AS removed */
#ifdef DX_SORT_ASC
	    return newSVnv(DX_SORT_ASC);
#else
	    not_there();
#endif
	}
    case 'E':
	if (strEQ(name + 10, "CENDING")) {	/* DX_SORT_AS removed */
#ifdef DX_SORT_ASCENDING
	    return newSVnv(DX_SORT_ASCENDING);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_SORT_ANCP(char *name, int len, int arg)
{
    switch (name[12 + 0]) {
    case '\0':
	if (strEQ(name + 12, "")) {	/* DX_SORT_ANCP removed */
#ifdef DX_SORT_ANCP
	    return newSVnv(DX_SORT_ANCP);
#else
	    not_there();
#endif
	}
    case 'W':
	if (strEQ(name + 12, "W")) {	/* DX_SORT_ANCP removed */
#ifdef DX_SORT_ANCPW
	    return newSVnv(DX_SORT_ANCPW);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_SORT_ANC(char *name, int len, int arg)
{
    switch (name[11 + 0]) {
    case '\0':
	if (strEQ(name + 11, "")) {	/* DX_SORT_ANC removed */
#ifdef DX_SORT_ANC
	    return newSVnv(DX_SORT_ANC);
#else
	    not_there();
#endif
	}
    case 'P':
	return constant_DX_SORT_ANCP(name, len, arg);
    case 'W':
	if (strEQ(name + 11, "W")) {	/* DX_SORT_ANC removed */
#ifdef DX_SORT_ANCW
	    return newSVnv(DX_SORT_ANCW);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_SORT_ANP(char *name, int len, int arg)
{
    switch (name[11 + 0]) {
    case '\0':
	if (strEQ(name + 11, "")) {	/* DX_SORT_ANP removed */
#ifdef DX_SORT_ANP
	    return newSVnv(DX_SORT_ANP);
#else
	    not_there();
#endif
	}
    case 'W':
	if (strEQ(name + 11, "W")) {	/* DX_SORT_ANP removed */
#ifdef DX_SORT_ANPW
	    return newSVnv(DX_SORT_ANPW);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_SORT_AN(char *name, int len, int arg)
{
    switch (name[10 + 0]) {
    case 'C':
	return constant_DX_SORT_ANC(name, len, arg);
    case 'P':
	return constant_DX_SORT_ANP(name, len, arg);
    case 'W':
	if (strEQ(name + 10, "W")) {	/* DX_SORT_AN removed */
#ifdef DX_SORT_ANW
	    return newSVnv(DX_SORT_ANW);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_SORT_A(char *name, int len, int arg)
{
    switch (name[9 + 0]) {
    case 'A':
	if (strEQ(name + 9, "AZ")) {	/* DX_SORT_A removed */
#ifdef DX_SORT_AAZ
	    return newSVnv(DX_SORT_AAZ);
#else
	    not_there();
#endif
	}
    case 'N':
	return constant_DX_SORT_AN(name, len, arg);
    case 'S':
	return constant_DX_SORT_AS(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_SORT_N(char *name, int len, int arg)
{
    switch (name[9 + 0]) {
    case 'A':
	if (strEQ(name + 9, "AB")) {	/* DX_SORT_N removed */
#ifdef DX_SORT_NAB
	    return newSVnv(DX_SORT_NAB);
#else
	    not_there();
#endif
	}
    case 'U':
	if (strEQ(name + 9, "UM")) {	/* DX_SORT_N removed */
#ifdef DX_SORT_NUM
	    return newSVnv(DX_SORT_NUM);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_SO(char *name, int len, int arg)
{
    if (5 + 3 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[5 + 3]) {
    case 'A':
	if (!strnEQ(name + 5,"RT_", 3))
	    break;
	return constant_DX_SORT_A(name, len, arg);
    case 'C':
	if (strEQ(name + 5, "RT_CAS")) {	/* DX_SO removed */
#ifdef DX_SORT_CAS
	    return newSVnv(DX_SORT_CAS);
#else
	    not_there();
#endif
	}
    case 'D':
	if (strEQ(name + 5, "RT_DESCENDING")) {	/* DX_SO removed */
#ifdef DX_SORT_DESCENDING
	    return newSVnv(DX_SORT_DESCENDING);
#else
	    not_there();
#endif
	}
    case 'L':
	if (strEQ(name + 5, "RT_LEN")) {	/* DX_SO removed */
#ifdef DX_SORT_LEN
	    return newSVnv(DX_SORT_LEN);
#else
	    not_there();
#endif
	}
    case 'M':
	if (strEQ(name + 5, "RT_MFM")) {	/* DX_SO removed */
#ifdef DX_SORT_MFM
	    return newSVnv(DX_SORT_MFM);
#else
	    not_there();
#endif
	}
    case 'N':
	if (!strnEQ(name + 5,"RT_", 3))
	    break;
	return constant_DX_SORT_N(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_STA(char *name, int len, int arg)
{
    if (6 + 4 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[6 + 4]) {
    case 'D':
	if (strEQ(name + 6, "TUS_DONE")) {	/* DX_STA removed */
#ifdef DX_STATUS_DONE
	    return newSVnv(DX_STATUS_DONE);
#else
	    not_there();
#endif
	}
    case 'E':
	if (strEQ(name + 6, "TUS_ERROR")) {	/* DX_STA removed */
#ifdef DX_STATUS_ERROR
	    return newSVnv(DX_STATUS_ERROR);
#else
	    not_there();
#endif
	}
    case 'I':
	if (strEQ(name + 6, "TUS_IN_PROGRESS")) {	/* DX_STA removed */
#ifdef DX_STATUS_IN_PROGRESS
	    return newSVnv(DX_STATUS_IN_PROGRESS);
#else
	    not_there();
#endif
	}
    case 'N':
	if (strEQ(name + 6, "TUS_NOT_FOUND")) {	/* DX_STA removed */
#ifdef DX_STATUS_NOT_FOUND
	    return newSVnv(DX_STATUS_NOT_FOUND);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_STRING_A(char *name, int len, int arg)
{
    switch (name[11 + 0]) {
    case 'P':
	if (strEQ(name + 11, "PPROX")) {	/* DX_STRING_A removed */
#ifdef DX_STRING_APPROX
	    return newSVnv(DX_STRING_APPROX);
#else
	    not_there();
#endif
	}
    case 'S':
	if (strEQ(name + 11, "SCII")) {	/* DX_STRING_A removed */
#ifdef DX_STRING_ASCII
	    return newSVnv(DX_STRING_ASCII);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_STRING_NCP(char *name, int len, int arg)
{
    switch (name[13 + 0]) {
    case '\0':
	if (strEQ(name + 13, "")) {	/* DX_STRING_NCP removed */
#ifdef DX_STRING_NCP
	    return newSVnv(DX_STRING_NCP);
#else
	    not_there();
#endif
	}
    case 'W':
	if (strEQ(name + 13, "W")) {	/* DX_STRING_NCP removed */
#ifdef DX_STRING_NCPW
	    return newSVnv(DX_STRING_NCPW);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_STRING_NC(char *name, int len, int arg)
{
    switch (name[12 + 0]) {
    case '\0':
	if (strEQ(name + 12, "")) {	/* DX_STRING_NC removed */
#ifdef DX_STRING_NC
	    return newSVnv(DX_STRING_NC);
#else
	    not_there();
#endif
	}
    case 'P':
	return constant_DX_STRING_NCP(name, len, arg);
    case 'W':
	if (strEQ(name + 12, "W")) {	/* DX_STRING_NC removed */
#ifdef DX_STRING_NCW
	    return newSVnv(DX_STRING_NCW);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_STRING_NP(char *name, int len, int arg)
{
    switch (name[12 + 0]) {
    case '\0':
	if (strEQ(name + 12, "")) {	/* DX_STRING_NP removed */
#ifdef DX_STRING_NP
	    return newSVnv(DX_STRING_NP);
#else
	    not_there();
#endif
	}
    case 'W':
	if (strEQ(name + 12, "W")) {	/* DX_STRING_NP removed */
#ifdef DX_STRING_NPW
	    return newSVnv(DX_STRING_NPW);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_STRING_N(char *name, int len, int arg)
{
    switch (name[11 + 0]) {
    case 'C':
	return constant_DX_STRING_NC(name, len, arg);
    case 'P':
	return constant_DX_STRING_NP(name, len, arg);
    case 'W':
	if (strEQ(name + 11, "W")) {	/* DX_STRING_N removed */
#ifdef DX_STRING_NW
	    return newSVnv(DX_STRING_NW);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_STR(char *name, int len, int arg)
{
    if (6 + 4 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[6 + 4]) {
    case 'A':
	if (!strnEQ(name + 6,"ING_", 4))
	    break;
	return constant_DX_STRING_A(name, len, arg);
    case 'N':
	if (!strnEQ(name + 6,"ING_", 4))
	    break;
	return constant_DX_STRING_N(name, len, arg);
    case 'R':
	if (strEQ(name + 6, "ING_REGEXP")) {	/* DX_STR removed */
#ifdef DX_STRING_REGEXP
	    return newSVnv(DX_STRING_REGEXP);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_ST(char *name, int len, int arg)
{
    switch (name[5 + 0]) {
    case 'A':
	return constant_DX_STA(name, len, arg);
    case 'R':
	return constant_DX_STR(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_SIMILAR_T(char *name, int len, int arg)
{
    switch (name[12 + 0]) {
    case 'A':
	if (strEQ(name + 12, "ANIMOTO")) {	/* DX_SIMILAR_T removed */
#ifdef DX_SIMILAR_TANIMOTO
	    return newSVnv(DX_SIMILAR_TANIMOTO);
#else
	    not_there();
#endif
	}
    case 'V':
	if (strEQ(name + 12, "VERSKY")) {	/* DX_SIMILAR_T removed */
#ifdef DX_SIMILAR_TVERSKY
	    return newSVnv(DX_SIMILAR_TVERSKY);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_SI(char *name, int len, int arg)
{
    if (5 + 6 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[5 + 6]) {
    case 'E':
	if (strEQ(name + 5, "MILAR_EUCLIDIAN")) {	/* DX_SI removed */
#ifdef DX_SIMILAR_EUCLIDIAN
	    return newSVnv(DX_SIMILAR_EUCLIDIAN);
#else
	    not_there();
#endif
	}
    case 'T':
	if (!strnEQ(name + 5,"MILAR_", 6))
	    break;
	return constant_DX_SIMILAR_T(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_SUPER_SMA(char *name, int len, int arg)
{
    if (12 + 3 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[12 + 3]) {
    case '\0':
	if (strEQ(name + 12, "RTS")) {	/* DX_SUPER_SMA removed */
#ifdef DX_SUPER_SMARTS
	    return newSVnv(DX_SUPER_SMARTS);
#else
	    not_there();
#endif
	}
    case 'P':
	if (strEQ(name + 12, "RTSPART")) {	/* DX_SUPER_SMA removed */
#ifdef DX_SUPER_SMARTSPART
	    return newSVnv(DX_SUPER_SMARTSPART);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_SUPER_SMI(char *name, int len, int arg)
{
    if (12 + 3 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[12 + 3]) {
    case '\0':
	if (strEQ(name + 12, "LES")) {	/* DX_SUPER_SMI removed */
#ifdef DX_SUPER_SMILES
	    return newSVnv(DX_SUPER_SMILES);
#else
	    not_there();
#endif
	}
    case 'P':
	if (strEQ(name + 12, "LESPART")) {	/* DX_SUPER_SMI removed */
#ifdef DX_SUPER_SMILESPART
	    return newSVnv(DX_SUPER_SMILESPART);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_SUPER_S(char *name, int len, int arg)
{
    if (10 + 1 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[10 + 1]) {
    case 'A':
	if (!strnEQ(name + 10,"M", 1))
	    break;
	return constant_DX_SUPER_SMA(name, len, arg);
    case 'I':
	if (!strnEQ(name + 10,"M", 1))
	    break;
	return constant_DX_SUPER_SMI(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_SUP(char *name, int len, int arg)
{
    if (6 + 3 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[6 + 3]) {
    case 'C':
	if (strEQ(name + 6, "ER_CHARTS")) {	/* DX_SUP removed */
#ifdef DX_SUPER_CHARTS
	    return newSVnv(DX_SUPER_CHARTS);
#else
	    not_there();
#endif
	}
    case 'S':
	if (!strnEQ(name + 6,"ER_", 3))
	    break;
	return constant_DX_SUPER_S(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_SU(char *name, int len, int arg)
{
    switch (name[5 + 0]) {
    case 'B':
	if (strEQ(name + 5, "BSTRUCT_SMILES")) {	/* DX_SU removed */
#ifdef DX_SUBSTRUCT_SMILES
	    return newSVnv(DX_SUBSTRUCT_SMILES);
#else
	    not_there();
#endif
	}
    case 'P':
	return constant_DX_SUP(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_S(char *name, int len, int arg)
{
    switch (name[4 + 0]) {
    case 'E':
	if (strEQ(name + 4, "ERVER_LICENSE")) {	/* DX_S removed */
#ifdef DX_SERVER_LICENSE
	    return newSVnv(DX_SERVER_LICENSE);
#else
	    not_there();
#endif
	}
    case 'I':
	return constant_DX_SI(name, len, arg);
    case 'O':
	return constant_DX_SO(name, len, arg);
    case 'T':
	return constant_DX_ST(name, len, arg);
    case 'U':
	return constant_DX_SU(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_FP(char *name, int len, int arg)
{
    if (5 + 1 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[5 + 1]) {
    case 'A':
	if (strEQ(name + 5, "_AND")) {	/* DX_FP removed */
#ifdef DX_FP_AND
	    return newSVnv(DX_FP_AND);
#else
	    not_there();
#endif
	}
    case 'N':
	if (strEQ(name + 5, "_NOT")) {	/* DX_FP removed */
#ifdef DX_FP_NOT
	    return newSVnv(DX_FP_NOT);
#else
	    not_there();
#endif
	}
    case 'O':
	if (strEQ(name + 5, "_OR")) {	/* DX_FP removed */
#ifdef DX_FP_OR
	    return newSVnv(DX_FP_OR);
#else
	    not_there();
#endif
	}
    case 'S':
	if (strEQ(name + 5, "_SET")) {	/* DX_FP removed */
#ifdef DX_FP_SET
	    return newSVnv(DX_FP_SET);
#else
	    not_there();
#endif
	}
    case 'X':
	if (strEQ(name + 5, "_XOR")) {	/* DX_FP removed */
#ifdef DX_FP_XOR
	    return newSVnv(DX_FP_XOR);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_FUNC_S(char *name, int len, int arg)
{
    switch (name[9 + 0]) {
    case 'H':
	if (strEQ(name + 9, "HORTEST")) {	/* DX_FUNC_S removed */
#ifdef DX_FUNC_SHORTEST
	    return newSVnv(DX_FUNC_SHORTEST);
#else
	    not_there();
#endif
	}
    case 'T':
	if (strEQ(name + 9, "TDDEV")) {	/* DX_FUNC_S removed */
#ifdef DX_FUNC_STDDEV
	    return newSVnv(DX_FUNC_STDDEV);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_FUNC_A(char *name, int len, int arg)
{
    switch (name[9 + 0]) {
    case 'L':
	if (strEQ(name + 9, "LL")) {	/* DX_FUNC_A removed */
#ifdef DX_FUNC_ALL
	    return newSVnv(DX_FUNC_ALL);
#else
	    not_there();
#endif
	}
    case 'V':
	if (strEQ(name + 9, "VG")) {	/* DX_FUNC_A removed */
#ifdef DX_FUNC_AVG
	    return newSVnv(DX_FUNC_AVG);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_FUNC_M(char *name, int len, int arg)
{
    switch (name[9 + 0]) {
    case 'A':
	if (strEQ(name + 9, "AX")) {	/* DX_FUNC_M removed */
#ifdef DX_FUNC_MAX
	    return newSVnv(DX_FUNC_MAX);
#else
	    not_there();
#endif
	}
    case 'I':
	if (strEQ(name + 9, "IN")) {	/* DX_FUNC_M removed */
#ifdef DX_FUNC_MIN
	    return newSVnv(DX_FUNC_MIN);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_FUNC_L(char *name, int len, int arg)
{
    switch (name[9 + 0]) {
    case 'A':
	if (strEQ(name + 9, "AST")) {	/* DX_FUNC_L removed */
#ifdef DX_FUNC_LAST
	    return newSVnv(DX_FUNC_LAST);
#else
	    not_there();
#endif
	}
    case 'O':
	if (strEQ(name + 9, "ONGEST")) {	/* DX_FUNC_L removed */
#ifdef DX_FUNC_LONGEST
	    return newSVnv(DX_FUNC_LONGEST);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_FU(char *name, int len, int arg)
{
    if (5 + 3 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[5 + 3]) {
    case 'A':
	if (!strnEQ(name + 5,"NC_", 3))
	    break;
	return constant_DX_FUNC_A(name, len, arg);
    case 'C':
	if (strEQ(name + 5, "NC_COUNT")) {	/* DX_FU removed */
#ifdef DX_FUNC_COUNT
	    return newSVnv(DX_FUNC_COUNT);
#else
	    not_there();
#endif
	}
    case 'F':
	if (strEQ(name + 5, "NC_FIRST")) {	/* DX_FU removed */
#ifdef DX_FUNC_FIRST
	    return newSVnv(DX_FUNC_FIRST);
#else
	    not_there();
#endif
	}
    case 'L':
	if (!strnEQ(name + 5,"NC_", 3))
	    break;
	return constant_DX_FUNC_L(name, len, arg);
    case 'M':
	if (!strnEQ(name + 5,"NC_", 3))
	    break;
	return constant_DX_FUNC_M(name, len, arg);
    case 'S':
	if (!strnEQ(name + 5,"NC_", 3))
	    break;
	return constant_DX_FUNC_S(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_F(char *name, int len, int arg)
{
    switch (name[4 + 0]) {
    case 'O':
	if (strEQ(name + 4, "ORWARD")) {	/* DX_F removed */
#ifdef DX_FORWARD
	    return newSVnv(DX_FORWARD);
#else
	    not_there();
#endif
	}
    case 'P':
	return constant_DX_FP(name, len, arg);
    case 'U':
	return constant_DX_FU(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_TO(char *name, int len, int arg)
{
    if (5 + 6 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[5 + 6]) {
    case 'E':
	if (strEQ(name + 5, "OLKIT_ERROR")) {	/* DX_TO removed */
#ifdef DX_TOOLKIT_ERROR
	    return newSVnv(DX_TOOLKIT_ERROR);
#else
	    not_there();
#endif
	}
    case 'L':
	if (strEQ(name + 5, "OLKIT_LICENSE")) {	/* DX_TO removed */
#ifdef DX_TOOLKIT_LICENSE
	    return newSVnv(DX_TOOLKIT_LICENSE);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_THOR_S(char *name, int len, int arg)
{
    switch (name[9 + 0]) {
    case 'M':
	if (strEQ(name + 9, "MILES_NTUPLE")) {	/* DX_THOR_S removed */
#ifdef DX_THOR_SMILES_NTUPLE
	    return newSVnv(DX_THOR_SMILES_NTUPLE);
#else
	    not_there();
#endif
	}
    case 'O':
	if (strEQ(name + 9, "OMEPUNCT")) {	/* DX_THOR_S removed */
#ifdef DX_THOR_SOMEPUNCT
	    return newSVnv(DX_THOR_SOMEPUNCT);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_THOR_F(char *name, int len, int arg)
{
    if (9 + 1 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[9 + 1]) {
    case 'N':
	if (strEQ(name + 9, "INDALL")) {	/* DX_THOR_F removed */
#ifdef DX_THOR_FINDALL
	    return newSVnv(DX_THOR_FINDALL);
#else
	    not_there();
#endif
	}
    case 'R':
	if (strEQ(name + 9, "IRSTONLY")) {	/* DX_THOR_F removed */
#ifdef DX_THOR_FIRSTONLY
	    return newSVnv(DX_THOR_FIRSTONLY);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_THOR_NC(char *name, int len, int arg)
{
    if (10 + 1 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[10 + 1]) {
    case 'O':
	if (strEQ(name + 10, "HORTLES")) {	/* DX_THOR_NC removed */
#ifdef DX_THOR_NCHORTLES
	    return newSVnv(DX_THOR_NCHORTLES);
#else
	    not_there();
#endif
	}
    case 'U':
	if (strEQ(name + 10, "HUCKLES")) {	/* DX_THOR_NC removed */
#ifdef DX_THOR_NCHUCKLES
	    return newSVnv(DX_THOR_NCHUCKLES);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_THOR_N(char *name, int len, int arg)
{
    switch (name[9 + 0]) {
    case 'C':
	return constant_DX_THOR_NC(name, len, arg);
    case 'O':
	if (strEQ(name + 9, "OPUNCT")) {	/* DX_THOR_N removed */
#ifdef DX_THOR_NOPUNCT
	    return newSVnv(DX_THOR_NOPUNCT);
#else
	    not_there();
#endif
	}
    case 'U':
	if (strEQ(name + 9, "UMERIC")) {	/* DX_THOR_N removed */
#ifdef DX_THOR_NUMERIC
	    return newSVnv(DX_THOR_NUMERIC);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_THOR_MA(char *name, int len, int arg)
{
    if (10 + 2 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[10 + 2]) {
    case 'G':
	if (strEQ(name + 10, "KEGRAPH")) {	/* DX_THOR_MA removed */
#ifdef DX_THOR_MAKEGRAPH
	    return newSVnv(DX_THOR_MAKEGRAPH);
#else
	    not_there();
#endif
	}
    case 'R':
	if (strEQ(name + 10, "KERXNMOL")) {	/* DX_THOR_MA removed */
#ifdef DX_THOR_MAKERXNMOL
	    return newSVnv(DX_THOR_MAKERXNMOL);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_THOR_M(char *name, int len, int arg)
{
    switch (name[9 + 0]) {
    case 'A':
	return constant_DX_THOR_MA(name, len, arg);
    case 'E':
	if (strEQ(name + 9, "ERGE")) {	/* DX_THOR_M removed */
#ifdef DX_THOR_MERGE
	    return newSVnv(DX_THOR_MERGE);
#else
	    not_there();
#endif
	}
    case 'O':
	if (strEQ(name + 9, "ONOMERDB")) {	/* DX_THOR_M removed */
#ifdef DX_THOR_MONOMERDB
	    return newSVnv(DX_THOR_MONOMERDB);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_THOR_CH(char *name, int len, int arg)
{
    switch (name[10 + 0]) {
    case 'O':
	if (strEQ(name + 10, "ORTLES")) {	/* DX_THOR_CH removed */
#ifdef DX_THOR_CHORTLES
	    return newSVnv(DX_THOR_CHORTLES);
#else
	    not_there();
#endif
	}
    case 'U':
	if (strEQ(name + 10, "UCKLES")) {	/* DX_THOR_CH removed */
#ifdef DX_THOR_CHUCKLES
	    return newSVnv(DX_THOR_CHUCKLES);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_THOR_CACHE_O(char *name, int len, int arg)
{
    switch (name[15 + 0]) {
    case 'F':
	if (strEQ(name + 15, "FF")) {	/* DX_THOR_CACHE_O removed */
#ifdef DX_THOR_CACHE_OFF
	    return newSVnv(DX_THOR_CACHE_OFF);
#else
	    not_there();
#endif
	}
    case 'K':
	if (strEQ(name + 15, "K")) {	/* DX_THOR_CACHE_O removed */
#ifdef DX_THOR_CACHE_OK
	    return newSVnv(DX_THOR_CACHE_OK);
#else
	    not_there();
#endif
	}
    case 'N':
	if (strEQ(name + 15, "N_REQUEST")) {	/* DX_THOR_CACHE_O removed */
#ifdef DX_THOR_CACHE_ON_REQUEST
	    return newSVnv(DX_THOR_CACHE_ON_REQUEST);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_THOR_CACHE_W(char *name, int len, int arg)
{
    if (15 + 8 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[15 + 8]) {
    case '\0':
	if (strEQ(name + 15, "RITETHRU")) {	/* DX_THOR_CACHE_W removed */
#ifdef DX_THOR_CACHE_WRITETHRU
	    return newSVnv(DX_THOR_CACHE_WRITETHRU);
#else
	    not_there();
#endif
	}
    case '_':
	if (strEQ(name + 15, "RITETHRU_ALL")) {	/* DX_THOR_CACHE_W removed */
#ifdef DX_THOR_CACHE_WRITETHRU_ALL
	    return newSVnv(DX_THOR_CACHE_WRITETHRU_ALL);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_THOR_CACHE_D(char *name, int len, int arg)
{
    if (15 + 4 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[15 + 4]) {
    case 'A':
	if (strEQ(name + 15, "ATA_AND_XREFS")) {	/* DX_THOR_CACHE_D removed */
#ifdef DX_THOR_CACHE_DATA_AND_XREFS
	    return newSVnv(DX_THOR_CACHE_DATA_AND_XREFS);
#else
	    not_there();
#endif
	}
    case 'O':
	if (strEQ(name + 15, "ATA_ONLY")) {	/* DX_THOR_CACHE_D removed */
#ifdef DX_THOR_CACHE_DATA_ONLY
	    return newSVnv(DX_THOR_CACHE_DATA_ONLY);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_THOR_CACHE_R(char *name, int len, int arg)
{
    if (15 + 8 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[15 + 8]) {
    case '\0':
	if (strEQ(name + 15, "EADWRITE")) {	/* DX_THOR_CACHE_R removed */
#ifdef DX_THOR_CACHE_READWRITE
	    return newSVnv(DX_THOR_CACHE_READWRITE);
#else
	    not_there();
#endif
	}
    case '_':
	if (strEQ(name + 15, "EADWRITE_ALL")) {	/* DX_THOR_CACHE_R removed */
#ifdef DX_THOR_CACHE_READWRITE_ALL
	    return newSVnv(DX_THOR_CACHE_READWRITE_ALL);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_THOR_CAC(char *name, int len, int arg)
{
    if (11 + 3 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[11 + 3]) {
    case 'A':
	if (strEQ(name + 11, "HE_ALWAYS")) {	/* DX_THOR_CAC removed */
#ifdef DX_THOR_CACHE_ALWAYS
	    return newSVnv(DX_THOR_CACHE_ALWAYS);
#else
	    not_there();
#endif
	}
    case 'D':
	if (!strnEQ(name + 11,"HE_", 3))
	    break;
	return constant_DX_THOR_CACHE_D(name, len, arg);
    case 'N':
	if (strEQ(name + 11, "HE_NEVER")) {	/* DX_THOR_CAC removed */
#ifdef DX_THOR_CACHE_NEVER
	    return newSVnv(DX_THOR_CACHE_NEVER);
#else
	    not_there();
#endif
	}
    case 'O':
	if (!strnEQ(name + 11,"HE_", 3))
	    break;
	return constant_DX_THOR_CACHE_O(name, len, arg);
    case 'R':
	if (!strnEQ(name + 11,"HE_", 3))
	    break;
	return constant_DX_THOR_CACHE_R(name, len, arg);
    case 'W':
	if (!strnEQ(name + 11,"HE_", 3))
	    break;
	return constant_DX_THOR_CACHE_W(name, len, arg);
    case 'X':
	if (strEQ(name + 11, "HE_XREFS_ONLY")) {	/* DX_THOR_CAC removed */
#ifdef DX_THOR_CACHE_XREFS_ONLY
	    return newSVnv(DX_THOR_CACHE_XREFS_ONLY);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_THOR_CA(char *name, int len, int arg)
{
    switch (name[10 + 0]) {
    case 'C':
	return constant_DX_THOR_CAC(name, len, arg);
    case 'S':
	if (strEQ(name + 10, "SNUM")) {	/* DX_THOR_CA removed */
#ifdef DX_THOR_CASNUM
	    return newSVnv(DX_THOR_CASNUM);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_THOR_C(char *name, int len, int arg)
{
    switch (name[9 + 0]) {
    case 'A':
	return constant_DX_THOR_CA(name, len, arg);
    case 'H':
	return constant_DX_THOR_CH(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_THOR_AS(char *name, int len, int arg)
{
    if (10 + 5 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[10 + 5]) {
    case '\0':
	if (strEQ(name + 10, "MILES")) {	/* DX_THOR_AS removed */
#ifdef DX_THOR_ASMILES
	    return newSVnv(DX_THOR_ASMILES);
#else
	    not_there();
#endif
	}
    case 'A':
	if (strEQ(name + 10, "MILESANY")) {	/* DX_THOR_AS removed */
#ifdef DX_THOR_ASMILESANY
	    return newSVnv(DX_THOR_ASMILESANY);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_THOR_A(char *name, int len, int arg)
{
    switch (name[9 + 0]) {
    case 'N':
	if (strEQ(name + 9, "NYSMILES")) {	/* DX_THOR_A removed */
#ifdef DX_THOR_ANYSMILES
	    return newSVnv(DX_THOR_ANYSMILES);
#else
	    not_there();
#endif
	}
    case 'S':
	return constant_DX_THOR_AS(name, len, arg);
    case 'U':
	if (strEQ(name + 9, "UTOGEN")) {	/* DX_THOR_A removed */
#ifdef DX_THOR_AUTOGEN
	    return newSVnv(DX_THOR_AUTOGEN);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_THOR_O(char *name, int len, int arg)
{
    if (9 + 8 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[9 + 8]) {
    case '\0':
	if (strEQ(name + 9, "VERWRITE")) {	/* DX_THOR_O removed */
#ifdef DX_THOR_OVERWRITE
	    return newSVnv(DX_THOR_OVERWRITE);
#else
	    not_there();
#endif
	}
    case '_':
	if (strEQ(name + 9, "VERWRITE_KEEPLOCK")) {	/* DX_THOR_O removed */
#ifdef DX_THOR_OVERWRITE_KEEPLOCK
	    return newSVnv(DX_THOR_OVERWRITE_KEEPLOCK);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_THOR_WH(char *name, int len, int arg)
{
    if (10 + 3 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[10 + 3]) {
    case '0':
	if (strEQ(name + 10, "ITE0")) {	/* DX_THOR_WH removed */
#ifdef DX_THOR_WHITE0
	    return newSVnv(DX_THOR_WHITE0);
#else
	    not_there();
#endif
	}
    case '1':
	if (strEQ(name + 10, "ITE1")) {	/* DX_THOR_WH removed */
#ifdef DX_THOR_WHITE1
	    return newSVnv(DX_THOR_WHITE1);
#else
	    not_there();
#endif
	}
    case '2':
	if (strEQ(name + 10, "ITE2")) {	/* DX_THOR_WH removed */
#ifdef DX_THOR_WHITE2
	    return newSVnv(DX_THOR_WHITE2);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_THOR_WRITE_M(char *name, int len, int arg)
{
    if (15 + 4 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[15 + 4]) {
    case '\0':
	if (strEQ(name + 15, "ERGE")) {	/* DX_THOR_WRITE_M removed */
#ifdef DX_THOR_WRITE_MERGE
	    return newSVnv(DX_THOR_WRITE_MERGE);
#else
	    not_there();
#endif
	}
    case '_':
	if (strEQ(name + 15, "ERGE_KEEPLOCK")) {	/* DX_THOR_WRITE_M removed */
#ifdef DX_THOR_WRITE_MERGE_KEEPLOCK
	    return newSVnv(DX_THOR_WRITE_MERGE_KEEPLOCK);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_THOR_WRITE_(char *name, int len, int arg)
{
    switch (name[14 + 0]) {
    case 'K':
	if (strEQ(name + 14, "KEEPLOCK")) {	/* DX_THOR_WRITE_ removed */
#ifdef DX_THOR_WRITE_KEEPLOCK
	    return newSVnv(DX_THOR_WRITE_KEEPLOCK);
#else
	    not_there();
#endif
	}
    case 'M':
	return constant_DX_THOR_WRITE_M(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_THOR_WR(char *name, int len, int arg)
{
    if (10 + 3 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[10 + 3]) {
    case '\0':
	if (strEQ(name + 10, "ITE")) {	/* DX_THOR_WR removed */
#ifdef DX_THOR_WRITE
	    return newSVnv(DX_THOR_WRITE);
#else
	    not_there();
#endif
	}
    case '_':
	if (!strnEQ(name + 10,"ITE", 3))
	    break;
	return constant_DX_THOR_WRITE_(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_THOR_W(char *name, int len, int arg)
{
    switch (name[9 + 0]) {
    case 'H':
	return constant_DX_THOR_WH(name, len, arg);
    case 'O':
	if (strEQ(name + 9, "O_NORMS")) {	/* DX_THOR_W removed */
#ifdef DX_THOR_WO_NORMS
	    return newSVnv(DX_THOR_WO_NORMS);
#else
	    not_there();
#endif
	}
    case 'R':
	return constant_DX_THOR_WR(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_THOR_D(char *name, int len, int arg)
{
    switch (name[9 + 0]) {
    case '3':
	if (strEQ(name + 9, "3D")) {	/* DX_THOR_D removed */
#ifdef DX_THOR_D3D
	    return newSVnv(DX_THOR_D3D);
#else
	    not_there();
#endif
	}
    case 'A':
	if (strEQ(name + 9, "ATATYPESDB")) {	/* DX_THOR_D removed */
#ifdef DX_THOR_DATATYPESDB
	    return newSVnv(DX_THOR_DATATYPESDB);
#else
	    not_there();
#endif
	}
    case 'O':
	if (strEQ(name + 9, "OWNCASE")) {	/* DX_THOR_D removed */
#ifdef DX_THOR_DOWNCASE
	    return newSVnv(DX_THOR_DOWNCASE);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_THOR_INDIRECT_(char *name, int len, int arg)
{
    if (17 + 3 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[17 + 3]) {
    case 'A':
	if (strEQ(name + 17, "GETALL")) {	/* DX_THOR_INDIRECT_ removed */
#ifdef DX_THOR_INDIRECT_GETALL
	    return newSVnv(DX_THOR_INDIRECT_GETALL);
#else
	    not_there();
#endif
	}
    case 'O':
	if (strEQ(name + 17, "GETONE")) {	/* DX_THOR_INDIRECT_ removed */
#ifdef DX_THOR_INDIRECT_GETONE
	    return newSVnv(DX_THOR_INDIRECT_GETONE);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_THOR_I(char *name, int len, int arg)
{
    if (9 + 7 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[9 + 7]) {
    case '\0':
	if (strEQ(name + 9, "NDIRECT")) {	/* DX_THOR_I removed */
#ifdef DX_THOR_INDIRECT
	    return newSVnv(DX_THOR_INDIRECT);
#else
	    not_there();
#endif
	}
    case 'D':
	if (strEQ(name + 9, "NDIRECTDB")) {	/* DX_THOR_I removed */
#ifdef DX_THOR_INDIRECTDB
	    return newSVnv(DX_THOR_INDIRECTDB);
#else
	    not_there();
#endif
	}
    case '_':
	if (!strnEQ(name + 9,"NDIRECT", 7))
	    break;
	return constant_DX_THOR_INDIRECT_(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_THOR_RE(char *name, int len, int arg)
{
    switch (name[10 + 0]) {
    case 'A':
	if (strEQ(name + 10, "ADONLY")) {	/* DX_THOR_RE removed */
#ifdef DX_THOR_READONLY
	    return newSVnv(DX_THOR_READONLY);
#else
	    not_there();
#endif
	}
    case 'G':
	if (strEQ(name + 10, "GEXP")) {	/* DX_THOR_RE removed */
#ifdef DX_THOR_REGEXP
	    return newSVnv(DX_THOR_REGEXP);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_THOR_R(char *name, int len, int arg)
{
    switch (name[9 + 0]) {
    case 'E':
	return constant_DX_THOR_RE(name, len, arg);
    case 'O':
	if (strEQ(name + 9, "OLLBACK")) {	/* DX_THOR_R removed */
#ifdef DX_THOR_ROLLBACK
	    return newSVnv(DX_THOR_ROLLBACK);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_THOR_US(char *name, int len, int arg)
{
    if (10 + 5 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[10 + 5]) {
    case '\0':
	if (strEQ(name + 10, "MILES")) {	/* DX_THOR_US removed */
#ifdef DX_THOR_USMILES
	    return newSVnv(DX_THOR_USMILES);
#else
	    not_there();
#endif
	}
    case 'A':
	if (strEQ(name + 10, "MILESANY")) {	/* DX_THOR_US removed */
#ifdef DX_THOR_USMILESANY
	    return newSVnv(DX_THOR_USMILESANY);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_THOR_UN(char *name, int len, int arg)
{
    switch (name[10 + 0]) {
    case 'L':
	if (strEQ(name + 10, "LOCK")) {	/* DX_THOR_UN removed */
#ifdef DX_THOR_UNLOCK
	    return newSVnv(DX_THOR_UNLOCK);
#else
	    not_there();
#endif
	}
    case 'U':
	if (strEQ(name + 10, "USED")) {	/* DX_THOR_UN removed */
#ifdef DX_THOR_UNUSED
	    return newSVnv(DX_THOR_UNUSED);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_THOR_U(char *name, int len, int arg)
{
    switch (name[9 + 0]) {
    case 'N':
	return constant_DX_THOR_UN(name, len, arg);
    case 'P':
	if (strEQ(name + 9, "PCASE")) {	/* DX_THOR_U removed */
#ifdef DX_THOR_UPCASE
	    return newSVnv(DX_THOR_UPCASE);
#else
	    not_there();
#endif
	}
    case 'S':
	return constant_DX_THOR_US(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_TH(char *name, int len, int arg)
{
    if (5 + 3 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[5 + 3]) {
    case 'A':
	if (!strnEQ(name + 5,"OR_", 3))
	    break;
	return constant_DX_THOR_A(name, len, arg);
    case 'B':
	if (strEQ(name + 5, "OR_BINARY")) {	/* DX_TH removed */
#ifdef DX_THOR_BINARY
	    return newSVnv(DX_THOR_BINARY);
#else
	    not_there();
#endif
	}
    case 'C':
	if (!strnEQ(name + 5,"OR_", 3))
	    break;
	return constant_DX_THOR_C(name, len, arg);
    case 'D':
	if (!strnEQ(name + 5,"OR_", 3))
	    break;
	return constant_DX_THOR_D(name, len, arg);
    case 'F':
	if (!strnEQ(name + 5,"OR_", 3))
	    break;
	return constant_DX_THOR_F(name, len, arg);
    case 'G':
	if (strEQ(name + 5, "OR_GRAPH")) {	/* DX_TH removed */
#ifdef DX_THOR_GRAPH
	    return newSVnv(DX_THOR_GRAPH);
#else
	    not_there();
#endif
	}
    case 'I':
	if (!strnEQ(name + 5,"OR_", 3))
	    break;
	return constant_DX_THOR_I(name, len, arg);
    case 'L':
	if (strEQ(name + 5, "OR_LOOKUP_NORMS")) {	/* DX_TH removed */
#ifdef DX_THOR_LOOKUP_NORMS
	    return newSVnv(DX_THOR_LOOKUP_NORMS);
#else
	    not_there();
#endif
	}
    case 'M':
	if (!strnEQ(name + 5,"OR_", 3))
	    break;
	return constant_DX_THOR_M(name, len, arg);
    case 'N':
	if (!strnEQ(name + 5,"OR_", 3))
	    break;
	return constant_DX_THOR_N(name, len, arg);
    case 'O':
	if (!strnEQ(name + 5,"OR_", 3))
	    break;
	return constant_DX_THOR_O(name, len, arg);
    case 'P':
	if (strEQ(name + 5, "OR_PART_NTUPLE")) {	/* DX_TH removed */
#ifdef DX_THOR_PART_NTUPLE
	    return newSVnv(DX_THOR_PART_NTUPLE);
#else
	    not_there();
#endif
	}
    case 'R':
	if (!strnEQ(name + 5,"OR_", 3))
	    break;
	return constant_DX_THOR_R(name, len, arg);
    case 'S':
	if (!strnEQ(name + 5,"OR_", 3))
	    break;
	return constant_DX_THOR_S(name, len, arg);
    case 'U':
	if (!strnEQ(name + 5,"OR_", 3))
	    break;
	return constant_DX_THOR_U(name, len, arg);
    case 'W':
	if (!strnEQ(name + 5,"OR_", 3))
	    break;
	return constant_DX_THOR_W(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_T(char *name, int len, int arg)
{
    switch (name[4 + 0]) {
    case 'H':
	return constant_DX_TH(name, len, arg);
    case 'O':
	return constant_DX_TO(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_NOT(char *name, int len, int arg)
{
    if (6 + 1 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[6 + 1]) {
    case 'M':
	if (strEQ(name + 6, "_MONOMER_OBJECT")) {	/* DX_NOT removed */
#ifdef DX_NOT_MONOMER_OBJECT
	    return newSVnv(DX_NOT_MONOMER_OBJECT);
#else
	    not_there();
#endif
	}
    case 'N':
	if (strEQ(name + 6, "_NEIGHBORS")) {	/* DX_NOT removed */
#ifdef DX_NOT_NEIGHBORS
	    return newSVnv(DX_NOT_NEIGHBORS);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_N(char *name, int len, int arg)
{
    if (4 + 1 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[4 + 1]) {
    case 'T':
	if (!strnEQ(name + 4,"O", 1))
	    break;
	return constant_DX_NOT(name, len, arg);
    case '_':
	if (strEQ(name + 4, "O_PARENT")) {	/* DX_N removed */
#ifdef DX_NO_PARENT
	    return newSVnv(DX_NO_PARENT);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_EDGE_TRI_(char *name, int len, int arg)
{
    switch (name[12 + 0]) {
    case 'I':
	if (strEQ(name + 12, "IN")) {	/* DX_EDGE_TRI_ removed */
#ifdef DX_EDGE_TRI_IN
	    return newSVnv(DX_EDGE_TRI_IN);
#else
	    not_there();
#endif
	}
    case 'O':
	if (strEQ(name + 12, "OUT")) {	/* DX_EDGE_TRI_ removed */
#ifdef DX_EDGE_TRI_OUT
	    return newSVnv(DX_EDGE_TRI_OUT);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_EDGE_TR(char *name, int len, int arg)
{
    if (10 + 1 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[10 + 1]) {
    case '\0':
	if (strEQ(name + 10, "I")) {	/* DX_EDGE_TR removed */
#ifdef DX_EDGE_TRI
	    return newSVnv(DX_EDGE_TRI);
#else
	    not_there();
#endif
	}
    case '_':
	if (!strnEQ(name + 10,"I", 1))
	    break;
	return constant_DX_EDGE_TRI_(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_EDGE_TEE_(char *name, int len, int arg)
{
    switch (name[12 + 0]) {
    case 'I':
	if (strEQ(name + 12, "IN")) {	/* DX_EDGE_TEE_ removed */
#ifdef DX_EDGE_TEE_IN
	    return newSVnv(DX_EDGE_TEE_IN);
#else
	    not_there();
#endif
	}
    case 'O':
	if (strEQ(name + 12, "OUT")) {	/* DX_EDGE_TEE_ removed */
#ifdef DX_EDGE_TEE_OUT
	    return newSVnv(DX_EDGE_TEE_OUT);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_EDGE_TE(char *name, int len, int arg)
{
    if (10 + 1 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[10 + 1]) {
    case '\0':
	if (strEQ(name + 10, "E")) {	/* DX_EDGE_TE removed */
#ifdef DX_EDGE_TEE
	    return newSVnv(DX_EDGE_TEE);
#else
	    not_there();
#endif
	}
    case '_':
	if (!strnEQ(name + 10,"E", 1))
	    break;
	return constant_DX_EDGE_TEE_(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_EDGE_T(char *name, int len, int arg)
{
    switch (name[9 + 0]) {
    case 'E':
	return constant_DX_EDGE_TE(name, len, arg);
    case 'R':
	return constant_DX_EDGE_TR(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_EDGE_IS_H(char *name, int len, int arg)
{
    if (12 + 4 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[12 + 4]) {
    case 'I':
	if (strEQ(name + 12, "ASH_IN")) {	/* DX_EDGE_IS_H removed */
#ifdef DX_EDGE_IS_HASH_IN
	    return newSVnv(DX_EDGE_IS_HASH_IN);
#else
	    not_there();
#endif
	}
    case 'O':
	if (strEQ(name + 12, "ASH_OUT")) {	/* DX_EDGE_IS_H removed */
#ifdef DX_EDGE_IS_HASH_OUT
	    return newSVnv(DX_EDGE_IS_HASH_OUT);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_EDGE_IS_TR(char *name, int len, int arg)
{
    if (13 + 2 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[13 + 2]) {
    case 'I':
	if (strEQ(name + 13, "I_IN")) {	/* DX_EDGE_IS_TR removed */
#ifdef DX_EDGE_IS_TRI_IN
	    return newSVnv(DX_EDGE_IS_TRI_IN);
#else
	    not_there();
#endif
	}
    case 'O':
	if (strEQ(name + 13, "I_OUT")) {	/* DX_EDGE_IS_TR removed */
#ifdef DX_EDGE_IS_TRI_OUT
	    return newSVnv(DX_EDGE_IS_TRI_OUT);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_EDGE_IS_TE(char *name, int len, int arg)
{
    if (13 + 2 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[13 + 2]) {
    case 'I':
	if (strEQ(name + 13, "E_IN")) {	/* DX_EDGE_IS_TE removed */
#ifdef DX_EDGE_IS_TEE_IN
	    return newSVnv(DX_EDGE_IS_TEE_IN);
#else
	    not_there();
#endif
	}
    case 'O':
	if (strEQ(name + 13, "E_OUT")) {	/* DX_EDGE_IS_TE removed */
#ifdef DX_EDGE_IS_TEE_OUT
	    return newSVnv(DX_EDGE_IS_TEE_OUT);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_EDGE_IS_T(char *name, int len, int arg)
{
    switch (name[12 + 0]) {
    case 'E':
	return constant_DX_EDGE_IS_TE(name, len, arg);
    case 'R':
	return constant_DX_EDGE_IS_TR(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_EDGE_IS_D(char *name, int len, int arg)
{
    switch (name[12 + 0]) {
    case 'A':
	if (strEQ(name + 12, "ATIVE")) {	/* DX_EDGE_IS_D removed */
#ifdef DX_EDGE_IS_DATIVE
	    return newSVnv(DX_EDGE_IS_DATIVE);
#else
	    not_there();
#endif
	}
    case 'I':
	if (strEQ(name + 12, "IAMOND")) {	/* DX_EDGE_IS_D removed */
#ifdef DX_EDGE_IS_DIAMOND
	    return newSVnv(DX_EDGE_IS_DIAMOND);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_EDGE_I(char *name, int len, int arg)
{
    if (9 + 2 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[9 + 2]) {
    case 'B':
	if (strEQ(name + 9, "S_BOWTIE")) {	/* DX_EDGE_I removed */
#ifdef DX_EDGE_IS_BOWTIE
	    return newSVnv(DX_EDGE_IS_BOWTIE);
#else
	    not_there();
#endif
	}
    case 'D':
	if (!strnEQ(name + 9,"S_", 2))
	    break;
	return constant_DX_EDGE_IS_D(name, len, arg);
    case 'H':
	if (!strnEQ(name + 9,"S_", 2))
	    break;
	return constant_DX_EDGE_IS_H(name, len, arg);
    case 'T':
	if (!strnEQ(name + 9,"S_", 2))
	    break;
	return constant_DX_EDGE_IS_T(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_ED(char *name, int len, int arg)
{
    if (5 + 3 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[5 + 3]) {
    case 'D':
	if (strEQ(name + 5, "GE_DATIVE")) {	/* DX_ED removed */
#ifdef DX_EDGE_DATIVE
	    return newSVnv(DX_EDGE_DATIVE);
#else
	    not_there();
#endif
	}
    case 'H':
	if (strEQ(name + 5, "GE_HASH")) {	/* DX_ED removed */
#ifdef DX_EDGE_HASH
	    return newSVnv(DX_EDGE_HASH);
#else
	    not_there();
#endif
	}
    case 'I':
	if (!strnEQ(name + 5,"GE_", 3))
	    break;
	return constant_DX_EDGE_I(name, len, arg);
    case 'S':
	if (strEQ(name + 5, "GE_SIMPLE")) {	/* DX_ED removed */
#ifdef DX_EDGE_SIMPLE
	    return newSVnv(DX_EDGE_SIMPLE);
#else
	    not_there();
#endif
	}
    case 'T':
	if (!strnEQ(name + 5,"GE_", 3))
	    break;
	return constant_DX_EDGE_T(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_ERR_N(char *name, int len, int arg)
{
    if (8 + 1 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[8 + 1]) {
    case 'N':
	if (strEQ(name + 8, "ONE")) {	/* DX_ERR_N removed */
#ifdef DX_ERR_NONE
	    return newSVnv(DX_ERR_NONE);
#else
	    not_there();
#endif
	}
    case 'T':
	if (strEQ(name + 8, "OTE")) {	/* DX_ERR_N removed */
#ifdef DX_ERR_NOTE
	    return newSVnv(DX_ERR_NOTE);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_ER(char *name, int len, int arg)
{
    if (5 + 2 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[5 + 2]) {
    case 'E':
	if (strEQ(name + 5, "R_ERROR")) {	/* DX_ER removed */
#ifdef DX_ERR_ERROR
	    return newSVnv(DX_ERR_ERROR);
#else
	    not_there();
#endif
	}
    case 'F':
	if (strEQ(name + 5, "R_FATAL")) {	/* DX_ER removed */
#ifdef DX_ERR_FATAL
	    return newSVnv(DX_ERR_FATAL);
#else
	    not_there();
#endif
	}
    case 'N':
	if (!strnEQ(name + 5,"R_", 2))
	    break;
	return constant_DX_ERR_N(name, len, arg);
    case 'W':
	if (strEQ(name + 5, "R_WARN")) {	/* DX_ER removed */
#ifdef DX_ERR_WARN
	    return newSVnv(DX_ERR_WARN);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_E(char *name, int len, int arg)
{
    switch (name[4 + 0]) {
    case 'D':
	return constant_DX_ED(name, len, arg);
    case 'N':
	if (strEQ(name + 4, "ND_HAS_RIGHT_BOND")) {	/* DX_E removed */
#ifdef DX_END_HAS_RIGHT_BOND
	    return newSVnv(DX_END_HAS_RIGHT_BOND);
#else
	    not_there();
#endif
	}
    case 'R':
	return constant_DX_ER(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_MONO_A(char *name, int len, int arg)
{
    switch (name[9 + 0]) {
    case 'L':
	if (strEQ(name + 9, "LLOW_ALIAS")) {	/* DX_MONO_A removed */
#ifdef DX_MONO_ALLOW_ALIAS
	    return newSVnv(DX_MONO_ALLOW_ALIAS);
#else
	    not_there();
#endif
	}
    case 'N':
	if (strEQ(name + 9, "ND")) {	/* DX_MONO_A removed */
#ifdef DX_MONO_AND
	    return newSVnv(DX_MONO_AND);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_MONO_O(char *name, int len, int arg)
{
    switch (name[9 + 0]) {
    case 'K':
	if (strEQ(name + 9, "K")) {	/* DX_MONO_O removed */
#ifdef DX_MONO_OK
	    return newSVnv(DX_MONO_OK);
#else
	    not_there();
#endif
	}
    case 'R':
	if (strEQ(name + 9, "R")) {	/* DX_MONO_O removed */
#ifdef DX_MONO_OR
	    return newSVnv(DX_MONO_OR);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_MO(char *name, int len, int arg)
{
    if (5 + 3 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[5 + 3]) {
    case 'A':
	if (!strnEQ(name + 5,"NO_", 3))
	    break;
	return constant_DX_MONO_A(name, len, arg);
    case 'I':
	if (strEQ(name + 5, "NO_INFINITY")) {	/* DX_MO removed */
#ifdef DX_MONO_INFINITY
	    return newSVnv(DX_MONO_INFINITY);
#else
	    not_there();
#endif
	}
    case 'N':
	if (strEQ(name + 5, "NO_NOALIAS")) {	/* DX_MO removed */
#ifdef DX_MONO_NOALIAS
	    return newSVnv(DX_MONO_NOALIAS);
#else
	    not_there();
#endif
	}
    case 'O':
	if (!strnEQ(name + 5,"NO_", 3))
	    break;
	return constant_DX_MONO_O(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_MESSAGE_N(char *name, int len, int arg)
{
    if (12 + 1 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[12 + 1]) {
    case 'N':
	if (strEQ(name + 12, "ONE")) {	/* DX_MESSAGE_N removed */
#ifdef DX_MESSAGE_NONE
	    return newSVnv(DX_MESSAGE_NONE);
#else
	    not_there();
#endif
	}
    case 'W':
	if (strEQ(name + 12, "OW")) {	/* DX_MESSAGE_N removed */
#ifdef DX_MESSAGE_NOW
	    return newSVnv(DX_MESSAGE_NOW);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_ME(char *name, int len, int arg)
{
    if (5 + 6 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[5 + 6]) {
    case 'F':
	if (strEQ(name + 5, "SSAGE_FILE")) {	/* DX_ME removed */
#ifdef DX_MESSAGE_FILE
	    return newSVnv(DX_MESSAGE_FILE);
#else
	    not_there();
#endif
	}
    case 'N':
	if (!strnEQ(name + 5,"SSAGE_", 6))
	    break;
	return constant_DX_MESSAGE_N(name, len, arg);
    case 'R':
	if (strEQ(name + 5, "SSAGE_RECORD")) {	/* DX_ME removed */
#ifdef DX_MESSAGE_RECORD
	    return newSVnv(DX_MESSAGE_RECORD);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_MISS(char *name, int len, int arg)
{
    if (7 + 4 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[7 + 4]) {
    case 'B':
	if (strEQ(name + 7, "ING_BOND")) {	/* DX_MISS removed */
#ifdef DX_MISSING_BOND
	    return newSVnv(DX_MISSING_BOND);
#else
	    not_there();
#endif
	}
    case 'C':
	if (strEQ(name + 7, "ING_CROSSLINK")) {	/* DX_MISS removed */
#ifdef DX_MISSING_CROSSLINK
	    return newSVnv(DX_MISSING_CROSSLINK);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_MISM(char *name, int len, int arg)
{
    if (7 + 7 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[7 + 7]) {
    case 'B':
	if (strEQ(name + 7, "ATCHED_BONDS")) {	/* DX_MISM removed */
#ifdef DX_MISMATCHED_BONDS
	    return newSVnv(DX_MISMATCHED_BONDS);
#else
	    not_there();
#endif
	}
    case 'L':
	if (strEQ(name + 7, "ATCHED_LEFT_BOND")) {	/* DX_MISM removed */
#ifdef DX_MISMATCHED_LEFT_BOND
	    return newSVnv(DX_MISMATCHED_LEFT_BOND);
#else
	    not_there();
#endif
	}
    case 'R':
	if (strEQ(name + 7, "ATCHED_RIGHT_BOND")) {	/* DX_MISM removed */
#ifdef DX_MISMATCHED_RIGHT_BOND
	    return newSVnv(DX_MISMATCHED_RIGHT_BOND);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_MI(char *name, int len, int arg)
{
    if (5 + 1 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[5 + 1]) {
    case 'M':
	if (!strnEQ(name + 5,"S", 1))
	    break;
	return constant_DX_MISM(name, len, arg);
    case 'S':
	if (!strnEQ(name + 5,"S", 1))
	    break;
	return constant_DX_MISS(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_M(char *name, int len, int arg)
{
    switch (name[4 + 0]) {
    case 'E':
	return constant_DX_ME(name, len, arg);
    case 'I':
	return constant_DX_MI(name, len, arg);
    case 'O':
	return constant_DX_MO(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_CHI_THC(char *name, int len, int arg)
{
    switch (name[10 + 0]) {
    case 'C':
	if (strEQ(name + 10, "CW")) {	/* DX_CHI_THC removed */
#ifdef DX_CHI_THCCW
	    return newSVnv(DX_CHI_THCCW);
#else
	    not_there();
#endif
	}
    case 'W':
	if (strEQ(name + 10, "W")) {	/* DX_CHI_THC removed */
#ifdef DX_CHI_THCW
	    return newSVnv(DX_CHI_THCW);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_CHI_TH(char *name, int len, int arg)
{
    switch (name[9 + 0]) {
    case '\0':
	if (strEQ(name + 9, "")) {	/* DX_CHI_TH removed */
#ifdef DX_CHI_TH
	    return newSVnv(DX_CHI_TH);
#else
	    not_there();
#endif
	}
    case 'C':
	return constant_DX_CHI_THC(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_CHI_T(char *name, int len, int arg)
{
    switch (name[8 + 0]) {
    case 'B':
	if (strEQ(name + 8, "B")) {	/* DX_CHI_T removed */
#ifdef DX_CHI_TB
	    return newSVnv(DX_CHI_TB);
#else
	    not_there();
#endif
	}
    case 'H':
	return constant_DX_CHI_TH(name, len, arg);
    case 'R':
	if (strEQ(name + 8, "RANS")) {	/* DX_CHI_T removed */
#ifdef DX_CHI_TRANS
	    return newSVnv(DX_CHI_TRANS);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_CHI_N(char *name, int len, int arg)
{
    if (8 + 1 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[8 + 1]) {
    case 'N':
	if (strEQ(name + 8, "ONE")) {	/* DX_CHI_N removed */
#ifdef DX_CHI_NONE
	    return newSVnv(DX_CHI_NONE);
#else
	    not_there();
#endif
	}
    case '_':
	if (strEQ(name + 8, "O_DBO")) {	/* DX_CHI_N removed */
#ifdef DX_CHI_NO_DBO
	    return newSVnv(DX_CHI_NO_DBO);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_C(char *name, int len, int arg)
{
    if (4 + 3 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[4 + 3]) {
    case 'A':
	if (strEQ(name + 4, "HI_AL")) {	/* DX_C removed */
#ifdef DX_CHI_AL
	    return newSVnv(DX_CHI_AL);
#else
	    not_there();
#endif
	}
    case 'C':
	if (strEQ(name + 4, "HI_CIS")) {	/* DX_C removed */
#ifdef DX_CHI_CIS
	    return newSVnv(DX_CHI_CIS);
#else
	    not_there();
#endif
	}
    case 'N':
	if (!strnEQ(name + 4,"HI_", 3))
	    break;
	return constant_DX_CHI_N(name, len, arg);
    case 'O':
	if (strEQ(name + 4, "HI_OH")) {	/* DX_C removed */
#ifdef DX_CHI_OH
	    return newSVnv(DX_CHI_OH);
#else
	    not_there();
#endif
	}
    case 'S':
	if (strEQ(name + 4, "HI_SP")) {	/* DX_C removed */
#ifdef DX_CHI_SP
	    return newSVnv(DX_CHI_SP);
#else
	    not_there();
#endif
	}
    case 'T':
	if (!strnEQ(name + 4,"HI_", 3))
	    break;
	return constant_DX_CHI_T(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_L(char *name, int len, int arg)
{
    if (4 + 4 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[4 + 4]) {
    case 'B':
	if (strEQ(name + 4, "EFT_BOND")) {	/* DX_L removed */
#ifdef DX_LEFT_BOND
	    return newSVnv(DX_LEFT_BOND);
#else
	    not_there();
#endif
	}
    case 'R':
	if (strEQ(name + 4, "EFT_RIGHT_CROSS")) {	/* DX_L removed */
#ifdef DX_LEFT_RIGHT_CROSS
	    return newSVnv(DX_LEFT_RIGHT_CROSS);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_ATN_S(char *name, int len, int arg)
{
    switch (name[8 + 0]) {
    case '\0':
	if (strEQ(name + 8, "")) {	/* DX_ATN_S removed */
#ifdef DX_ATN_S
	    return newSVnv(DX_ATN_S);
#else
	    not_there();
#endif
	}
    case 'b':
	if (strEQ(name + 8, "b")) {	/* DX_ATN_S removed */
#ifdef DX_ATN_Sb
	    return newSVnv(DX_ATN_Sb);
#else
	    not_there();
#endif
	}
    case 'c':
	if (strEQ(name + 8, "c")) {	/* DX_ATN_S removed */
#ifdef DX_ATN_Sc
	    return newSVnv(DX_ATN_Sc);
#else
	    not_there();
#endif
	}
    case 'e':
	if (strEQ(name + 8, "e")) {	/* DX_ATN_S removed */
#ifdef DX_ATN_Se
	    return newSVnv(DX_ATN_Se);
#else
	    not_there();
#endif
	}
    case 'i':
	if (strEQ(name + 8, "i")) {	/* DX_ATN_S removed */
#ifdef DX_ATN_Si
	    return newSVnv(DX_ATN_Si);
#else
	    not_there();
#endif
	}
    case 'm':
	if (strEQ(name + 8, "m")) {	/* DX_ATN_S removed */
#ifdef DX_ATN_Sm
	    return newSVnv(DX_ATN_Sm);
#else
	    not_there();
#endif
	}
    case 'n':
	if (strEQ(name + 8, "n")) {	/* DX_ATN_S removed */
#ifdef DX_ATN_Sn
	    return newSVnv(DX_ATN_Sn);
#else
	    not_there();
#endif
	}
    case 'r':
	if (strEQ(name + 8, "r")) {	/* DX_ATN_S removed */
#ifdef DX_ATN_Sr
	    return newSVnv(DX_ATN_Sr);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_ATN_F(char *name, int len, int arg)
{
    switch (name[8 + 0]) {
    case '\0':
	if (strEQ(name + 8, "")) {	/* DX_ATN_F removed */
#ifdef DX_ATN_F
	    return newSVnv(DX_ATN_F);
#else
	    not_there();
#endif
	}
    case 'e':
	if (strEQ(name + 8, "e")) {	/* DX_ATN_F removed */
#ifdef DX_ATN_Fe
	    return newSVnv(DX_ATN_Fe);
#else
	    not_there();
#endif
	}
    case 'm':
	if (strEQ(name + 8, "m")) {	/* DX_ATN_F removed */
#ifdef DX_ATN_Fm
	    return newSVnv(DX_ATN_Fm);
#else
	    not_there();
#endif
	}
    case 'r':
	if (strEQ(name + 8, "r")) {	/* DX_ATN_F removed */
#ifdef DX_ATN_Fr
	    return newSVnv(DX_ATN_Fr);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_ATN_T(char *name, int len, int arg)
{
    switch (name[8 + 0]) {
    case 'a':
	if (strEQ(name + 8, "a")) {	/* DX_ATN_T removed */
#ifdef DX_ATN_Ta
	    return newSVnv(DX_ATN_Ta);
#else
	    not_there();
#endif
	}
    case 'b':
	if (strEQ(name + 8, "b")) {	/* DX_ATN_T removed */
#ifdef DX_ATN_Tb
	    return newSVnv(DX_ATN_Tb);
#else
	    not_there();
#endif
	}
    case 'c':
	if (strEQ(name + 8, "c")) {	/* DX_ATN_T removed */
#ifdef DX_ATN_Tc
	    return newSVnv(DX_ATN_Tc);
#else
	    not_there();
#endif
	}
    case 'e':
	if (strEQ(name + 8, "e")) {	/* DX_ATN_T removed */
#ifdef DX_ATN_Te
	    return newSVnv(DX_ATN_Te);
#else
	    not_there();
#endif
	}
    case 'h':
	if (strEQ(name + 8, "h")) {	/* DX_ATN_T removed */
#ifdef DX_ATN_Th
	    return newSVnv(DX_ATN_Th);
#else
	    not_there();
#endif
	}
    case 'i':
	if (strEQ(name + 8, "i")) {	/* DX_ATN_T removed */
#ifdef DX_ATN_Ti
	    return newSVnv(DX_ATN_Ti);
#else
	    not_there();
#endif
	}
    case 'l':
	if (strEQ(name + 8, "l")) {	/* DX_ATN_T removed */
#ifdef DX_ATN_Tl
	    return newSVnv(DX_ATN_Tl);
#else
	    not_there();
#endif
	}
    case 'm':
	if (strEQ(name + 8, "m")) {	/* DX_ATN_T removed */
#ifdef DX_ATN_Tm
	    return newSVnv(DX_ATN_Tm);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_ATN_N(char *name, int len, int arg)
{
    switch (name[8 + 0]) {
    case '\0':
	if (strEQ(name + 8, "")) {	/* DX_ATN_N removed */
#ifdef DX_ATN_N
	    return newSVnv(DX_ATN_N);
#else
	    not_there();
#endif
	}
    case 'a':
	if (strEQ(name + 8, "a")) {	/* DX_ATN_N removed */
#ifdef DX_ATN_Na
	    return newSVnv(DX_ATN_Na);
#else
	    not_there();
#endif
	}
    case 'b':
	if (strEQ(name + 8, "b")) {	/* DX_ATN_N removed */
#ifdef DX_ATN_Nb
	    return newSVnv(DX_ATN_Nb);
#else
	    not_there();
#endif
	}
    case 'd':
	if (strEQ(name + 8, "d")) {	/* DX_ATN_N removed */
#ifdef DX_ATN_Nd
	    return newSVnv(DX_ATN_Nd);
#else
	    not_there();
#endif
	}
    case 'e':
	if (strEQ(name + 8, "e")) {	/* DX_ATN_N removed */
#ifdef DX_ATN_Ne
	    return newSVnv(DX_ATN_Ne);
#else
	    not_there();
#endif
	}
    case 'i':
	if (strEQ(name + 8, "i")) {	/* DX_ATN_N removed */
#ifdef DX_ATN_Ni
	    return newSVnv(DX_ATN_Ni);
#else
	    not_there();
#endif
	}
    case 'o':
	if (strEQ(name + 8, "o")) {	/* DX_ATN_N removed */
#ifdef DX_ATN_No
	    return newSVnv(DX_ATN_No);
#else
	    not_there();
#endif
	}
    case 'p':
	if (strEQ(name + 8, "p")) {	/* DX_ATN_N removed */
#ifdef DX_ATN_Np
	    return newSVnv(DX_ATN_Np);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_ATN_K(char *name, int len, int arg)
{
    switch (name[8 + 0]) {
    case '\0':
	if (strEQ(name + 8, "")) {	/* DX_ATN_K removed */
#ifdef DX_ATN_K
	    return newSVnv(DX_ATN_K);
#else
	    not_there();
#endif
	}
    case 'r':
	if (strEQ(name + 8, "r")) {	/* DX_ATN_K removed */
#ifdef DX_ATN_Kr
	    return newSVnv(DX_ATN_Kr);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_ATN_Y(char *name, int len, int arg)
{
    switch (name[8 + 0]) {
    case '\0':
	if (strEQ(name + 8, "")) {	/* DX_ATN_Y removed */
#ifdef DX_ATN_Y
	    return newSVnv(DX_ATN_Y);
#else
	    not_there();
#endif
	}
    case 'b':
	if (strEQ(name + 8, "b")) {	/* DX_ATN_Y removed */
#ifdef DX_ATN_Yb
	    return newSVnv(DX_ATN_Yb);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_ATN_E(char *name, int len, int arg)
{
    switch (name[8 + 0]) {
    case 'r':
	if (strEQ(name + 8, "r")) {	/* DX_ATN_E removed */
#ifdef DX_ATN_Er
	    return newSVnv(DX_ATN_Er);
#else
	    not_there();
#endif
	}
    case 's':
	if (strEQ(name + 8, "s")) {	/* DX_ATN_E removed */
#ifdef DX_ATN_Es
	    return newSVnv(DX_ATN_Es);
#else
	    not_there();
#endif
	}
    case 'u':
	if (strEQ(name + 8, "u")) {	/* DX_ATN_E removed */
#ifdef DX_ATN_Eu
	    return newSVnv(DX_ATN_Eu);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_ATN_Z(char *name, int len, int arg)
{
    switch (name[8 + 0]) {
    case 'n':
	if (strEQ(name + 8, "n")) {	/* DX_ATN_Z removed */
#ifdef DX_ATN_Zn
	    return newSVnv(DX_ATN_Zn);
#else
	    not_there();
#endif
	}
    case 'r':
	if (strEQ(name + 8, "r")) {	/* DX_ATN_Z removed */
#ifdef DX_ATN_Zr
	    return newSVnv(DX_ATN_Zr);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_ATN_M(char *name, int len, int arg)
{
    switch (name[8 + 0]) {
    case 'A':
	if (strEQ(name + 8, "AX")) {	/* DX_ATN_M removed */
#ifdef DX_ATN_MAX
	    return newSVnv(DX_ATN_MAX);
#else
	    not_there();
#endif
	}
    case 'd':
	if (strEQ(name + 8, "d")) {	/* DX_ATN_M removed */
#ifdef DX_ATN_Md
	    return newSVnv(DX_ATN_Md);
#else
	    not_there();
#endif
	}
    case 'g':
	if (strEQ(name + 8, "g")) {	/* DX_ATN_M removed */
#ifdef DX_ATN_Mg
	    return newSVnv(DX_ATN_Mg);
#else
	    not_there();
#endif
	}
    case 'n':
	if (strEQ(name + 8, "n")) {	/* DX_ATN_M removed */
#ifdef DX_ATN_Mn
	    return newSVnv(DX_ATN_Mn);
#else
	    not_there();
#endif
	}
    case 'o':
	if (strEQ(name + 8, "o")) {	/* DX_ATN_M removed */
#ifdef DX_ATN_Mo
	    return newSVnv(DX_ATN_Mo);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_ATN_C(char *name, int len, int arg)
{
    switch (name[8 + 0]) {
    case '\0':
	if (strEQ(name + 8, "")) {	/* DX_ATN_C removed */
#ifdef DX_ATN_C
	    return newSVnv(DX_ATN_C);
#else
	    not_there();
#endif
	}
    case 'a':
	if (strEQ(name + 8, "a")) {	/* DX_ATN_C removed */
#ifdef DX_ATN_Ca
	    return newSVnv(DX_ATN_Ca);
#else
	    not_there();
#endif
	}
    case 'd':
	if (strEQ(name + 8, "d")) {	/* DX_ATN_C removed */
#ifdef DX_ATN_Cd
	    return newSVnv(DX_ATN_Cd);
#else
	    not_there();
#endif
	}
    case 'e':
	if (strEQ(name + 8, "e")) {	/* DX_ATN_C removed */
#ifdef DX_ATN_Ce
	    return newSVnv(DX_ATN_Ce);
#else
	    not_there();
#endif
	}
    case 'f':
	if (strEQ(name + 8, "f")) {	/* DX_ATN_C removed */
#ifdef DX_ATN_Cf
	    return newSVnv(DX_ATN_Cf);
#else
	    not_there();
#endif
	}
    case 'l':
	if (strEQ(name + 8, "l")) {	/* DX_ATN_C removed */
#ifdef DX_ATN_Cl
	    return newSVnv(DX_ATN_Cl);
#else
	    not_there();
#endif
	}
    case 'm':
	if (strEQ(name + 8, "m")) {	/* DX_ATN_C removed */
#ifdef DX_ATN_Cm
	    return newSVnv(DX_ATN_Cm);
#else
	    not_there();
#endif
	}
    case 'o':
	if (strEQ(name + 8, "o")) {	/* DX_ATN_C removed */
#ifdef DX_ATN_Co
	    return newSVnv(DX_ATN_Co);
#else
	    not_there();
#endif
	}
    case 'r':
	if (strEQ(name + 8, "r")) {	/* DX_ATN_C removed */
#ifdef DX_ATN_Cr
	    return newSVnv(DX_ATN_Cr);
#else
	    not_there();
#endif
	}
    case 's':
	if (strEQ(name + 8, "s")) {	/* DX_ATN_C removed */
#ifdef DX_ATN_Cs
	    return newSVnv(DX_ATN_Cs);
#else
	    not_there();
#endif
	}
    case 'u':
	if (strEQ(name + 8, "u")) {	/* DX_ATN_C removed */
#ifdef DX_ATN_Cu
	    return newSVnv(DX_ATN_Cu);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_ATN_L(char *name, int len, int arg)
{
    switch (name[8 + 0]) {
    case 'a':
	if (strEQ(name + 8, "a")) {	/* DX_ATN_L removed */
#ifdef DX_ATN_La
	    return newSVnv(DX_ATN_La);
#else
	    not_there();
#endif
	}
    case 'i':
	if (strEQ(name + 8, "i")) {	/* DX_ATN_L removed */
#ifdef DX_ATN_Li
	    return newSVnv(DX_ATN_Li);
#else
	    not_there();
#endif
	}
    case 'r':
	if (strEQ(name + 8, "r")) {	/* DX_ATN_L removed */
#ifdef DX_ATN_Lr
	    return newSVnv(DX_ATN_Lr);
#else
	    not_there();
#endif
	}
    case 'u':
	if (strEQ(name + 8, "u")) {	/* DX_ATN_L removed */
#ifdef DX_ATN_Lu
	    return newSVnv(DX_ATN_Lu);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_ATN_A(char *name, int len, int arg)
{
    switch (name[8 + 0]) {
    case 'c':
	if (strEQ(name + 8, "c")) {	/* DX_ATN_A removed */
#ifdef DX_ATN_Ac
	    return newSVnv(DX_ATN_Ac);
#else
	    not_there();
#endif
	}
    case 'g':
	if (strEQ(name + 8, "g")) {	/* DX_ATN_A removed */
#ifdef DX_ATN_Ag
	    return newSVnv(DX_ATN_Ag);
#else
	    not_there();
#endif
	}
    case 'l':
	if (strEQ(name + 8, "l")) {	/* DX_ATN_A removed */
#ifdef DX_ATN_Al
	    return newSVnv(DX_ATN_Al);
#else
	    not_there();
#endif
	}
    case 'm':
	if (strEQ(name + 8, "m")) {	/* DX_ATN_A removed */
#ifdef DX_ATN_Am
	    return newSVnv(DX_ATN_Am);
#else
	    not_there();
#endif
	}
    case 'r':
	if (strEQ(name + 8, "r")) {	/* DX_ATN_A removed */
#ifdef DX_ATN_Ar
	    return newSVnv(DX_ATN_Ar);
#else
	    not_there();
#endif
	}
    case 's':
	if (strEQ(name + 8, "s")) {	/* DX_ATN_A removed */
#ifdef DX_ATN_As
	    return newSVnv(DX_ATN_As);
#else
	    not_there();
#endif
	}
    case 't':
	if (strEQ(name + 8, "t")) {	/* DX_ATN_A removed */
#ifdef DX_ATN_At
	    return newSVnv(DX_ATN_At);
#else
	    not_there();
#endif
	}
    case 'u':
	if (strEQ(name + 8, "u")) {	/* DX_ATN_A removed */
#ifdef DX_ATN_Au
	    return newSVnv(DX_ATN_Au);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_ATN_O(char *name, int len, int arg)
{
    switch (name[8 + 0]) {
    case '\0':
	if (strEQ(name + 8, "")) {	/* DX_ATN_O removed */
#ifdef DX_ATN_O
	    return newSVnv(DX_ATN_O);
#else
	    not_there();
#endif
	}
    case 's':
	if (strEQ(name + 8, "s")) {	/* DX_ATN_O removed */
#ifdef DX_ATN_Os
	    return newSVnv(DX_ATN_Os);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_ATN_W(char *name, int len, int arg)
{
    switch (name[8 + 0]) {
    case '\0':
	if (strEQ(name + 8, "")) {	/* DX_ATN_W removed */
#ifdef DX_ATN_W
	    return newSVnv(DX_ATN_W);
#else
	    not_there();
#endif
	}
    case 'I':
	if (strEQ(name + 8, "ILD")) {	/* DX_ATN_W removed */
#ifdef DX_ATN_WILD
	    return newSVnv(DX_ATN_WILD);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_ATN_P(char *name, int len, int arg)
{
    switch (name[8 + 0]) {
    case '\0':
	if (strEQ(name + 8, "")) {	/* DX_ATN_P removed */
#ifdef DX_ATN_P
	    return newSVnv(DX_ATN_P);
#else
	    not_there();
#endif
	}
    case 'a':
	if (strEQ(name + 8, "a")) {	/* DX_ATN_P removed */
#ifdef DX_ATN_Pa
	    return newSVnv(DX_ATN_Pa);
#else
	    not_there();
#endif
	}
    case 'b':
	if (strEQ(name + 8, "b")) {	/* DX_ATN_P removed */
#ifdef DX_ATN_Pb
	    return newSVnv(DX_ATN_Pb);
#else
	    not_there();
#endif
	}
    case 'd':
	if (strEQ(name + 8, "d")) {	/* DX_ATN_P removed */
#ifdef DX_ATN_Pd
	    return newSVnv(DX_ATN_Pd);
#else
	    not_there();
#endif
	}
    case 'm':
	if (strEQ(name + 8, "m")) {	/* DX_ATN_P removed */
#ifdef DX_ATN_Pm
	    return newSVnv(DX_ATN_Pm);
#else
	    not_there();
#endif
	}
    case 'o':
	if (strEQ(name + 8, "o")) {	/* DX_ATN_P removed */
#ifdef DX_ATN_Po
	    return newSVnv(DX_ATN_Po);
#else
	    not_there();
#endif
	}
    case 'r':
	if (strEQ(name + 8, "r")) {	/* DX_ATN_P removed */
#ifdef DX_ATN_Pr
	    return newSVnv(DX_ATN_Pr);
#else
	    not_there();
#endif
	}
    case 't':
	if (strEQ(name + 8, "t")) {	/* DX_ATN_P removed */
#ifdef DX_ATN_Pt
	    return newSVnv(DX_ATN_Pt);
#else
	    not_there();
#endif
	}
    case 'u':
	if (strEQ(name + 8, "u")) {	/* DX_ATN_P removed */
#ifdef DX_ATN_Pu
	    return newSVnv(DX_ATN_Pu);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_ATN_B(char *name, int len, int arg)
{
    switch (name[8 + 0]) {
    case '\0':
	if (strEQ(name + 8, "")) {	/* DX_ATN_B removed */
#ifdef DX_ATN_B
	    return newSVnv(DX_ATN_B);
#else
	    not_there();
#endif
	}
    case 'a':
	if (strEQ(name + 8, "a")) {	/* DX_ATN_B removed */
#ifdef DX_ATN_Ba
	    return newSVnv(DX_ATN_Ba);
#else
	    not_there();
#endif
	}
    case 'e':
	if (strEQ(name + 8, "e")) {	/* DX_ATN_B removed */
#ifdef DX_ATN_Be
	    return newSVnv(DX_ATN_Be);
#else
	    not_there();
#endif
	}
    case 'i':
	if (strEQ(name + 8, "i")) {	/* DX_ATN_B removed */
#ifdef DX_ATN_Bi
	    return newSVnv(DX_ATN_Bi);
#else
	    not_there();
#endif
	}
    case 'k':
	if (strEQ(name + 8, "k")) {	/* DX_ATN_B removed */
#ifdef DX_ATN_Bk
	    return newSVnv(DX_ATN_Bk);
#else
	    not_there();
#endif
	}
    case 'r':
	if (strEQ(name + 8, "r")) {	/* DX_ATN_B removed */
#ifdef DX_ATN_Br
	    return newSVnv(DX_ATN_Br);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_ATN_H(char *name, int len, int arg)
{
    switch (name[8 + 0]) {
    case '\0':
	if (strEQ(name + 8, "")) {	/* DX_ATN_H removed */
#ifdef DX_ATN_H
	    return newSVnv(DX_ATN_H);
#else
	    not_there();
#endif
	}
    case 'e':
	if (strEQ(name + 8, "e")) {	/* DX_ATN_H removed */
#ifdef DX_ATN_He
	    return newSVnv(DX_ATN_He);
#else
	    not_there();
#endif
	}
    case 'f':
	if (strEQ(name + 8, "f")) {	/* DX_ATN_H removed */
#ifdef DX_ATN_Hf
	    return newSVnv(DX_ATN_Hf);
#else
	    not_there();
#endif
	}
    case 'g':
	if (strEQ(name + 8, "g")) {	/* DX_ATN_H removed */
#ifdef DX_ATN_Hg
	    return newSVnv(DX_ATN_Hg);
#else
	    not_there();
#endif
	}
    case 'o':
	if (strEQ(name + 8, "o")) {	/* DX_ATN_H removed */
#ifdef DX_ATN_Ho
	    return newSVnv(DX_ATN_Ho);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_ATN_I(char *name, int len, int arg)
{
    switch (name[8 + 0]) {
    case '\0':
	if (strEQ(name + 8, "")) {	/* DX_ATN_I removed */
#ifdef DX_ATN_I
	    return newSVnv(DX_ATN_I);
#else
	    not_there();
#endif
	}
    case 'n':
	if (strEQ(name + 8, "n")) {	/* DX_ATN_I removed */
#ifdef DX_ATN_In
	    return newSVnv(DX_ATN_In);
#else
	    not_there();
#endif
	}
    case 'r':
	if (strEQ(name + 8, "r")) {	/* DX_ATN_I removed */
#ifdef DX_ATN_Ir
	    return newSVnv(DX_ATN_Ir);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_ATN_R(char *name, int len, int arg)
{
    switch (name[8 + 0]) {
    case 'a':
	if (strEQ(name + 8, "a")) {	/* DX_ATN_R removed */
#ifdef DX_ATN_Ra
	    return newSVnv(DX_ATN_Ra);
#else
	    not_there();
#endif
	}
    case 'b':
	if (strEQ(name + 8, "b")) {	/* DX_ATN_R removed */
#ifdef DX_ATN_Rb
	    return newSVnv(DX_ATN_Rb);
#else
	    not_there();
#endif
	}
    case 'e':
	if (strEQ(name + 8, "e")) {	/* DX_ATN_R removed */
#ifdef DX_ATN_Re
	    return newSVnv(DX_ATN_Re);
#else
	    not_there();
#endif
	}
    case 'h':
	if (strEQ(name + 8, "h")) {	/* DX_ATN_R removed */
#ifdef DX_ATN_Rh
	    return newSVnv(DX_ATN_Rh);
#else
	    not_there();
#endif
	}
    case 'n':
	if (strEQ(name + 8, "n")) {	/* DX_ATN_R removed */
#ifdef DX_ATN_Rn
	    return newSVnv(DX_ATN_Rn);
#else
	    not_there();
#endif
	}
    case 'u':
	if (strEQ(name + 8, "u")) {	/* DX_ATN_R removed */
#ifdef DX_ATN_Ru
	    return newSVnv(DX_ATN_Ru);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_ATN_G(char *name, int len, int arg)
{
    switch (name[8 + 0]) {
    case 'a':
	if (strEQ(name + 8, "a")) {	/* DX_ATN_G removed */
#ifdef DX_ATN_Ga
	    return newSVnv(DX_ATN_Ga);
#else
	    not_there();
#endif
	}
    case 'd':
	if (strEQ(name + 8, "d")) {	/* DX_ATN_G removed */
#ifdef DX_ATN_Gd
	    return newSVnv(DX_ATN_Gd);
#else
	    not_there();
#endif
	}
    case 'e':
	if (strEQ(name + 8, "e")) {	/* DX_ATN_G removed */
#ifdef DX_ATN_Ge
	    return newSVnv(DX_ATN_Ge);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_AT(char *name, int len, int arg)
{
    if (5 + 2 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[5 + 2]) {
    case 'A':
	if (!strnEQ(name + 5,"N_", 2))
	    break;
	return constant_DX_ATN_A(name, len, arg);
    case 'B':
	if (!strnEQ(name + 5,"N_", 2))
	    break;
	return constant_DX_ATN_B(name, len, arg);
    case 'C':
	if (!strnEQ(name + 5,"N_", 2))
	    break;
	return constant_DX_ATN_C(name, len, arg);
    case 'D':
	if (strEQ(name + 5, "N_Dy")) {	/* DX_AT removed */
#ifdef DX_ATN_Dy
	    return newSVnv(DX_ATN_Dy);
#else
	    not_there();
#endif
	}
    case 'E':
	if (!strnEQ(name + 5,"N_", 2))
	    break;
	return constant_DX_ATN_E(name, len, arg);
    case 'F':
	if (!strnEQ(name + 5,"N_", 2))
	    break;
	return constant_DX_ATN_F(name, len, arg);
    case 'G':
	if (!strnEQ(name + 5,"N_", 2))
	    break;
	return constant_DX_ATN_G(name, len, arg);
    case 'H':
	if (!strnEQ(name + 5,"N_", 2))
	    break;
	return constant_DX_ATN_H(name, len, arg);
    case 'I':
	if (!strnEQ(name + 5,"N_", 2))
	    break;
	return constant_DX_ATN_I(name, len, arg);
    case 'K':
	if (!strnEQ(name + 5,"N_", 2))
	    break;
	return constant_DX_ATN_K(name, len, arg);
    case 'L':
	if (!strnEQ(name + 5,"N_", 2))
	    break;
	return constant_DX_ATN_L(name, len, arg);
    case 'M':
	if (!strnEQ(name + 5,"N_", 2))
	    break;
	return constant_DX_ATN_M(name, len, arg);
    case 'N':
	if (!strnEQ(name + 5,"N_", 2))
	    break;
	return constant_DX_ATN_N(name, len, arg);
    case 'O':
	if (!strnEQ(name + 5,"N_", 2))
	    break;
	return constant_DX_ATN_O(name, len, arg);
    case 'P':
	if (!strnEQ(name + 5,"N_", 2))
	    break;
	return constant_DX_ATN_P(name, len, arg);
    case 'R':
	if (!strnEQ(name + 5,"N_", 2))
	    break;
	return constant_DX_ATN_R(name, len, arg);
    case 'S':
	if (!strnEQ(name + 5,"N_", 2))
	    break;
	return constant_DX_ATN_S(name, len, arg);
    case 'T':
	if (!strnEQ(name + 5,"N_", 2))
	    break;
	return constant_DX_ATN_T(name, len, arg);
    case 'U':
	if (strEQ(name + 5, "N_U")) {	/* DX_AT removed */
#ifdef DX_ATN_U
	    return newSVnv(DX_ATN_U);
#else
	    not_there();
#endif
	}
    case 'V':
	if (strEQ(name + 5, "N_V")) {	/* DX_AT removed */
#ifdef DX_ATN_V
	    return newSVnv(DX_ATN_V);
#else
	    not_there();
#endif
	}
    case 'W':
	if (!strnEQ(name + 5,"N_", 2))
	    break;
	return constant_DX_ATN_W(name, len, arg);
    case 'X':
	if (strEQ(name + 5, "N_Xe")) {	/* DX_AT removed */
#ifdef DX_ATN_Xe
	    return newSVnv(DX_ATN_Xe);
#else
	    not_there();
#endif
	}
    case 'Y':
	if (!strnEQ(name + 5,"N_", 2))
	    break;
	return constant_DX_ATN_Y(name, len, arg);
    case 'Z':
	if (!strnEQ(name + 5,"N_", 2))
	    break;
	return constant_DX_ATN_Z(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_ACTION_A(char *name, int len, int arg)
{
    if (11 + 3 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[11 + 3]) {
    case 'H':
	if (strEQ(name + 11, "DD_HITS")) {	/* DX_ACTION_A removed */
#ifdef DX_ACTION_ADD_HITS
	    return newSVnv(DX_ACTION_ADD_HITS);
#else
	    not_there();
#endif
	}
    case 'N':
	if (strEQ(name + 11, "DD_NONHITS")) {	/* DX_ACTION_A removed */
#ifdef DX_ACTION_ADD_NONHITS
	    return newSVnv(DX_ACTION_ADD_NONHITS);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_ACTION_NEX(char *name, int len, int arg)
{
    if (13 + 2 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[13 + 2]) {
    case 'H':
	if (strEQ(name + 13, "T_HIT")) {	/* DX_ACTION_NEX removed */
#ifdef DX_ACTION_NEXT_HIT
	    return newSVnv(DX_ACTION_NEXT_HIT);
#else
	    not_there();
#endif
	}
    case 'N':
	if (strEQ(name + 13, "T_NONHIT")) {	/* DX_ACTION_NEX removed */
#ifdef DX_ACTION_NEXT_NONHIT
	    return newSVnv(DX_ACTION_NEXT_NONHIT);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_ACTION_N(char *name, int len, int arg)
{
    if (11 + 1 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[11 + 1]) {
    case 'W':
	if (strEQ(name + 11, "EW_LIST")) {	/* DX_ACTION_N removed */
#ifdef DX_ACTION_NEW_LIST
	    return newSVnv(DX_ACTION_NEW_LIST);
#else
	    not_there();
#endif
	}
    case 'X':
	if (!strnEQ(name + 11,"E", 1))
	    break;
	return constant_DX_ACTION_NEX(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_ACTION_D(char *name, int len, int arg)
{
    if (11 + 3 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[11 + 3]) {
    case 'H':
	if (strEQ(name + 11, "EL_HITS")) {	/* DX_ACTION_D removed */
#ifdef DX_ACTION_DEL_HITS
	    return newSVnv(DX_ACTION_DEL_HITS);
#else
	    not_there();
#endif
	}
    case 'N':
	if (strEQ(name + 11, "EL_NONHITS")) {	/* DX_ACTION_D removed */
#ifdef DX_ACTION_DEL_NONHITS
	    return newSVnv(DX_ACTION_DEL_NONHITS);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_AC(char *name, int len, int arg)
{
    if (5 + 5 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[5 + 5]) {
    case 'A':
	if (!strnEQ(name + 5,"TION_", 5))
	    break;
	return constant_DX_ACTION_A(name, len, arg);
    case 'D':
	if (!strnEQ(name + 5,"TION_", 5))
	    break;
	return constant_DX_ACTION_D(name, len, arg);
    case 'N':
	if (!strnEQ(name + 5,"TION_", 5))
	    break;
	return constant_DX_ACTION_N(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_A(char *name, int len, int arg)
{
    switch (name[4 + 0]) {
    case 'C':
	return constant_DX_AC(name, len, arg);
    case 'P':
	if (strEQ(name + 4, "PI_PUBLIC")) {	/* DX_A removed */
#ifdef DX_API_PUBLIC
	    return newSVpv("", 0);
#else
	    not_there();
#endif
	}
    case 'T':
	return constant_DX_AT(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_O(char *name, int len, int arg)
{
    if (4 + 6 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[4 + 6]) {
    case 'A':
	if (strEQ(name + 4, "RIENT_AUTO")) {	/* DX_O removed */
#ifdef DX_ORIENT_AUTO
	    return newSVnv(DX_ORIENT_AUTO);
#else
	    not_there();
#endif
	}
    case 'N':
	if (strEQ(name + 4, "RIENT_NONE")) {	/* DX_O removed */
#ifdef DX_ORIENT_NONE
	    return newSVnv(DX_ORIENT_NONE);
#else
	    not_there();
#endif
	}
    case 'W':
	if (strEQ(name + 4, "RIENT_WILD")) {	/* DX_O removed */
#ifdef DX_ORIENT_WILD
	    return newSVnv(DX_ORIENT_WILD);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_PT(char *name, int len, int arg)
{
    if (5 + 1 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[5 + 1]) {
    case 'C':
	if (strEQ(name + 5, "_CR")) {	/* DX_PT removed */
#ifdef DX_PT_CR
	    return newSVnv(DX_PT_CR);
#else
	    not_there();
#endif
	}
    case 'N':
	if (strEQ(name + 5, "_NONE")) {	/* DX_PT removed */
#ifdef DX_PT_NONE
	    return newSVnv(DX_PT_NONE);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_PROP(char *name, int len, int arg)
{
    if (7 + 1 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[7 + 1]) {
    case 'B':
	if (strEQ(name + 7, "_BOOLEAN")) {	/* DX_PROP removed */
#ifdef DX_PROP_BOOLEAN
	    return newSVnv(DX_PROP_BOOLEAN);
#else
	    not_there();
#endif
	}
    case 'H':
	if (strEQ(name + 7, "_HANDLE")) {	/* DX_PROP removed */
#ifdef DX_PROP_HANDLE
	    return newSVnv(DX_PROP_HANDLE);
#else
	    not_there();
#endif
	}
    case 'I':
	if (strEQ(name + 7, "_INTEGER")) {	/* DX_PROP removed */
#ifdef DX_PROP_INTEGER
	    return newSVnv(DX_PROP_INTEGER);
#else
	    not_there();
#endif
	}
    case 'N':
	if (strEQ(name + 7, "_NOPROP")) {	/* DX_PROP removed */
#ifdef DX_PROP_NOPROP
	    return newSVnv(DX_PROP_NOPROP);
#else
	    not_there();
#endif
	}
    case 'R':
	if (strEQ(name + 7, "_REAL")) {	/* DX_PROP removed */
#ifdef DX_PROP_REAL
	    return newSVnv(DX_PROP_REAL);
#else
	    not_there();
#endif
	}
    case 'S':
	if (strEQ(name + 7, "_STRING")) {	/* DX_PROP removed */
#ifdef DX_PROP_STRING
	    return newSVnv(DX_PROP_STRING);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_PR(char *name, int len, int arg)
{
    if (5 + 1 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[5 + 1]) {
    case 'G':
	if (strEQ(name + 5, "OGRAM_LICENSE")) {	/* DX_PR removed */
#ifdef DX_PROGRAM_LICENSE
	    return newSVnv(DX_PROGRAM_LICENSE);
#else
	    not_there();
#endif
	}
    case 'P':
	if (!strnEQ(name + 5,"O", 1))
	    break;
	return constant_DX_PROP(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_P(char *name, int len, int arg)
{
    switch (name[4 + 0]) {
    case 'R':
	return constant_DX_PR(name, len, arg);
    case 'T':
	return constant_DX_PT(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_BT(char *name, int len, int arg)
{
    if (5 + 2 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[5 + 2]) {
    case 'A':
	if (strEQ(name + 5, "Y_AROMAT")) {	/* DX_BT removed */
#ifdef DX_BTY_AROMAT
	    return newSVnv(DX_BTY_AROMAT);
#else
	    not_there();
#endif
	}
    case 'C':
	if (strEQ(name + 5, "Y_COUNT")) {	/* DX_BT removed */
#ifdef DX_BTY_COUNT
	    return newSVnv(DX_BTY_COUNT);
#else
	    not_there();
#endif
	}
    case 'D':
	if (strEQ(name + 5, "Y_DOUBLE")) {	/* DX_BT removed */
#ifdef DX_BTY_DOUBLE
	    return newSVnv(DX_BTY_DOUBLE);
#else
	    not_there();
#endif
	}
    case 'M':
	if (strEQ(name + 5, "Y_MIXSEP")) {	/* DX_BT removed */
#ifdef DX_BTY_MIXSEP
	    return newSVnv(DX_BTY_MIXSEP);
#else
	    not_there();
#endif
	}
    case 'N':
	if (strEQ(name + 5, "Y_NONE")) {	/* DX_BT removed */
#ifdef DX_BTY_NONE
	    return newSVnv(DX_BTY_NONE);
#else
	    not_there();
#endif
	}
    case 'S':
	if (strEQ(name + 5, "Y_SINGLE")) {	/* DX_BT removed */
#ifdef DX_BTY_SINGLE
	    return newSVnv(DX_BTY_SINGLE);
#else
	    not_there();
#endif
	}
    case 'T':
	if (strEQ(name + 5, "Y_TRIPLE")) {	/* DX_BT removed */
#ifdef DX_BTY_TRIPLE
	    return newSVnv(DX_BTY_TRIPLE);
#else
	    not_there();
#endif
	}
    case 'U':
	if (strEQ(name + 5, "Y_UNKNOWN")) {	/* DX_BT removed */
#ifdef DX_BTY_UNKNOWN
	    return newSVnv(DX_BTY_UNKNOWN);
#else
	    not_there();
#endif
	}
    case 'W':
	if (strEQ(name + 5, "Y_WILD")) {	/* DX_BT removed */
#ifdef DX_BTY_WILD
	    return newSVnv(DX_BTY_WILD);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_B(char *name, int len, int arg)
{
    switch (name[4 + 0]) {
    case 'A':
	if (strEQ(name + 4, "AD_PARAMETER")) {	/* DX_B removed */
#ifdef DX_BAD_PARAMETER
	    return newSVnv(DX_BAD_PARAMETER);
#else
	    not_there();
#endif
	}
    case 'T':
	return constant_DX_BT(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_HTT_METHOD_A(char *name, int len, int arg)
{
    switch (name[15 + 0]) {
    case 'L':
	if (strEQ(name + 15, "LL")) {	/* DX_HTT_METHOD_A removed */
#ifdef DX_HTT_METHOD_ALL
	    return newSVnv(DX_HTT_METHOD_ALL);
#else
	    not_there();
#endif
	}
    case 'N':
	if (strEQ(name + 15, "NY")) {	/* DX_HTT_METHOD_A removed */
#ifdef DX_HTT_METHOD_ANY
	    return newSVnv(DX_HTT_METHOD_ANY);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_HTT_M(char *name, int len, int arg)
{
    if (8 + 6 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[8 + 6]) {
    case 'A':
	if (!strnEQ(name + 8,"ETHOD_", 6))
	    break;
	return constant_DX_HTT_METHOD_A(name, len, arg);
    case 'G':
	if (strEQ(name + 8, "ETHOD_GET")) {	/* DX_HTT_M removed */
#ifdef DX_HTT_METHOD_GET
	    return newSVnv(DX_HTT_METHOD_GET);
#else
	    not_there();
#endif
	}
    case 'H':
	if (strEQ(name + 8, "ETHOD_HEAD")) {	/* DX_HTT_M removed */
#ifdef DX_HTT_METHOD_HEAD
	    return newSVnv(DX_HTT_METHOD_HEAD);
#else
	    not_there();
#endif
	}
    case 'N':
	if (strEQ(name + 8, "ETHOD_NONE")) {	/* DX_HTT_M removed */
#ifdef DX_HTT_METHOD_NONE
	    return newSVnv(DX_HTT_METHOD_NONE);
#else
	    not_there();
#endif
	}
    case 'P':
	if (strEQ(name + 8, "ETHOD_POST")) {	/* DX_HTT_M removed */
#ifdef DX_HTT_METHOD_POST
	    return newSVnv(DX_HTT_METHOD_POST);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_H(char *name, int len, int arg)
{
    if (4 + 3 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[4 + 3]) {
    case 'D':
	if (strEQ(name + 4, "TT_DONE")) {	/* DX_H removed */
#ifdef DX_HTT_DONE
	    return newSVnv(DX_HTT_DONE);
#else
	    not_there();
#endif
	}
    case 'E':
	if (strEQ(name + 4, "TT_ERROR")) {	/* DX_H removed */
#ifdef DX_HTT_ERROR
	    return newSVnv(DX_HTT_ERROR);
#else
	    not_there();
#endif
	}
    case 'M':
	if (!strnEQ(name + 4,"TT_", 3))
	    break;
	return constant_DX_HTT_M(name, len, arg);
    case 'O':
	if (strEQ(name + 4, "TT_OK")) {	/* DX_H removed */
#ifdef DX_HTT_OK
	    return newSVnv(DX_HTT_OK);
#else
	    not_there();
#endif
	}
    case 'T':
	if (strEQ(name + 4, "TT_TIMEOUT")) {	/* DX_H removed */
#ifdef DX_HTT_TIMEOUT
	    return newSVnv(DX_HTT_TIMEOUT);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_DU(char *name, int len, int arg)
{
    if (5 + 13 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[5 + 13]) {
    case '1':
	if (strEQ(name + 5, "P_CONNECTION_1")) {	/* DX_DU removed */
#ifdef DX_DUP_CONNECTION_1
	    return newSVnv(DX_DUP_CONNECTION_1);
#else
	    not_there();
#endif
	}
    case '2':
	if (strEQ(name + 5, "P_CONNECTION_2")) {	/* DX_DU removed */
#ifdef DX_DUP_CONNECTION_2
	    return newSVnv(DX_DUP_CONNECTION_2);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_D(char *name, int len, int arg)
{
    switch (name[4 + 0]) {
    case 'A':
	if (strEQ(name + 4, "ATABASE_LICENSE")) {	/* DX_D removed */
#ifdef DX_DATABASE_LICENSE
	    return newSVnv(DX_DATABASE_LICENSE);
#else
	    not_there();
#endif
	}
    case 'I':
	if (strEQ(name + 4, "IFFERENT_PARENTS")) {	/* DX_D removed */
#ifdef DX_DIFFERENT_PARENTS
	    return newSVnv(DX_DIFFERENT_PARENTS);
#else
	    not_there();
#endif
	}
    case 'U':
	return constant_DX_DU(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_IL(char *name, int len, int arg)
{
    if (5 + 6 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[5 + 6]) {
    case 'B':
	if (strEQ(name + 5, "LEGAL_BONDTYPE")) {	/* DX_IL removed */
#ifdef DX_ILLEGAL_BONDTYPE
	    return newSVnv(DX_ILLEGAL_BONDTYPE);
#else
	    not_there();
#endif
	}
    case 'S':
	if (strEQ(name + 5, "LEGAL_START_MONOMER")) {	/* DX_IL removed */
#ifdef DX_ILLEGAL_START_MONOMER
	    return newSVnv(DX_ILLEGAL_START_MONOMER);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_I(char *name, int len, int arg)
{
    switch (name[4 + 0]) {
    case 'L':
	return constant_DX_IL(name, len, arg);
    case 'N':
	if (strEQ(name + 4, "NVALID_BONDS")) {	/* DX_I removed */
#ifdef DX_INVALID_BONDS
	    return newSVnv(DX_INVALID_BONDS);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_ROLE_A(char *name, int len, int arg)
{
    switch (name[9 + 0]) {
    case 'G':
	if (strEQ(name + 9, "GENT")) {	/* DX_ROLE_A removed */
#ifdef DX_ROLE_AGENT
	    return newSVnv(DX_ROLE_AGENT);
#else
	    not_there();
#endif
	}
    case 'N':
	if (strEQ(name + 9, "NY")) {	/* DX_ROLE_A removed */
#ifdef DX_ROLE_ANY
	    return newSVnv(DX_ROLE_ANY);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_RO(char *name, int len, int arg)
{
    if (5 + 3 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[5 + 3]) {
    case 'A':
	if (!strnEQ(name + 5,"LE_", 3))
	    break;
	return constant_DX_ROLE_A(name, len, arg);
    case 'P':
	if (strEQ(name + 5, "LE_PRODUCT")) {	/* DX_RO removed */
#ifdef DX_ROLE_PRODUCT
	    return newSVnv(DX_ROLE_PRODUCT);
#else
	    not_there();
#endif
	}
    case 'R':
	if (strEQ(name + 5, "LE_REACTANT")) {	/* DX_RO removed */
#ifdef DX_ROLE_REACTANT
	    return newSVnv(DX_ROLE_REACTANT);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX_R(char *name, int len, int arg)
{
    switch (name[4 + 0]) {
    case 'E':
	if (strEQ(name + 4, "EVERSE")) {	/* DX_R removed */
#ifdef DX_REVERSE
	    return newSVnv(DX_REVERSE);
#else
	    not_there();
#endif
	}
    case 'I':
	if (strEQ(name + 4, "IGHT_BOND")) {	/* DX_R removed */
#ifdef DX_RIGHT_BOND
	    return newSVnv(DX_RIGHT_BOND);
#else
	    not_there();
#endif
	}
    case 'O':
	return constant_DX_RO(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DX(char *name, int len, int arg)
{
    if (2 + 1 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[2 + 1]) {
    case 'A':
	if (!strnEQ(name + 2,"_", 1))
	    break;
	return constant_DX_A(name, len, arg);
    case 'B':
	if (!strnEQ(name + 2,"_", 1))
	    break;
	return constant_DX_B(name, len, arg);
    case 'C':
	if (!strnEQ(name + 2,"_", 1))
	    break;
	return constant_DX_C(name, len, arg);
    case 'D':
	if (!strnEQ(name + 2,"_", 1))
	    break;
	return constant_DX_D(name, len, arg);
    case 'E':
	if (!strnEQ(name + 2,"_", 1))
	    break;
	return constant_DX_E(name, len, arg);
    case 'F':
	if (!strnEQ(name + 2,"_", 1))
	    break;
	return constant_DX_F(name, len, arg);
    case 'H':
	if (!strnEQ(name + 2,"_", 1))
	    break;
	return constant_DX_H(name, len, arg);
    case 'I':
	if (!strnEQ(name + 2,"_", 1))
	    break;
	return constant_DX_I(name, len, arg);
    case 'L':
	if (!strnEQ(name + 2,"_", 1))
	    break;
	return constant_DX_L(name, len, arg);
    case 'M':
	if (!strnEQ(name + 2,"_", 1))
	    break;
	return constant_DX_M(name, len, arg);
    case 'N':
	if (!strnEQ(name + 2,"_", 1))
	    break;
	return constant_DX_N(name, len, arg);
    case 'O':
	if (!strnEQ(name + 2,"_", 1))
	    break;
	return constant_DX_O(name, len, arg);
    case 'P':
	if (!strnEQ(name + 2,"_", 1))
	    break;
	return constant_DX_P(name, len, arg);
    case 'R':
	if (!strnEQ(name + 2,"_", 1))
	    break;
	return constant_DX_R(name, len, arg);
    case 'S':
	if (!strnEQ(name + 2,"_", 1))
	    break;
	return constant_DX_S(name, len, arg);
    case 'T':
	if (!strnEQ(name + 2,"_", 1))
	    break;
	return constant_DX_T(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DY_THOR_S(char *name, int len, int arg)
{
    switch (name[9 + 0]) {
    case 'M':
	if (strEQ(name + 9, "MILES_NTUPLE")) {	/* DY_THOR_S removed */
#ifdef DY_THOR_SMILES_NTUPLE
	    return newSVnv(DY_THOR_SMILES_NTUPLE);
#else
	    not_there();
#endif
	}
    case 'O':
	if (strEQ(name + 9, "OMEPUNCT")) {	/* DY_THOR_S removed */
#ifdef DY_THOR_SOMEPUNCT
	    return newSVnv(DY_THOR_SOMEPUNCT);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DY_THOR_N(char *name, int len, int arg)
{
    switch (name[9 + 0]) {
    case 'O':
	if (strEQ(name + 9, "OPUNCT")) {	/* DY_THOR_N removed */
#ifdef DY_THOR_NOPUNCT
	    return newSVnv(DY_THOR_NOPUNCT);
#else
	    not_there();
#endif
	}
    case 'U':
	if (strEQ(name + 9, "UMERIC")) {	/* DY_THOR_N removed */
#ifdef DY_THOR_NUMERIC
	    return newSVnv(DY_THOR_NUMERIC);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DY_THOR_AS(char *name, int len, int arg)
{
    if (10 + 5 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[10 + 5]) {
    case '\0':
	if (strEQ(name + 10, "MILES")) {	/* DY_THOR_AS removed */
#ifdef DY_THOR_ASMILES
	    return newSVnv(DY_THOR_ASMILES);
#else
	    not_there();
#endif
	}
    case 'A':
	if (strEQ(name + 10, "MILESANY")) {	/* DY_THOR_AS removed */
#ifdef DY_THOR_ASMILESANY
	    return newSVnv(DY_THOR_ASMILESANY);
#else
	    not_there();
#endif
	}
    case '_':
	if (strEQ(name + 10, "MILES_ANY")) {	/* DY_THOR_AS removed */
#ifdef DY_THOR_ASMILES_ANY
	    return newSVnv(DY_THOR_ASMILES_ANY);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DY_THOR_A(char *name, int len, int arg)
{
    switch (name[9 + 0]) {
    case 'N':
	if (strEQ(name + 9, "NYSMILES")) {	/* DY_THOR_A removed */
#ifdef DY_THOR_ANYSMILES
	    return newSVnv(DY_THOR_ANYSMILES);
#else
	    not_there();
#endif
	}
    case 'S':
	return constant_DY_THOR_AS(name, len, arg);
    case 'U':
	if (strEQ(name + 9, "UTOGEN")) {	/* DY_THOR_A removed */
#ifdef DY_THOR_AUTOGEN
	    return newSVnv(DY_THOR_AUTOGEN);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DY_THOR_WH(char *name, int len, int arg)
{
    if (10 + 3 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[10 + 3]) {
    case '0':
	if (strEQ(name + 10, "ITE0")) {	/* DY_THOR_WH removed */
#ifdef DY_THOR_WHITE0
	    return newSVnv(DY_THOR_WHITE0);
#else
	    not_there();
#endif
	}
    case '1':
	if (strEQ(name + 10, "ITE1")) {	/* DY_THOR_WH removed */
#ifdef DY_THOR_WHITE1
	    return newSVnv(DY_THOR_WHITE1);
#else
	    not_there();
#endif
	}
    case '2':
	if (strEQ(name + 10, "ITE2")) {	/* DY_THOR_WH removed */
#ifdef DY_THOR_WHITE2
	    return newSVnv(DY_THOR_WHITE2);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DY_THOR_W(char *name, int len, int arg)
{
    switch (name[9 + 0]) {
    case 'H':
	return constant_DY_THOR_WH(name, len, arg);
    case 'O':
	if (strEQ(name + 9, "O_NORMS")) {	/* DY_THOR_W removed */
#ifdef DY_THOR_WO_NORMS
	    return newSVnv(DY_THOR_WO_NORMS);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DY_THOR_D(char *name, int len, int arg)
{
    switch (name[9 + 0]) {
    case '3':
	if (strEQ(name + 9, "3D")) {	/* DY_THOR_D removed */
#ifdef DY_THOR_D3D
	    return newSVnv(DY_THOR_D3D);
#else
	    not_there();
#endif
	}
    case 'O':
	if (strEQ(name + 9, "OWNCASE")) {	/* DY_THOR_D removed */
#ifdef DY_THOR_DOWNCASE
	    return newSVnv(DY_THOR_DOWNCASE);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DY_THOR_R(char *name, int len, int arg)
{
    if (9 + 1 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[9 + 1]) {
    case 'A':
	if (strEQ(name + 9, "EADONLY")) {	/* DY_THOR_R removed */
#ifdef DY_THOR_READONLY
	    return newSVnv(DY_THOR_READONLY);
#else
	    not_there();
#endif
	}
    case 'G':
	if (strEQ(name + 9, "EGEXP")) {	/* DY_THOR_R removed */
#ifdef DY_THOR_REGEXP
	    return newSVnv(DY_THOR_REGEXP);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DY_THOR_US(char *name, int len, int arg)
{
    if (10 + 5 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[10 + 5]) {
    case '\0':
	if (strEQ(name + 10, "MILES")) {	/* DY_THOR_US removed */
#ifdef DY_THOR_USMILES
	    return newSVnv(DY_THOR_USMILES);
#else
	    not_there();
#endif
	}
    case 'A':
	if (strEQ(name + 10, "MILESANY")) {	/* DY_THOR_US removed */
#ifdef DY_THOR_USMILESANY
	    return newSVnv(DY_THOR_USMILESANY);
#else
	    not_there();
#endif
	}
    case '_':
	if (strEQ(name + 10, "MILES_ANY")) {	/* DY_THOR_US removed */
#ifdef DY_THOR_USMILES_ANY
	    return newSVnv(DY_THOR_USMILES_ANY);
#else
	    not_there();
#endif
	}
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DY_THOR_U(char *name, int len, int arg)
{
    switch (name[9 + 0]) {
    case 'N':
	if (strEQ(name + 9, "NUSED")) {	/* DY_THOR_U removed */
#ifdef DY_THOR_UNUSED
	    return newSVnv(DY_THOR_UNUSED);
#else
	    not_there();
#endif
	}
    case 'P':
	if (strEQ(name + 9, "PCASE")) {	/* DY_THOR_U removed */
#ifdef DY_THOR_UPCASE
	    return newSVnv(DY_THOR_UPCASE);
#else
	    not_there();
#endif
	}
    case 'S':
	return constant_DY_THOR_US(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_DY(char *name, int len, int arg)
{
    if (2 + 6 >= len ) {
	errno = EINVAL;
	return 0;
    }
    switch (name[2 + 6]) {
    case 'A':
	if (!strnEQ(name + 2,"_THOR_", 6))
	    break;
	return constant_DY_THOR_A(name, len, arg);
    case 'B':
	if (strEQ(name + 2, "_THOR_BINARY")) {	/* DY removed */
#ifdef DY_THOR_BINARY
	    return newSVnv(DY_THOR_BINARY);
#else
	    not_there();
#endif
	}
    case 'C':
	if (strEQ(name + 2, "_THOR_CASNUM")) {	/* DY removed */
#ifdef DY_THOR_CASNUM
	    return newSVnv(DY_THOR_CASNUM);
#else
	    not_there();
#endif
	}
    case 'D':
	if (!strnEQ(name + 2,"_THOR_", 6))
	    break;
	return constant_DY_THOR_D(name, len, arg);
    case 'G':
	if (strEQ(name + 2, "_THOR_GRAPH")) {	/* DY removed */
#ifdef DY_THOR_GRAPH
	    return newSVnv(DY_THOR_GRAPH);
#else
	    not_there();
#endif
	}
    case 'I':
	if (strEQ(name + 2, "_THOR_INDIRECT")) {	/* DY removed */
#ifdef DY_THOR_INDIRECT
	    return newSVnv(DY_THOR_INDIRECT);
#else
	    not_there();
#endif
	}
    case 'L':
	if (strEQ(name + 2, "_THOR_LOOKUP_NORMS")) {	/* DY removed */
#ifdef DY_THOR_LOOKUP_NORMS
	    return newSVnv(DY_THOR_LOOKUP_NORMS);
#else
	    not_there();
#endif
	}
    case 'M':
	if (strEQ(name + 2, "_THOR_MAKEGRAPH")) {	/* DY removed */
#ifdef DY_THOR_MAKEGRAPH
	    return newSVnv(DY_THOR_MAKEGRAPH);
#else
	    not_there();
#endif
	}
    case 'N':
	if (!strnEQ(name + 2,"_THOR_", 6))
	    break;
	return constant_DY_THOR_N(name, len, arg);
    case 'R':
	if (!strnEQ(name + 2,"_THOR_", 6))
	    break;
	return constant_DY_THOR_R(name, len, arg);
    case 'S':
	if (!strnEQ(name + 2,"_THOR_", 6))
	    break;
	return constant_DY_THOR_S(name, len, arg);
    case 'U':
	if (!strnEQ(name + 2,"_THOR_", 6))
	    break;
	return constant_DY_THOR_U(name, len, arg);
    case 'W':
	if (!strnEQ(name + 2,"_THOR_", 6))
	    break;
	return constant_DY_THOR_W(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant_D(char *name, int len, int arg)
{
    switch (name[1 + 0]) {
    case 'M':
	return constant_DM(name, len, arg);
    case 'T':
	return constant_DT(name, len, arg);
    case 'X':
	return constant_DX(name, len, arg);
    case 'Y':
	return constant_DY(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}

SV *
constant(char *name, int len, int arg)
{
    errno = 0;
    switch (name[0 + 0]) {
    case 'D':
	return constant_D(name, len, arg);
    case 'N':
	if (strEQ(name + 0, "NULL_OB")) {	/*  removed */
#ifdef NULL_OB
	    return newSVnv(NULL_OB);
#else
	    not_there();
#endif
	}
    case 'T':
	return constant_T(name, len, arg);
    }
    errno = EINVAL;
    return 0;

}


MODULE = DayPerl		PACKAGE = DayPerl		PREFIX = rototypes


SV *
constant(sv,arg)
    PREINIT:
	STRLEN		len;
    INPUT:
	SV *		sv
	char *		s = SvPV(sv, len);
	int		arg
    CODE:
	RETVAL = constant(s,len,arg);
    OUTPUT:
	RETVAL

dt_Handle
dt_alloc_http_server(port)
	dt_Integer	port
	CODE:
	{
		RETVAL = dt_e_alloc_http_server(port);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_http_get(http)
	dt_Handle	http
	CODE:
	{
		RETVAL = dt_e_http_get(http);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_http_put(xfer)
	dt_Handle	xfer
	CODE:
	{
		RETVAL = dt_e_http_put(xfer);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_alloc_conformation(mh)
	dt_Handle	mh
	CODE:
	{
		RETVAL = dt_e_alloc_conformation(mh);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_alloc_depiction(mh)
	dt_Handle	mh
	CODE:
	{
		RETVAL = dt_e_alloc_depiction(mh);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_bondstyle(deph, ah, bh)
	dt_Handle	deph
	dt_Handle	ah
	dt_Handle	bh
	CODE:
	{
		RETVAL = dt_e_bondstyle(deph, ah, bh);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_calcxy(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_calcxy(ob);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_compressed(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_compressed(ob);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_depict(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_depict(ob);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_frame(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_frame(ob);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_framega(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_framega(ob);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_ga(ob, ob2)
	dt_Handle	ob
	dt_Handle	ob2
	CODE:
	{
		RETVAL = dt_e_ga(ob, ob2);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_getcoord(ob, ah, xp, yp, zp)
	dt_Handle	ob
	dt_Handle	ah
	dt_Real	&xp
	dt_Real	&yp
	dt_Real	&zp
	CODE:
	{
		RETVAL = dt_e_getcoord(ob, ah, &xp, &yp, &zp);
	}
	OUTPUT:
	RETVAL
	xp
	yp
	zp

dt_Integer
dt_isomeric(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_isomeric(ob);
	}
	OUTPUT:
	RETVAL

SV *
dt_label1(ob, ob2)
	dt_Handle	ob
	dt_Handle	ob2
	CODE:
	{
		int lenp = 0;
		char *tmp = NULL;

		tmp = dt_e_label1(&lenp, ob, ob2);
		if (tmp == NULL) {
			RETVAL = newSVpv("", 0);

		} else {
			RETVAL = newSVpv(tmp, lenp);
		}
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_label1ga(ob, ob2)
	dt_Handle	ob
	dt_Handle	ob2
	CODE:
	{
		RETVAL = dt_e_label1ga(ob, ob2);
	}
	OUTPUT:
	RETVAL

SV *
dt_label2(ob, ob2)
	dt_Handle	ob
	dt_Handle	ob2
	CODE:
	{
		int lenp = 0;
		char *tmp = NULL;

		tmp = dt_e_label2(&lenp, ob, ob2);
		if (tmp == NULL) {
			RETVAL = newSVpv("", 0);

		} else {
			RETVAL = newSVpv(tmp, lenp);
		}
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_label2ga(ob, ob2)
	dt_Handle	ob
	dt_Handle	ob2
	CODE:
	{
		RETVAL = dt_e_label2ga(ob, ob2);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_orient(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_orient(ob);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_project(ob, conf)
	dt_Handle	ob
	dt_Handle	conf
	CODE:
	{
		RETVAL = dt_e_project(ob, conf);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_rotate(ob, x, y, z, theta)
	dt_Handle	ob
	dt_Real	x
	dt_Real	y
	dt_Real	z
	dt_Real	theta
	CODE:
	{
		RETVAL = dt_e_rotate(ob, x, y, z, theta);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_scale(ob, cx, cy, cz)
	dt_Handle	ob
	dt_Real	cx
	dt_Real	cy
	dt_Real	cz
	CODE:
	{
		RETVAL = dt_e_scale(ob, cx, cy, cz);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_schematic(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_schematic(ob);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_setbondstyles(deph)
	dt_Handle	deph
	CODE:
	{
		RETVAL = dt_e_setbondstyles(deph);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_setcompressed(ob, v)
	dt_Handle	ob
	dt_Integer	v
	CODE:
	{
		RETVAL = dt_e_setcompressed(ob, v);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_setcoord(ob, ah, x, y, z)
	dt_Handle	ob
	dt_Handle	ah
	dt_Real	x
	dt_Real	y
	dt_Real	z
	CODE:
	{
		RETVAL = dt_e_setcoord(ob, ah, x, y, z);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_setframe(ob, boo)
	dt_Handle	ob
	dt_Integer	boo
	CODE:
	{
		RETVAL = dt_e_setframe(ob, boo);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_setframega(ob, ga)
	dt_Handle	ob
	dt_Integer	ga
	CODE:
	{
		RETVAL = dt_e_setframega(ob, ga);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_setga(ob, ob2, ga)
	dt_Handle	ob
	dt_Handle	ob2
	dt_Integer	ga
	CODE:
	{
		RETVAL = dt_e_setga(ob, ob2, ga);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_setisomeric(ob, v)
	dt_Handle	ob
	dt_Integer	v
	CODE:
	{
		RETVAL = dt_e_setisomeric(ob, v);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_setlabel1(ob, ob2, lab)
	dt_Handle	ob
	dt_Handle	ob2
	dt_String	lab
	CODE:
	{
		RETVAL = dt_e_setlabel1(ob, ob2, lab);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_setlabel2(ob, ob2, lab)
	dt_Handle	ob
	dt_Handle	ob2
	dt_String	lab
	CODE:
	{
		RETVAL = dt_e_setlabel2(ob, ob2, lab);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_setlabel1ga(ob, ob2, ga)
	dt_Handle	ob
	dt_Handle	ob2
	dt_Integer	ga
	CODE:
	{
		RETVAL = dt_e_setlabel1ga(ob, ob2, ga);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_setlabel2ga(ob, ob2, ga)
	dt_Handle	ob
	dt_Handle	ob2
	dt_Integer	ga
	CODE:
	{
		RETVAL = dt_e_setlabel2ga(ob, ob2, ga);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_setorient(ob, v)
	dt_Handle	ob
	dt_Integer	v
	CODE:
	{
		RETVAL = dt_e_setorient(ob, v);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_setschematic(ob, v)
	dt_Handle	ob
	dt_Integer	v
	CODE:
	{
		RETVAL = dt_e_setschematic(ob, v);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_translate(ob, dx, dy, dz)
	dt_Handle	ob
	dt_Real	dx
	dt_Real	dy
	dt_Real	dz
	CODE:
	{
		RETVAL = dt_e_translate(ob, dx, dy, dz);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_zerocoord(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_zerocoord(ob);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_alloc_program(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_alloc_program(ob);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_welcome(prog)
	dt_Handle	prog
	CODE:
	{
		RETVAL = dt_e_welcome(prog);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_converse(prog, msgob)
	dt_Handle	prog
	dt_Handle	msgob
	CODE:
	{
		RETVAL = dt_e_converse(prog, msgob);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_delimiter(prog)
	dt_Handle	prog
	CODE:
	{
		RETVAL = dt_e_delimiter(prog);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_setdelimiter(prog, value)
	dt_Handle	prog
	dt_Integer	value
	CODE:
	{
		RETVAL = dt_e_setdelimiter(prog, value);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_alloc_pathset(m)
	dt_Handle	m
	CODE:
	{
		RETVAL = dt_e_alloc_pathset(m);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_alloc_vbind(s)
	dt_String	s
	CODE:
	{
		RETVAL = dt_e_alloc_vbind(strlen(s), s);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_getval(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_getval(ob);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_pattern(transform, role)
	dt_Handle	transform
	dt_Integer	role
	CODE:
	{
		RETVAL = dt_e_pattern(transform, role);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_setval(ob, val)
	dt_Handle	ob
	dt_Handle	val
	CODE:
	{
		RETVAL = dt_e_setval(ob, val);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_smartin(s)
	dt_String	s
	CODE:
	{
		RETVAL = dt_e_smartin(strlen(s), s);
	}
	OUTPUT:
	RETVAL

SV *
dt_smarts_opt(s, vmatch)
	dt_String	s
	dt_Boolean	vmatch
	CODE:
	{
		int lenp = 0;
		char *tmp = NULL;

		tmp = dt_e_smarts_opt(&lenp, strlen(s), s, vmatch);
		if (tmp == NULL) {
			RETVAL = newSVpv("", 0);

		} else {
			RETVAL = newSVpv(tmp, lenp);
		}
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_smirkin(string)
	dt_String	string
	CODE:
	{
		RETVAL = dt_e_smirkin(strlen(string), string);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_transform(transform, som, direction, limit)
	dt_Handle	transform
	dt_Handle	som
	dt_Integer	direction
	dt_Integer	limit
	CODE:
	{
		RETVAL = dt_e_transform(transform, som, direction, limit);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_utransform(transform, som, direction, limit)
	dt_Handle	transform
	dt_Handle	som
	dt_Integer	direction
	dt_Integer	limit
	CODE:
	{
		RETVAL = dt_e_utransform(transform, som, direction, limit);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_xtransform(transform, som, direction, limit)
	dt_Handle	transform
	dt_Handle	som
	dt_Integer	direction
	dt_Integer	limit
	CODE:
	{
		RETVAL = dt_e_xtransform(transform, som, direction, limit);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_umatch(ob, mol, ex)
	dt_Handle	ob
	dt_Handle	mol
	dt_Integer	ex
	CODE:
	{
		RETVAL = dt_e_umatch(ob, mol, ex);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_vmatch(ob, mol, ex)
	dt_Handle	ob
	dt_Handle	mol
	dt_Integer	ex
	CODE:
	{
		RETVAL = dt_e_vmatch(ob, mol, ex);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_xmatch(ob, mol, ex)
	dt_Handle	ob
	dt_Handle	mol
	dt_Integer	ex
	CODE:
	{
		RETVAL = dt_e_xmatch(ob, mol, ex);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_thor_alloc_dataitem(tdth, dtypeh)
	dt_Handle	tdth
	dt_Handle	dtypeh
	CODE:
	{
		RETVAL = dt_e_thor_alloc_dataitem(tdth, dtypeh);
	}
	OUTPUT:
	RETVAL

dt_Real
dt_thor_autocrunch_limit(dbh, limit)
	dt_Handle	dbh
	dt_Real	limit
	CODE:
	{
		RETVAL = dt_e_thor_autocrunch_limit(dbh, limit);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_thor_cache(dbh, level)
	dt_Handle	dbh
	dt_Integer	level
	CODE:
	{
		RETVAL = dt_e_thor_cache(dbh, level);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_thor_cachecontrol(dbh, when, level)
	dt_Handle	dbh
	dt_Integer	when
	dt_Integer	level
	CODE:
	{
		RETVAL = dt_e_thor_cachecontrol(dbh, when, level);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_thor_cachesync(dbh)
	dt_Handle	dbh
	CODE:
	{
		RETVAL = dt_e_thor_cachesync(dbh);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_thor_createdb(server_handle, path, size_d, size_x)
	dt_Handle	server_handle
	dt_String	path
	dt_Integer	size_d
	dt_Integer	size_x
	CODE:
	{
		RETVAL = dt_e_thor_createdb(server_handle, strlen(path), path, size_d, size_x);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_thor_crunchdata(dbh)
	dt_Handle	dbh
	CODE:
	{
		RETVAL = dt_e_thor_crunchdata(dbh);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_thor_crunchxref(dbh)
	dt_Handle	dbh
	CODE:
	{
		RETVAL = dt_e_thor_crunchxref(dbh);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_thor_destroy(svh, path, password)
	dt_Handle	svh
	dt_String	path
	dt_String	password
	CODE:
	{
		RETVAL = dt_e_thor_destroy(svh, strlen(path), path, strlen(password), password);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_thor_indirect_hint(dbh, hint)
	dt_Handle	dbh
	dt_Integer	hint
	CODE:
	{
		RETVAL = dt_e_thor_indirect_hint(dbh, hint);
	}
	OUTPUT:
	RETVAL

SV *
dt_thor_getauxillarydb(dbh, which_db)
	dt_Handle	dbh
	dt_Integer	which_db
	CODE:
	{
		int plen = 0;
		char *tmp = NULL;

		tmp = dt_e_thor_getauxillarydb(&plen, dbh, which_db);
		if (tmp == NULL) {
			RETVAL = newSVpv("", 0);

		} else {
			RETVAL = newSVpv(tmp, plen);
		}
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_thor_moveitem(moveh, afterh)
	dt_Handle	moveh
	dt_Handle	afterh
	CODE:
	{
		RETVAL = dt_e_thor_moveitem(moveh, afterh);
	}
	OUTPUT:
	RETVAL

SV *
dt_thor_raw_datafield(dfh)
	dt_Handle	dfh
	CODE:
	{
		int plen = 0;
		char *tmp = NULL;

		tmp = dt_e_thor_raw_datafield(&plen, dfh);
		if (tmp == NULL) {
			RETVAL = newSVpv("", 0);

		} else {
			RETVAL = newSVpv(tmp, plen);
		}
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_thor_readonly(dbh)
	dt_Handle	dbh
	CODE:
	{
		RETVAL = dt_e_thor_readonly(dbh);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_thor_server(host, service, user, passwd, isnew)
	dt_String	host
	dt_String	service
	dt_String	user
	dt_String	passwd
	dt_Integer	&isnew
	CODE:
	{
		RETVAL = dt_e_thor_server(strlen(host), host, strlen(service), service, strlen(user), user, strlen(passwd), passwd, &isnew);
	}
	OUTPUT:
	RETVAL
	isnew

dt_Boolean
dt_thor_setauxillarydb(dbh, which_db, path)
	dt_Handle	dbh
	dt_Integer	which_db
	dt_String	path
	CODE:
	{
		RETVAL = dt_e_thor_setauxillarydb(dbh, which_db, strlen(path), path);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_thor_setreadonly(dbh, password, readonly)
	dt_Handle	dbh
	dt_String	password
	dt_Boolean	readonly
	CODE:
	{
		RETVAL = dt_e_thor_setreadonly(dbh, strlen(password), password, readonly);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_thor_settdtlocking(dbh, password, tdtlocking)
	dt_Handle	dbh
	dt_String	password
	dt_Boolean	tdtlocking
	CODE:
	{
		RETVAL = dt_e_thor_settdtlocking(dbh, strlen(password), password, tdtlocking);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_thor_str2tdt(dbh, str, merge)
	dt_Handle	dbh
	dt_String	str
	dt_Integer	merge
	CODE:
	{
		RETVAL = dt_e_thor_str2tdt(dbh, strlen(str), str, merge);
	}
	OUTPUT:
	RETVAL

SV *
dt_thor_tdt2str(tdth, exp)
	dt_Handle	tdth
	dt_Integer	exp
	CODE:
	{
		int plen = 0;
		char *tmp = NULL;

		tmp = dt_e_thor_tdt2str(&plen, tdth, exp);
		if (tmp == NULL) {
			RETVAL = newSVpv("", 0);

		} else {
			RETVAL = newSVpv(tmp, plen);
		}
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_thor_tdtlocking(dbh)
	dt_Handle	dbh
	CODE:
	{
		RETVAL = dt_e_thor_tdtlocking(dbh);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_thor_tdtget(parenth, dtypeh, id, writeable, pnew)
	dt_Handle	parenth
	dt_Handle	dtypeh
	dt_String	id
	dt_Integer	writeable
	dt_Integer	&pnew
	CODE:
	{
		RETVAL = dt_e_thor_tdtget(parenth, dtypeh, strlen(id), id, writeable, &pnew);
	}
	OUTPUT:
	RETVAL
	pnew

dt_Handle
dt_thor_tdtget_raw(dbh, tag, id, writeable)
	dt_Handle	dbh
	dt_String	tag
	dt_String	id
	dt_Boolean	writeable
	CODE:
	{
		RETVAL = dt_e_thor_tdtget_raw(dbh, strlen(tag), tag, strlen(id), id, writeable);
	}
	OUTPUT:
	RETVAL

SV *
dt_thor_tdtlockedby(dtypeh, id)
	dt_Handle	dtypeh
	dt_String	id
	CODE:
	{
		int plen = 0;
		char *tmp = NULL;

		tmp = dt_e_thor_tdtlockedby(&plen, dtypeh, strlen(id), id);
		if (tmp == NULL) {
			RETVAL = newSVpv("", 0);

		} else {
			RETVAL = newSVpv(tmp, plen);
		}
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_thor_tdtmerge(t1h, t2h)
	dt_Handle	t1h
	dt_Handle	t2h
	CODE:
	{
		RETVAL = dt_e_thor_tdtmerge(t1h, t2h);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_thor_tdtremove(tdth)
	dt_Handle	tdth
	CODE:
	{
		RETVAL = dt_e_thor_tdtremove(tdth);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_thor_tdtremove_raw(dbh, tag, id)
	dt_Handle	dbh
	dt_String	tag
	dt_String	id
	CODE:
	{
		RETVAL = dt_e_thor_tdtremove_raw(dbh, strlen(tag), tag, strlen(id), id);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_thor_tdtput(tdth, how)
	dt_Handle	tdth
	dt_Integer	how
	CODE:
	{
		RETVAL = dt_e_thor_tdtput(tdth, how);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_thor_tdtput_raw(dbh, tdtstr, how)
	dt_Handle	dbh
	dt_String	tdtstr
	dt_Integer	how
	CODE:
	{
		RETVAL = dt_e_thor_tdtput_raw(dbh, strlen(tdtstr), tdtstr, how);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_thor_tdtrevise(tdth)
	dt_Handle	tdth
	CODE:
	{
		RETVAL = dt_e_thor_tdtrevise(tdth);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_thor_xrefget(dbh, dtypeh, id, perror)
	dt_Handle	dbh
	dt_Handle	dtypeh
	dt_String	id
	dt_Integer	&perror
	CODE:
	{
		RETVAL = dt_e_thor_xrefget(dbh, dtypeh, strlen(id), id, &perror);
	}
	OUTPUT:
	RETVAL
	perror

dt_Handle
dt_thor_connect(host, service, userid, password)
	dt_String	host
	dt_String	service
	dt_String	userid
	dt_String	password
	CODE:
	{
		RETVAL = dt_thor_connect(host, service, userid, password);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_thor_add_directory(server, passwd, dir)
	dt_Handle	server
	dt_String	passwd
	dt_String	dir
	CODE:
	{
		RETVAL = dt_thor_add_directory(server, passwd, dir);
	}
	OUTPUT:
	RETVAL

SV *
dt_thor_list_directories(sh)
	dt_Handle	sh
	CODE:
	{
		int plen = 0;
		char *tmp = NULL;

		tmp = dt_e_thor_list_directories(&plen, sh);
		if (tmp == NULL) {
			RETVAL = newSVpv("", 0);

		} else {
			RETVAL = newSVpv(tmp, plen);
		}
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_thor_open(sh, path, perm, passwd)
	dt_Handle	sh
	dt_String	path
	dt_String	perm
	dt_String	passwd
	CODE:
	{
		RETVAL = dt_thor_open(sh, path, perm, passwd);
	}
	OUTPUT:
	RETVAL

SV *
dt_thor_list_databases(sh)
	dt_Handle	sh
	CODE:
	{
		int plen = 0;
		char *tmp = NULL;

		tmp = dt_e_thor_list_databases(&plen, sh);
		if (tmp == NULL) {
			RETVAL = newSVpv("", 0);

		} else {
			RETVAL = newSVpv(tmp, plen);
		}
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_thor_set_dtypes_db(dbh, path)
	dt_Handle	dbh
	dt_String	path
	CODE:
	{
		RETVAL = dt_e_thor_set_dtypes_db(dbh, path);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_thor_set_indir_db(dbh, path)
	dt_Handle	dbh
	dt_String	path
	CODE:
	{
		RETVAL = dt_e_thor_set_indir_db(dbh, path);
	}
	OUTPUT:
	RETVAL

SV *
dt_thor_dtypes_db(dbh)
	dt_Handle	dbh
	CODE:
	{
		int plen = 0;
		char *tmp = NULL;

		tmp = dt_e_thor_dtypes_db(&plen, dbh);
		if (tmp == NULL) {
			RETVAL = newSVpv("", 0);

		} else {
			RETVAL = newSVpv(tmp, plen);
		}
	}
	OUTPUT:
	RETVAL

SV *
dt_thor_indir_db(dbh)
	dt_Handle	dbh
	CODE:
	{
		int plen = 0;
		char *tmp = NULL;

		tmp = dt_e_thor_indir_db(&plen, dbh);
		if (tmp == NULL) {
			RETVAL = newSVpv("", 0);

		} else {
			RETVAL = newSVpv(tmp, plen);
		}
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_thor_create(svh, path, size_d, size_x, nd, nx)
	dt_Handle	svh
	dt_String	path
	dt_Integer	size_d
	dt_Integer	size_x
	dt_Integer	nd
	dt_Integer	nx
	CODE:
	{
		RETVAL = dt_e_thor_create(svh, path, size_d, size_x, nd, nx);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_thor_tdtdelete(tdth)
	dt_Handle	tdth
	CODE:
	{
		RETVAL = dt_e_thor_tdtdelete(tdth);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_thor_tdtputforced(tdth, merge)
	dt_Handle	tdth
	dt_Integer	merge
	CODE:
	{
		RETVAL = dt_e_thor_tdtputforced(tdth, merge);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_thor_tdtputraw(dbh, str)
	dt_Handle	dbh
	dt_String	str
	CODE:
	{
		RETVAL = dt_e_thor_tdtputraw(dbh, strlen(str), str);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_mer_server(host, service, userid, password, isnew)
	dt_String	host
	dt_String	service
	dt_String	userid
	dt_String	password
	dt_Integer	&isnew
	CODE:
	{
		RETVAL = dt_e_mer_server(strlen(host), host, strlen(service), service, strlen(userid), userid, strlen(password), password, &isnew);
	}
	OUTPUT:
	RETVAL
	isnew

SV *
dt_mer_action2name(serverh, iaction)
	dt_Handle	serverh
	dt_Integer	iaction
	CODE:
	{
		int plen = 0;
		char *tmp = NULL;

		tmp = dt_e_mer_action2name(&plen, serverh, iaction);
		if (tmp == NULL) {
			RETVAL = newSVpv("", 0);

		} else {
			RETVAL = newSVpv(tmp, plen);
		}
	}
	OUTPUT:
	RETVAL

SV *
dt_mer_function2name(serverh, ifunc)
	dt_Handle	serverh
	dt_Integer	ifunc
	CODE:
	{
		int plen = 0;
		char *tmp = NULL;

		tmp = dt_e_mer_function2name(&plen, serverh, ifunc);
		if (tmp == NULL) {
			RETVAL = newSVpv("", 0);

		} else {
			RETVAL = newSVpv(tmp, plen);
		}
	}
	OUTPUT:
	RETVAL

SV *
dt_mer_search2name(serverh, isearch)
	dt_Handle	serverh
	dt_Integer	isearch
	CODE:
	{
		int plen = 0;
		char *tmp = NULL;

		tmp = dt_e_mer_search2name(&plen, serverh, isearch);
		if (tmp == NULL) {
			RETVAL = newSVpv("", 0);

		} else {
			RETVAL = newSVpv(tmp, plen);
		}
	}
	OUTPUT:
	RETVAL

SV *
dt_mer_similar2name(serverh, isimilar)
	dt_Handle	serverh
	dt_Integer	isimilar
	CODE:
	{
		int plen = 0;
		char *tmp = NULL;

		tmp = dt_e_mer_similar2name(&plen, serverh, isimilar);
		if (tmp == NULL) {
			RETVAL = newSVpv("", 0);

		} else {
			RETVAL = newSVpv(tmp, plen);
		}
	}
	OUTPUT:
	RETVAL

SV *
dt_mer_sort2name(serverh, isort)
	dt_Handle	serverh
	dt_Integer	isort
	CODE:
	{
		int plen = 0;
		char *tmp = NULL;

		tmp = dt_e_mer_sort2name(&plen, serverh, isort);
		if (tmp == NULL) {
			RETVAL = newSVpv("", 0);

		} else {
			RETVAL = newSVpv(tmp, plen);
		}
	}
	OUTPUT:
	RETVAL

SV *
dt_mer_subselect2name(serverh, isubselect)
	dt_Handle	serverh
	dt_Integer	isubselect
	CODE:
	{
		int plen = 0;
		char *tmp = NULL;

		tmp = dt_e_mer_subselect2name(&plen, serverh, isubselect);
		if (tmp == NULL) {
			RETVAL = newSVpv("", 0);

		} else {
			RETVAL = newSVpv(tmp, plen);
		}
	}
	OUTPUT:
	RETVAL

SV *
dt_mer_superselect2name(serverh, isuperselect)
	dt_Handle	serverh
	dt_Integer	isuperselect
	CODE:
	{
		int plen = 0;
		char *tmp = NULL;

		tmp = dt_e_mer_superselect2name(&plen, serverh, isuperselect);
		if (tmp == NULL) {
			RETVAL = newSVpv("", 0);

		} else {
			RETVAL = newSVpv(tmp, plen);
		}
	}
	OUTPUT:
	RETVAL

SV *
dt_mer_progob2name(serverh, iprogob)
	dt_Handle	serverh
	dt_Integer	iprogob
	CODE:
	{
		int plen = 0;
		char *tmp = NULL;

		tmp = dt_e_mer_progob2name(&plen, serverh, iprogob);
		if (tmp == NULL) {
			RETVAL = newSVpv("", 0);

		} else {
			RETVAL = newSVpv(tmp, plen);
		}
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_mer_nactions(serverh)
	dt_Handle	serverh
	CODE:
	{
		RETVAL = dt_e_mer_nactions(serverh);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_mer_nfunctions(serverh)
	dt_Handle	serverh
	CODE:
	{
		RETVAL = dt_e_mer_nfunctions(serverh);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_mer_nsearches(serverh)
	dt_Handle	serverh
	CODE:
	{
		RETVAL = dt_e_mer_nsearches(serverh);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_mer_nsimilars(serverh)
	dt_Handle	serverh
	CODE:
	{
		RETVAL = dt_e_mer_nsimilars(serverh);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_mer_nsorts(serverh)
	dt_Handle	serverh
	CODE:
	{
		RETVAL = dt_e_mer_nsorts(serverh);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_mer_nsubselects(serverh)
	dt_Handle	serverh
	CODE:
	{
		RETVAL = dt_e_mer_nsubselects(serverh);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_mer_nsuperselects(serverh)
	dt_Handle	serverh
	CODE:
	{
		RETVAL = dt_e_mer_nsuperselects(serverh);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_mer_nprogobs(serverh)
	dt_Handle	serverh
	CODE:
	{
		RETVAL = dt_e_mer_nprogobs(serverh);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_mer_getnitems(pool, dtype)
	dt_Handle	pool
	dt_Handle	dtype
	CODE:
	{
		RETVAL = dt_e_mer_getnitems(pool, dtype);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_mer_alloc_column(poolh, ftypeh, functype)
	dt_Handle	poolh
	dt_Handle	ftypeh
	dt_Integer	functype
	CODE:
	{
		RETVAL = dt_e_mer_alloc_column(poolh, ftypeh, functype);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_mer_function(colh)
	dt_Handle	colh
	CODE:
	{
		RETVAL = dt_e_mer_function(colh);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_mer_alloc_hitlist(poolh)
	dt_Handle	poolh
	CODE:
	{
		RETVAL = dt_e_mer_alloc_hitlist(poolh);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_mer_clear(hith)
	dt_Handle	hith
	CODE:
	{
		RETVAL = dt_e_mer_clear(hith);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_mer_combinehitlists(hith1, hh2, action)
	dt_Handle	hith1
	dt_Handle	hh2
	dt_Integer	action
	CODE:
	{
		RETVAL = dt_e_mer_combinehitlists(hith1, hh2, action);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_mer_hit2id(hith, ihit)
	dt_Handle	hith
	dt_Integer	ihit
	CODE:
	{
		RETVAL = dt_e_mer_hit2id(hith, ihit);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_mer_id2hit(hith, id)
	dt_Handle	hith
	dt_Integer	id
	CODE:
	{
		RETVAL = dt_e_mer_id2hit(hith, id);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_mer_invert(hith)
	dt_Handle	hith
	CODE:
	{
		RETVAL = dt_e_mer_invert(hith);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_mer_length(hith)
	dt_Handle	hith
	CODE:
	{
		RETVAL = dt_e_mer_length(hith);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_mer_mvbottom(hith, ihit)
	dt_Handle	hith
	dt_Integer	ihit
	CODE:
	{
		RETVAL = dt_e_mer_mvbottom(hith, ihit);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_mer_mvtop(hith, ihit)
	dt_Handle	hith
	dt_Integer	ihit
	CODE:
	{
		RETVAL = dt_e_mer_mvtop(hith, ihit);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_mer_native(hith)
	dt_Handle	hith
	CODE:
	{
		RETVAL = dt_e_mer_native(hith);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_mer_reset(hith)
	dt_Handle	hith
	CODE:
	{
		RETVAL = dt_e_mer_reset(hith);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_mer_reverse(hith)
	dt_Handle	hith
	CODE:
	{
		RETVAL = dt_e_mer_reverse(hith);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_mer_sethits(hith, ch, sq)
	dt_Handle	hith
	dt_Handle	ch
	dt_Handle	sq
	CODE:
	{
		RETVAL = dt_e_mer_sethits(hith, ch, sq);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_mer_zapabove(hith, ihit)
	dt_Handle	hith
	dt_Integer	ihit
	CODE:
	{
		RETVAL = dt_e_mer_zapabove(hith, ihit);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_mer_zapbelow(hith, ihit)
	dt_Handle	hith
	dt_Integer	ihit
	CODE:
	{
		RETVAL = dt_e_mer_zapbelow(hith, ihit);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_mer_zapna(hith, colh)
	dt_Handle	hith
	dt_Handle	colh
	CODE:
	{
		RETVAL = dt_e_mer_zapna(hith, colh);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_mer_zapnonunique(hith, colh)
	dt_Handle	hith
	dt_Handle	colh
	CODE:
	{
		RETVAL = dt_e_mer_zapnonunique(hith, colh);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_mer_sort(hith, colh, sort, ascending, pret_status)
	dt_Handle	hith
	dt_Handle	colh
	dt_Integer	sort
	dt_Integer	ascending
	dt_Integer	&pret_status
	CODE:
	{
		RETVAL = dt_e_mer_sort(hith, colh, sort, ascending, &pret_status);
	}
	OUTPUT:
	RETVAL
	pret_status

dt_Integer
dt_mer_strsearch(hith, colh, search, action, find_next, ret_status, s1, s2)
	dt_Handle	hith
	dt_Handle	colh
	dt_Integer	search
	dt_Integer	action
	dt_Integer	find_next
	dt_Integer	&ret_status
	dt_String	s1
	dt_String	s2
	CODE:
	{
		RETVAL = dt_e_mer_strsearch(hith, colh, search, action, find_next, &ret_status, strlen(s1), s1, strlen(s2), s2);
	}
	OUTPUT:
	RETVAL
	ret_status

dt_Integer
dt_mer_numsearch(hith, colh, action, find_next, ret_status, low, high)
	dt_Handle	hith
	dt_Handle	colh
	dt_Integer	action
	dt_Integer	find_next
	dt_Integer	&ret_status
	float	low
	float	high
	CODE:
	{
		RETVAL = dt_e_mer_numsearch(hith, colh, action, find_next, &ret_status, low, high);
	}
	OUTPUT:
	RETVAL
	ret_status

dt_Integer
dt_mer_subselect(hith, colh, searchtype, action, find_next, ret_status, smiles)
	dt_Handle	hith
	dt_Handle	colh
	dt_Integer	searchtype
	dt_Integer	action
	dt_Integer	find_next
	dt_Integer	&ret_status
	dt_String	smiles
	CODE:
	{
		RETVAL = dt_e_mer_subselect(hith, colh, searchtype, action, find_next, &ret_status, strlen(smiles), smiles);
	}
	OUTPUT:
	RETVAL
	ret_status

dt_Integer
dt_mer_superselect(hith, colh, searchtype, action, find_next, ret_status, smiles)
	dt_Handle	hith
	dt_Handle	colh
	dt_Integer	searchtype
	dt_Integer	action
	dt_Integer	find_next
	dt_Integer	&ret_status
	dt_String	smiles
	CODE:
	{
		RETVAL = dt_e_mer_superselect(hith, colh, searchtype, action, find_next, &ret_status, strlen(smiles), smiles);
	}
	OUTPUT:
	RETVAL
	ret_status

dt_Integer
dt_mer_supermixtureselect(hh, colh, isearch, iaction, find_next, pstatus, chortles)
	dt_Handle	hh
	dt_Handle	colh
	dt_Integer	isearch
	dt_Integer	iaction
	dt_Integer	find_next
	dt_Integer	&pstatus
	dt_String	chortles
	CODE:
	{
		RETVAL = dt_e_mer_supermixtureselect(hh, colh, isearch, iaction, find_next, &pstatus, strlen(chortles), chortles);
	}
	OUTPUT:
	RETVAL
	pstatus

dt_Integer
dt_mer_submixtureselect(hh, colh, isearch, iaction, find_next, pstatus, chortles)
	dt_Handle	hh
	dt_Handle	colh
	dt_Integer	isearch
	dt_Integer	iaction
	dt_Integer	find_next
	dt_Integer	&pstatus
	dt_String	chortles
	CODE:
	{
		RETVAL = dt_e_mer_submixtureselect(hh, colh, isearch, iaction, find_next, &pstatus, strlen(chortles), chortles);
	}
	OUTPUT:
	RETVAL
	pstatus

dt_Integer
dt_mer_similarselect(hith, colh, similartype, action, find_next, ret_status, smiles, limit, alpha, beta)
	dt_Handle	hith
	dt_Handle	colh
	dt_Integer	similartype
	dt_Integer	action
	dt_Integer	find_next
	dt_Integer	&ret_status
	dt_String	smiles
	dt_Real	limit
	dt_Real	alpha
	dt_Real	beta
	CODE:
	{
		RETVAL = dt_e_mer_similarselect(hith, colh, similartype, action, find_next, &ret_status, strlen(smiles), smiles, limit, alpha, beta);
	}
	OUTPUT:
	RETVAL
	ret_status

dt_Integer
dt_mer_progob_compare(hith, target_colh, results_colh, iprogob, pattern_bin, parameters, pstatus)
	dt_Handle	hith
	dt_Handle	target_colh
	dt_Handle	results_colh
	dt_Integer	iprogob
	dt_Handle	pattern_bin
	dt_Handle	parameters
	dt_Integer	&pstatus
	CODE:
	{
		RETVAL = dt_e_mer_progob_compare(hith, target_colh, results_colh, iprogob, pattern_bin, parameters, &pstatus);
	}
	OUTPUT:
	RETVAL
	pstatus

dt_Handle
dt_mer_progob_compute(poolh, iprogob, strobj, parms)
	dt_Handle	poolh
	dt_Integer	iprogob
	dt_Handle	strobj
	dt_Handle	parms
	CODE:
	{
		RETVAL = dt_e_mer_progob_compute(poolh, iprogob, strobj, parms);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_mer_progob_computeparams(poolh, iprogob)
	dt_Handle	poolh
	dt_Integer	iprogob
	CODE:
	{
		RETVAL = dt_e_mer_progob_computeparams(poolh, iprogob);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_mer_progob_compareparams(poolh, iprogob)
	dt_Handle	poolh
	dt_Integer	iprogob
	CODE:
	{
		RETVAL = dt_e_mer_progob_compareparams(poolh, iprogob);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_mer_similar(hith, colh, similartype, action, find_next, ret_status, smiles, limit)
	dt_Handle	hith
	dt_Handle	colh
	dt_Integer	similartype
	dt_Integer	action
	dt_Integer	find_next
	dt_Integer	&ret_status
	dt_String	smiles
	float	limit
	CODE:
	{
		RETVAL = dt_e_mer_similar(hith, colh, similartype, action, find_next, &ret_status, strlen(smiles), smiles, limit);
	}
	OUTPUT:
	RETVAL
	ret_status

SV *
dt_mer_cellvalue(colh, hith, ihit)
	dt_Handle	colh
	dt_Handle	hith
	dt_Integer	ihit
	CODE:
	{
		int plen = 0;
		char *tmp = NULL;

		tmp = dt_e_mer_cellvalue(&plen, colh, hith, ihit);
		if (tmp == NULL) {
			RETVAL = newSVpv("", 0);

		} else {
			RETVAL = newSVpv(tmp, plen);
		}
	}
	OUTPUT:
	RETVAL

SV *
dt_mer_getdata(hith, ihit, ftypeh, nth)
	dt_Handle	hith
	dt_Integer	ihit
	dt_Handle	ftypeh
	dt_Integer	nth
	CODE:
	{
		int plen = 0;
		char *tmp = NULL;

		tmp = dt_e_mer_getdata(&plen, hith, ihit, ftypeh, nth);
		if (tmp == NULL) {
			RETVAL = newSVpv("", 0);

		} else {
			RETVAL = newSVpv(tmp, plen);
		}
	}
	OUTPUT:
	RETVAL

SV *
dt_mer_getroot(hh, ihit)
	dt_Handle	hh
	dt_Integer	ihit
	CODE:
	{
		int plen = 0;
		char *tmp = NULL;

		tmp = dt_e_mer_getroot(&plen, hh, ihit);
		if (tmp == NULL) {
			RETVAL = newSVpv("", 0);

		} else {
			RETVAL = newSVpv(tmp, plen);
		}
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_mer_defaultsort(colh)
	dt_Handle	colh
	CODE:
	{
		RETVAL = dt_e_mer_defaultsort(colh);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_mer_sortapplies(colh, sort)
	dt_Handle	colh
	dt_Integer	sort
	CODE:
	{
		RETVAL = dt_e_mer_sortapplies(colh, sort);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_mer_funcapplies(ftypeh, function)
	dt_Handle	ftypeh
	dt_Integer	function
	CODE:
	{
		RETVAL = dt_e_mer_funcapplies(ftypeh, function);
	}
	OUTPUT:
	RETVAL

SV *
dt_comments(dth)
	dt_Handle	dth
	CODE:
	{
		int plen = 0;
		char *tmp = NULL;

		tmp = dt_e_comments(&plen, dth);
		if (tmp == NULL) {
			RETVAL = newSVpv("", 0);

		} else {
			RETVAL = newSVpv(tmp, plen);
		}
	}
	OUTPUT:
	RETVAL

SV *
dt_membership(dth)
	dt_Handle	dth
	CODE:
	{
		int plen = 0;
		char *tmp = NULL;

		tmp = dt_e_membership(&plen, dth);
		if (tmp == NULL) {
			RETVAL = newSVpv("", 0);

		} else {
			RETVAL = newSVpv(tmp, plen);
		}
	}
	OUTPUT:
	RETVAL

SV *
dt_owner(dth)
	dt_Handle	dth
	CODE:
	{
		int plen = 0;
		char *tmp = NULL;

		tmp = dt_e_owner(&plen, dth);
		if (tmp == NULL) {
			RETVAL = newSVpv("", 0);

		} else {
			RETVAL = newSVpv(tmp, plen);
		}
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_alloc_monomertable()
	CODE:
	{
		RETVAL = dt_e_alloc_monomertable();
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_alloc_monomerpat(parenth, mseth, x_operator, low_limit, high_limit)
	dt_Handle	parenth
	dt_Handle	mseth
	dt_Integer	x_operator
	dt_Integer	low_limit
	dt_Integer	high_limit
	CODE:
	{
		RETVAL = dt_e_alloc_monomerpat(parenth, mseth, x_operator, low_limit, high_limit);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_alloc_monomerset(parenth)
	dt_Handle	parenth
	CODE:
	{
		RETVAL = dt_e_alloc_monomerset(parenth);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_alloc_multimer(monomertable)
	dt_Handle	monomertable
	CODE:
	{
		RETVAL = dt_e_alloc_multimer(monomertable);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_alloc_varimer(monomertable)
	dt_Handle	monomertable
	CODE:
	{
		RETVAL = dt_e_alloc_varimer(monomertable);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_alloc_varimerpat(parenth)
	dt_Handle	parenth
	CODE:
	{
		RETVAL = dt_e_alloc_varimerpat(parenth);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_define_monomer(monomertable, symbol, smiles, name)
	dt_Handle	monomertable
	dt_String	symbol
	dt_String	smiles
	dt_String	name
	CODE:
	{
		RETVAL = dt_e_define_monomer(monomertable, strlen(symbol), symbol, strlen(smiles), smiles, strlen(name), name);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_alloc_mono_path(mvh)
	dt_Handle	mvh
	CODE:
	{
		RETVAL = dt_e_alloc_mono_path(mvh);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_alloc_mono_pathset(mvh)
	dt_Handle	mvh
	CODE:
	{
		RETVAL = dt_e_alloc_mono_pathset(mvh);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_getbyval(mth, value)
	dt_Handle	mth
	dt_String	value
	CODE:
	{
		RETVAL = dt_e_getbyval(mth, strlen(value), value);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_getbysym(mth, symbol, how)
	dt_Handle	mth
	dt_String	symbol
	dt_Integer	how
	CODE:
	{
		RETVAL = dt_e_getbysym(mth, strlen(symbol), symbol, how);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_badlyformed(obh, errcode)
	dt_Handle	obh
	dt_Integer	&errcode
	CODE:
	{
		RETVAL = dt_e_badlyformed(obh, &errcode);
	}
	OUTPUT:
	RETVAL
	errcode

SV *
dt_canchuck(ob)
	dt_Handle	ob
	CODE:
	{
		int plen = 0;
		char *tmp = NULL;

		tmp = dt_e_canchuck(&plen, ob);
		if (tmp == NULL) {
			RETVAL = newSVpv("", 0);

		} else {
			RETVAL = newSVpv(tmp, plen);
		}
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_equal(mv1, mv2)
	dt_Handle	mv1
	dt_Handle	mv2
	CODE:
	{
		RETVAL = dt_e_equal(mv1, mv2);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_getbond(m1h, r1, pm2, pr2)
	dt_Handle	m1h
	dt_Integer	r1
	dt_Handle	&pm2
	dt_Integer	&pr2
	CODE:
	{
		RETVAL = dt_e_getbond(m1h, r1, &pm2, &pr2);
	}
	OUTPUT:
	RETVAL
	pm2
	pr2

dt_Handle
dt_intersection(mv1, mv2, mv3)
	dt_Handle	mv1
	dt_Handle	mv2
	dt_Handle	mv3
	CODE:
	{
		RETVAL = dt_e_intersection(mv1, mv2, mv3);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_neighbors(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_neighbors(ob);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_setbond(m1h, r1, m2h, r2, btyp)
	dt_Handle	m1h
	dt_Integer	r1
	dt_Handle	m2h
	dt_Integer	r2
	dt_Integer	btyp
	CODE:
	{
		RETVAL = dt_e_setbond(m1h, r1, m2h, r2, btyp);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_subset(mv1, mv2)
	dt_Handle	mv1
	dt_Handle	mv2
	CODE:
	{
		RETVAL = dt_e_subset(mv1, mv2);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_union(mv1, mv2, mv3)
	dt_Handle	mv1
	dt_Handle	mv2
	dt_Handle	mv3
	CODE:
	{
		RETVAL = dt_e_union(mv1, mv2, mv3);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_chuckin(monotable, chuck)
	dt_Handle	monotable
	dt_String	chuck
	CODE:
	{
		RETVAL = dt_e_chuckin(monotable, strlen(chuck), chuck);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_chortin(monotable, chort)
	dt_Handle	monotable
	dt_String	chort
	CODE:
	{
		RETVAL = dt_e_chortin(monotable, strlen(chort), chort);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_chartin(monotable, chart)
	dt_Handle	monotable
	dt_String	chart
	CODE:
	{
		RETVAL = dt_e_chartin(monotable, strlen(chart), chart);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_getbysymbol(mth, symbol)
	dt_Handle	mth
	dt_String	symbol
	CODE:
	{
		RETVAL = dt_e_getbysymbol(mth, strlen(symbol), symbol);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_getbyvalue(mth, value)
	dt_Handle	mth
	dt_String	value
	CODE:
	{
		RETVAL = dt_e_getbyvalue(mth, strlen(value), value);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_uid2multimer(vh, uid)
	dt_Handle	vh
	dt_Integer	uid
	CODE:
	{
		RETVAL = dt_e_uid2multimer(vh, uid);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_fp_allocfp(size)
	dt_Integer	size
	CODE:
	{
		RETVAL = dt_e_fp_allocfp(size);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_fp_bitcount(fph)
	dt_Handle	fph
	CODE:
	{
		RETVAL = dt_e_fp_bitcount(fph);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_fp_bitvalue(fph, bitno)
	dt_Handle	fph
	dt_Integer	bitno
	CODE:
	{
		RETVAL = dt_e_fp_bitvalue(fph, bitno);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_fp_differencefp(obh, minsteps, steps, size)
	dt_Handle	obh
	dt_Integer	minsteps
	dt_Integer	steps
	dt_Integer	size
	CODE:
	{
		RETVAL = dt_e_fp_differencefp(obh, minsteps, steps, size);
	}
	OUTPUT:
	RETVAL

dt_Real
dt_fp_euclid(fpth, fpoh)
	dt_Handle	fpth
	dt_Handle	fpoh
	CODE:
	{
		RETVAL = dt_e_fp_euclid(fpth, fpoh);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_fp_fingertest(fpth, fpoh)
	dt_Handle	fpth
	dt_Handle	fpoh
	CODE:
	{
		RETVAL = dt_e_fp_fingertest(fpth, fpoh);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_fp_foldfp(fph, minsize, mindensity)
	dt_Handle	fph
	dt_Integer	minsize
	dt_Real	mindensity
	CODE:
	{
		RETVAL = dt_e_fp_foldfp(fph, minsize, mindensity);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_fp_generatefp(obh, minsteps, steps, size)
	dt_Handle	obh
	dt_Integer	minsteps
	dt_Integer	steps
	dt_Integer	size
	CODE:
	{
		RETVAL = dt_e_fp_generatefp(obh, minsteps, steps, size);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_fp_nbits(fph)
	dt_Handle	fph
	CODE:
	{
		RETVAL = dt_e_fp_nbits(fph);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_fp_obitcount(fph)
	dt_Handle	fph
	CODE:
	{
		RETVAL = dt_e_fp_obitcount(fph);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_fp_obits(fph)
	dt_Handle	fph
	CODE:
	{
		RETVAL = dt_e_fp_obits(fph);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_fp_partfp(part, obh, minsteps, steps, size)
	dt_Handle	part
	dt_Handle	obh
	dt_Integer	minsteps
	dt_Integer	steps
	dt_Integer	size
	CODE:
	{
		RETVAL = dt_e_fp_partfp(part, obh, minsteps, steps, size);
	}
	OUTPUT:
	RETVAL

SV *
dt_fp_range(fph, offset, nbits, soffset)
	dt_Handle	fph
	dt_Integer	offset
	dt_Integer	nbits
	dt_Integer	&soffset
	CODE:
	{
		int slen = 0;
		char *tmp = NULL;

		tmp = dt_e_fp_range(&slen, fph, offset, nbits, &soffset);
		if (tmp == NULL) {
			RETVAL = newSVpv("", 0);

		} else {
			RETVAL = newSVpv(tmp, slen);
		}
	}
	OUTPUT:
	RETVAL
	soffset

dt_Boolean
dt_fp_setbitvalue(fph, bitno, value)
	dt_Handle	fph
	dt_Integer	bitno
	dt_Boolean	value
	CODE:
	{
		RETVAL = dt_e_fp_setbitvalue(fph, bitno, value);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_fp_setobitcount(fph, obitcount)
	dt_Handle	fph
	dt_Integer	obitcount
	CODE:
	{
		RETVAL = dt_e_fp_setobitcount(fph, obitcount);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_fp_setobits(fph, obits)
	dt_Handle	fph
	dt_Integer	obits
	CODE:
	{
		RETVAL = dt_e_fp_setobits(fph, obits);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_fp_setrange(fph, offset, nbits, str, soffset, operation)
	dt_Handle	fph
	dt_Integer	offset
	dt_Integer	nbits
	dt_String	str
	dt_Integer	soffset
	dt_Integer	operation
	CODE:
	{
		RETVAL = dt_e_fp_setrange(fph, offset, nbits, strlen(str), str, soffset, operation);
	}
	OUTPUT:
	RETVAL

dt_Real
dt_fp_tanimoto(fpth, fpoh)
	dt_Handle	fpth
	dt_Handle	fpoh
	CODE:
	{
		RETVAL = dt_e_fp_tanimoto(fpth, fpoh);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_fp_commonbitcount(fpth, fpoh)
	dt_Handle	fpth
	dt_Handle	fpoh
	CODE:
	{
		RETVAL = dt_e_fp_commonbitcount(fpth, fpoh);
	}
	OUTPUT:
	RETVAL

dt_Real
dt_fp_tversky(fpah, fpbh, alpha, beta)
	dt_Handle	fpah
	dt_Handle	fpbh
	dt_Real	alpha
	dt_Real	beta
	CODE:
	{
		RETVAL = dt_e_fp_tversky(fpah, fpbh, alpha, beta);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_fp_alloc()
	CODE:
	{
		RETVAL = dt_e_fp_alloc();
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_fp_fingerprint(molh, dofold)
	dt_Handle	molh
	dt_Boolean	dofold
	CODE:
	{
		RETVAL = dt_e_fp_fingerprint(molh, dofold);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_fp_fold(fph)
	dt_Handle	fph
	CODE:
	{
		RETVAL = dt_e_fp_fold(fph);
	}
	OUTPUT:
	RETVAL

dt_Real
dt_fp_mindensity()
	CODE:
	{
		RETVAL = dt_e_fp_mindensity();
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_fp_minsize()
	CODE:
	{
		RETVAL = dt_e_fp_minsize();
	}
	OUTPUT:
	RETVAL

dt_Real
dt_fp_setmindensity(d)
	dt_Real	d
	CODE:
	{
		RETVAL = dt_e_fp_setmindensity(d);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_fp_setminsize(bits)
	dt_Integer	bits
	CODE:
	{
		RETVAL = dt_e_fp_setminsize(bits);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_fp_setsize(bits)
	dt_Integer	bits
	CODE:
	{
		RETVAL = dt_e_fp_setsize(bits);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_fp_size()
	CODE:
	{
		RETVAL = dt_e_fp_size();
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_abort(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_abort(ob);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_add(ob, elt)
	dt_Handle	ob
	dt_Handle	elt
	CODE:
	{
		RETVAL = dt_e_add(ob, elt);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_addatom(ob, atno, hct)
	dt_Handle	ob
	dt_Integer	atno
	dt_Integer	hct
	CODE:
	{
		RETVAL = dt_e_addatom(ob, atno, hct);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_addbond(a0, a1, btyp)
	dt_Handle	a0
	dt_Handle	a1
	dt_Integer	btyp
	CODE:
	{
		RETVAL = dt_e_addbond(a0, a1, btyp);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_addcomponent(rxn, mol, role)
	dt_Handle	rxn
	dt_Handle	mol
	dt_Integer	role
	CODE:
	{
		RETVAL = dt_e_addcomponent(rxn, mol, role);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_adjunct(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_adjunct(ob);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_alloc_integer()
	CODE:
	{
		RETVAL = dt_e_alloc_integer();
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_alloc_mol()
	CODE:
	{
		RETVAL = dt_e_alloc_mol();
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_alloc_path(mh)
	dt_Handle	mh
	CODE:
	{
		RETVAL = dt_e_alloc_path(mh);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_alloc_reaction()
	CODE:
	{
		RETVAL = dt_e_alloc_reaction();
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_alloc_real()
	CODE:
	{
		RETVAL = dt_e_alloc_real();
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_alloc_seq()
	CODE:
	{
		RETVAL = dt_e_alloc_seq();
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_alloc_string(s)
	dt_String	s
	CODE:
	{
		RETVAL = dt_e_alloc_string(strlen(s), s);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_alloc_substruct(mh)
	dt_Handle	mh
	CODE:
	{
		RETVAL = dt_e_alloc_substruct(mh);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_append(ob, elt)
	dt_Handle	ob
	dt_Handle	elt
	CODE:
	{
		RETVAL = dt_e_append(ob, elt);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_appendstring(ob, name, str)
	dt_Handle	ob
	dt_String	name
	dt_String	str
	CODE:
	{
		RETVAL = dt_e_appendstring(ob, strlen(name), name, strlen(str), str);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_appendstringvalue(ob, value)
	dt_Handle	ob
	dt_String	value
	CODE:
	{
		RETVAL = dt_e_appendstringvalue(ob, strlen(value), value);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_arborder(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_arborder(ob);
	}
	OUTPUT:
	RETVAL

SV *
dt_arbsmiles(ob, iso)
	dt_Handle	ob
	dt_Boolean	iso
	CODE:
	{
		int lenp = 0;
		char *tmp = NULL;

		tmp = dt_e_arbsmiles(&lenp, ob, iso);
		if (tmp == NULL) {
			RETVAL = newSVpv("", 0);

		} else {
			RETVAL = newSVpv(tmp, lenp);
		}
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_arbstream(mh, type, iso, addh)
	dt_Handle	mh
	dt_Integer	type
	dt_Boolean	iso
	dt_Boolean	addh
	CODE:
	{
		RETVAL = dt_e_arbstream(mh, type, iso, addh);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_aromatic(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_aromatic(ob);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_ascii2binary(ascii)
	dt_String	ascii
	CODE:
	{
		RETVAL = dt_e_ascii2binary(strlen(ascii), ascii);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_atend(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_atend(ob);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_atstart(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_atstart(ob);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_base(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_base(ob);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_binary2ascii(bin)
	dt_String	bin
	CODE:
	{
		RETVAL = dt_e_binary2ascii(strlen(bin), bin);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_binary2asciilen(bin)
	dt_String	bin
	CODE:
	{
		RETVAL = dt_e_binary2asciilen(strlen(bin), bin);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_bond(a0, a1)
	dt_Handle	a0
	dt_Handle	a1
	CODE:
	{
		RETVAL = dt_e_bond(a0, a1);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_bondorder(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_bondorder(ob);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_bondtype(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_bondtype(ob);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_boolean(ob, name)
	dt_Handle	ob
	dt_String	name
	CODE:
	{
		RETVAL = dt_e_boolean(ob, strlen(name), name);
	}
	OUTPUT:
	RETVAL

SV *
dt_briefname(ob)
	dt_Handle	ob
	CODE:
	{
		int plen = 0;
		char *tmp = NULL;

		tmp = dt_e_briefname(&plen, ob);
		if (tmp == NULL) {
			RETVAL = newSVpv("", 0);

		} else {
			RETVAL = newSVpv(tmp, plen);
		}
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_canatom_stream(mh, iso, addh)
	dt_Handle	mh
	dt_Boolean	iso
	dt_Boolean	addh
	CODE:
	{
		RETVAL = dt_e_canatom_stream(mh, iso, addh);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_canbond_stream(mh, iso, addh)
	dt_Handle	mh
	dt_Boolean	iso
	dt_Boolean	addh
	CODE:
	{
		RETVAL = dt_e_canbond_stream(mh, iso, addh);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_canstream(mh, type, iso, addh)
	dt_Handle	mh
	dt_Integer	type
	dt_Boolean	iso
	dt_Boolean	addh
	CODE:
	{
		RETVAL = dt_e_canstream(mh, type, iso, addh);
	}
	OUTPUT:
	RETVAL

SV *
dt_cansmiles(ob, iso)
	dt_Handle	ob
	dt_Boolean	iso
	CODE:
	{
		int lenp = 0;
		char *tmp = NULL;

		tmp = dt_e_cansmiles(&lenp, ob, iso);
		if (tmp == NULL) {
			RETVAL = newSVpv("", 0);

		} else {
			RETVAL = newSVpv(tmp, lenp);
		}
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_charge(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_charge(ob);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_check_license(check_what, product)
	dt_Integer	check_what
	dt_String	product
	CODE:
	{
		RETVAL = dt_e_check_license(check_what, strlen(product), product);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_chiclass(chival)
	dt_Integer	chival
	CODE:
	{
		RETVAL = dt_e_chiclass(chival);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_chiorder(chival)
	dt_Integer	chival
	CODE:
	{
		RETVAL = dt_e_chiorder(chival);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_chiperm(bseqh, bh, chival)
	dt_Handle	bseqh
	dt_Handle	bh
	dt_Integer	chival
	CODE:
	{
		RETVAL = dt_e_chiperm(bseqh, bh, chival);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_chiseq(a, v)
	dt_Handle	a
	dt_Integer	v
	CODE:
	{
		RETVAL = dt_e_chiseq(a, v);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_chival(a, s)
	dt_Handle	a
	dt_Handle	s
	CODE:
	{
		RETVAL = dt_e_chival(a, s);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_continue(s, return_status)
	dt_Handle	s
	dt_Integer	&return_status
	CODE:
	{
		RETVAL = dt_e_continue(s, &return_status);
	}
	OUTPUT:
	RETVAL
	return_status

dt_Handle
dt_copy(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_copy(ob);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_count(ob, typ)
	dt_Handle	ob
	dt_Integer	typ
	CODE:
	{
		RETVAL = dt_e_count(ob, typ);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_database(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_database(ob);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_datatype(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_datatype(ob);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_dbo(ob, b0, b1)
	dt_Handle	ob
	dt_Handle	b0
	dt_Handle	b1
	CODE:
	{
		RETVAL = dt_e_dbo(ob, b0, b1);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_define(ob, symbol, name)
	dt_Handle	ob
	dt_String	symbol
	dt_String	name
	CODE:
	{
		RETVAL = dt_e_define(ob, strlen(symbol), symbol, strlen(name), name);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_dealloc(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_dealloc(ob);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_delete(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_delete(ob);
	}
	OUTPUT:
	RETVAL

SV *
dt_description(ob)
	dt_Handle	ob
	CODE:
	{
		int plen = 0;
		char *tmp = NULL;

		tmp = dt_e_description(&plen, ob);
		if (tmp == NULL) {
			RETVAL = newSVpv("", 0);

		} else {
			RETVAL = newSVpv(tmp, plen);
		}
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_dfnorm(ob, norm)
	dt_Handle	ob
	dt_Integer	norm
	CODE:
	{
		RETVAL = dt_e_dfnorm(ob, norm);
	}
	OUTPUT:
	RETVAL

SV *
dt_dfnormdata(ob, norm)
	dt_Handle	ob
	dt_Integer	norm
	CODE:
	{
		int plen = 0;
		char *tmp = NULL;

		tmp = dt_e_dfnormdata(&plen, ob, norm);
		if (tmp == NULL) {
			RETVAL = newSVpv("", 0);

		} else {
			RETVAL = newSVpv(tmp, plen);
		}
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_done_when(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_done_when(ob);
	}
	OUTPUT:
	RETVAL

void
dt_errorclear()
	CODE:
	{
		dt_e_errorclear();
	}

dt_Integer
dt_errorworst()
	CODE:
	{
		RETVAL = dt_e_errorworst();
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_errors(lev)
	dt_Integer	lev
	CODE:
	{
		RETVAL = dt_e_errors(lev);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_errorsave(func, msg)
	dt_String	func
	dt_String	msg
	CODE:
	{
		RETVAL = dt_e_errorsave(func, strlen(msg), msg);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_evict(ob, password, username, message, do_eviction)
	dt_Handle	ob
	dt_String	password
	dt_String	username
	dt_Handle	message
	dt_Boolean	do_eviction
	CODE:
	{
		RETVAL = dt_e_evict(ob, strlen(password), password, strlen(username), username, message, do_eviction);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_exists(server, name)
	dt_Handle	server
	dt_String	name
	CODE:
	{
		RETVAL = dt_e_exists(server, strlen(name), name);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_fieldtype(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_fieldtype(ob);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_getdatabases(server)
	dt_Handle	server
	CODE:
	{
		RETVAL = dt_e_getdatabases(server);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_getdatatype(ob, tag)
	dt_Handle	ob
	dt_String	tag
	CODE:
	{
		RETVAL = dt_e_getdatatype(ob, strlen(tag), tag);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_getmap(atom)
	dt_Handle	atom
	CODE:
	{
		RETVAL = dt_e_getmap(atom);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_getpasswords(server)
	dt_Handle	server
	CODE:
	{
		RETVAL = dt_e_getpasswords(server);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_getrole(ob1, ob2)
	dt_Handle	ob1
	dt_Handle	ob2
	CODE:
	{
		RETVAL = dt_e_getrole(ob1, ob2);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_getsearchpath(server)
	dt_Handle	server
	CODE:
	{
		RETVAL = dt_e_getsearchpath(server);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_getusers(server)
	dt_Handle	server
	CODE:
	{
		RETVAL = dt_e_getusers(server);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_handle(ob, name)
	dt_Handle	ob
	dt_String	name
	CODE:
	{
		RETVAL = dt_e_handle(ob, strlen(name), name);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_hcount(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_hcount(ob);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_hold(ob, pw)
	dt_Handle	ob
	dt_String	pw
	CODE:
	{
		RETVAL = dt_e_hold(ob, strlen(pw), pw);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_imp_hcount(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_imp_hcount(ob);
	}
	OUTPUT:
	RETVAL

SV *
dt_info(ob, req)
	dt_Handle	ob
	dt_String	req
	CODE:
	{
		int lenp = 0;
		char *tmp = NULL;

		tmp = dt_e_info(&lenp, ob, req);
		if (tmp == NULL) {
			RETVAL = newSVpv("", 0);

		} else {
			RETVAL = newSVpv(tmp, lenp);
		}
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_insert(ob, elt)
	dt_Handle	ob
	dt_Handle	elt
	CODE:
	{
		RETVAL = dt_e_insert(ob, elt);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_integer(ob, name)
	dt_Handle	ob
	dt_String	name
	CODE:
	{
		RETVAL = dt_e_integer(ob, strlen(name), name);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_integervalue(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_integervalue(ob);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_invalid(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_invalid(ob);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_isheld(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_isheld(ob);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_isopen(server, name)
	dt_Handle	server
	dt_String	name
	CODE:
	{
		RETVAL = dt_e_isopen(server, strlen(name), name);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_ispublic(server, name)
	dt_Handle	server
	dt_String	name
	CODE:
	{
		RETVAL = dt_e_ispublic(server, strlen(name), name);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_isohydro()
	CODE:
	{
		RETVAL = dt_e_isohydro();
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_mapped(a1, a2)
	dt_Handle	a1
	dt_Handle	a2
	CODE:
	{
		RETVAL = dt_e_mapped(a1, a2);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_match(ob, mol, exists)
	dt_Handle	ob
	dt_Handle	mol
	dt_Integer	exists
	CODE:
	{
		RETVAL = dt_e_match(ob, mol, exists);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_member(ob, elt)
	dt_Handle	ob
	dt_Handle	elt
	CODE:
	{
		RETVAL = dt_e_member(ob, elt);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_mod_is_on(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_mod_is_on(ob);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_mod_off(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_mod_off(ob);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_mod_on(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_mod_on(ob);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_molecule(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_molecule(ob);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_monomertable(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_monomertable(ob);
	}
	OUTPUT:
	RETVAL

SV *
dt_name(ob)
	dt_Handle	ob
	CODE:
	{
		int plen = 0;
		char *tmp = NULL;

		tmp = dt_e_name(&plen, ob);
		if (tmp == NULL) {
			RETVAL = newSVpv("", 0);

		} else {
			RETVAL = newSVpv(tmp, plen);
		}
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_next(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_next(ob);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_number(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_number(ob);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_open(s, path, perm, pass, isnew)
	dt_Handle	s
	dt_String	path
	dt_String	perm
	dt_String	pass
	dt_Integer	&isnew
	CODE:
	{
		RETVAL = dt_e_open(s, strlen(path), path, strlen(perm), perm, strlen(pass), pass, &isnew);
	}
	OUTPUT:
	RETVAL
	isnew

dt_Handle
dt_origsmi_stream(mh)
	dt_Handle	mh
	CODE:
	{
		RETVAL = dt_e_origsmi_stream(mh);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_origstream(mh, type)
	dt_Handle	mh
	dt_Integer	type
	CODE:
	{
		RETVAL = dt_e_origstream(mh, type);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_parent(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_parent(ob);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_ping(server, s)
	dt_Handle	server
	dt_String	s
	CODE:
	{
		RETVAL = dt_e_ping(server, strlen(s), s);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_propnames(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_propnames(ob);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_proptype(ob, name)
	dt_Handle	ob
	dt_String	name
	CODE:
	{
		RETVAL = dt_e_proptype(ob, strlen(name), name);
	}
	OUTPUT:
	RETVAL

dt_Real
dt_real(ob, name)
	dt_Handle	ob
	dt_String	name
	CODE:
	{
		RETVAL = dt_e_real(ob, strlen(name), name);
	}
	OUTPUT:
	RETVAL

dt_Real
dt_realvalue(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_realvalue(ob);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_release(ob, pw)
	dt_Handle	ob
	dt_String	pw
	CODE:
	{
		RETVAL = dt_e_release(ob, strlen(pw), pw);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_remove(ob, elt)
	dt_Handle	ob
	dt_Handle	elt
	CODE:
	{
		RETVAL = dt_e_remove(ob, elt);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_reset(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_reset(ob);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_seqsort(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_seqsort(ob);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_server(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_server(ob);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_set_server_timeout(new_time)
	dt_Integer	new_time
	CODE:
	{
		RETVAL = dt_e_set_server_timeout(new_time);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_setadjunct(ob, adj)
	dt_Handle	ob
	dt_Handle	adj
	CODE:
	{
		RETVAL = dt_e_setadjunct(ob, adj);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_setarborder(ob, val)
	dt_Handle	ob
	dt_Integer	val
	CODE:
	{
		RETVAL = dt_e_setarborder(ob, val);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_setaromatic(ob, val)
	dt_Handle	ob
	dt_Boolean	val
	CODE:
	{
		RETVAL = dt_e_setaromatic(ob, val);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_setboolean(ob, name, value)
	dt_Handle	ob
	dt_String	name
	dt_Boolean	value
	CODE:
	{
		RETVAL = dt_e_setboolean(ob, strlen(name), name, value);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_setbondorder(ob, val)
	dt_Handle	ob
	dt_Integer	val
	CODE:
	{
		RETVAL = dt_e_setbondorder(ob, val);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_setbondtype(ob, val)
	dt_Handle	ob
	dt_Integer	val
	CODE:
	{
		RETVAL = dt_e_setbondtype(ob, val);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_setcharge(ob, val)
	dt_Handle	ob
	dt_Integer	val
	CODE:
	{
		RETVAL = dt_e_setcharge(ob, val);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_setchival(a, s, v)
	dt_Handle	a
	dt_Handle	s
	dt_Integer	v
	CODE:
	{
		RETVAL = dt_e_setchival(a, s, v);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_setdbo(ob, b0, b1, v)
	dt_Handle	ob
	dt_Handle	b0
	dt_Handle	b1
	dt_Integer	v
	CODE:
	{
		RETVAL = dt_e_setdbo(ob, b0, b1, v);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_sethandle(ob, name, value)
	dt_Handle	ob
	dt_String	name
	dt_Handle	value
	CODE:
	{
		RETVAL = dt_e_sethandle(ob, strlen(name), name, value);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_setimp_hcount(ob, val)
	dt_Handle	ob
	dt_Integer	val
	CODE:
	{
		RETVAL = dt_e_setimp_hcount(ob, val);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_setinteger(ob, name, value)
	dt_Handle	ob
	dt_String	name
	dt_Integer	value
	CODE:
	{
		RETVAL = dt_e_setinteger(ob, strlen(name), name, value);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_setintegervalue(ob, value)
	dt_Handle	ob
	dt_Integer	value
	CODE:
	{
		RETVAL = dt_e_setintegervalue(ob, value);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_setmap(a1, a2)
	dt_Handle	a1
	dt_Handle	a2
	CODE:
	{
		RETVAL = dt_e_setmap(a1, a2);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_setmessage(ob, password, when, message)
	dt_Handle	ob
	dt_String	password
	dt_Integer	when
	dt_Handle	message
	CODE:
	{
		RETVAL = dt_e_setmessage(ob, strlen(password), password, when, message);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_setnumber(ob, val)
	dt_Handle	ob
	dt_Integer	val
	CODE:
	{
		RETVAL = dt_e_setnumber(ob, val);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_setpassword(ob, what, oldpw, newpw)
	dt_Handle	ob
	dt_String	what
	dt_String	oldpw
	dt_String	newpw
	CODE:
	{
		RETVAL = dt_e_setpassword(ob, what, oldpw, newpw);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_setreal(ob, name, value)
	dt_Handle	ob
	dt_String	name
	dt_Real	value
	CODE:
	{
		RETVAL = dt_e_setreal(ob, strlen(name), name, value);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_setrealvalue(ob, value)
	dt_Handle	ob
	dt_Real	value
	CODE:
	{
		RETVAL = dt_e_setrealvalue(ob, value);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_setsearchpath(server, password, dir, replace)
	dt_Handle	server
	dt_String	password
	dt_String	dir
	dt_Integer	replace
	CODE:
	{
		RETVAL = dt_e_setsearchpath(server, strlen(password), password, strlen(dir), dir, replace);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_setstring(ob, name, value)
	dt_Handle	ob
	dt_String	name
	dt_String	value
	CODE:
	{
		RETVAL = dt_e_setstring(ob, strlen(name), name, strlen(value), value);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_setstringvalue(ob, value)
	dt_Handle	ob
	dt_String	value
	CODE:
	{
		RETVAL = dt_e_setstringvalue(ob, strlen(value), value);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_setweight(ob, val)
	dt_Handle	ob
	dt_Integer	val
	CODE:
	{
		RETVAL = dt_e_setweight(ob, val);
	}
	OUTPUT:
	RETVAL

SV *
dt_smiles(ob)
	dt_Handle	ob
	CODE:
	{
		int lenp = 0;
		char *tmp = NULL;

		tmp = dt_e_smiles(&lenp, ob);
		if (tmp == NULL) {
			RETVAL = newSVpv("", 0);

		} else {
			RETVAL = newSVpv(tmp, lenp);
		}
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_smilin(s)
	dt_String	s
	CODE:
	{
		RETVAL = dt_e_smilin(strlen(s), s);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_smilinerrors()
	CODE:
	{
		RETVAL = dt_e_smilinerrors();
	}
	OUTPUT:
	RETVAL

SV *
dt_smilinerrtext()
	CODE:
	{
		int lenp = 0;
		char *tmp = NULL;

		tmp = dt_e_smilinerrtext(&lenp);
		if (tmp == NULL) {
			RETVAL = newSVpv("", 0);

		} else {
			RETVAL = newSVpv(tmp, lenp);
		}
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_stream(ob, typ)
	dt_Handle	ob
	dt_Integer	typ
	CODE:
	{
		RETVAL = dt_e_stream(ob, typ);
	}
	OUTPUT:
	RETVAL

SV *
dt_string(ob, name)
	dt_Handle	ob
	dt_String	name
	CODE:
	{
		int slen = 0;
		char *tmp = NULL;

		tmp = dt_e_string(&slen, ob, strlen(name), name);
		if (tmp == NULL) {
			RETVAL = newSVpv("", 0);

		} else {
			RETVAL = newSVpv(tmp, slen);
		}
	}
	OUTPUT:
	RETVAL

SV *
dt_stringvalue(ob)
	dt_Handle	ob
	CODE:
	{
		int plen = 0;
		char *tmp = NULL;

		tmp = dt_e_stringvalue(&plen, ob);
		if (tmp == NULL) {
			RETVAL = newSVpv("", 0);

		} else {
			RETVAL = newSVpv(tmp, plen);
		}
	}
	OUTPUT:
	RETVAL

SV *
dt_summary(ob)
	dt_Handle	ob
	CODE:
	{
		int plen = 0;
		char *tmp = NULL;

		tmp = dt_e_summary(&plen, ob);
		if (tmp == NULL) {
			RETVAL = newSVpv("", 0);

		} else {
			RETVAL = newSVpv(tmp, plen);
		}
	}
	OUTPUT:
	RETVAL

SV *
dt_symbol(ob)
	dt_Handle	ob
	CODE:
	{
		int lenp = 0;
		char *tmp = NULL;

		tmp = dt_e_symbol(&lenp, ob);
		if (tmp == NULL) {
			RETVAL = newSVpv("", 0);

		} else {
			RETVAL = newSVpv(tmp, lenp);
		}
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_symclass(ob, i)
	dt_Handle	ob
	dt_Boolean	i
	CODE:
	{
		RETVAL = dt_e_symclass(ob, i);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_symorder(ob, i)
	dt_Handle	ob
	dt_Boolean	i
	CODE:
	{
		RETVAL = dt_e_symorder(ob, i);
	}
	OUTPUT:
	RETVAL

SV *
dt_tag(ob)
	dt_Handle	ob
	CODE:
	{
		int plen = 0;
		char *tmp = NULL;

		tmp = dt_e_tag(&plen, ob);
		if (tmp == NULL) {
			RETVAL = newSVpv("", 0);

		} else {
			RETVAL = newSVpv(tmp, plen);
		}
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_toend(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_toend(ob);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_type(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_type(ob);
	}
	OUTPUT:
	RETVAL

SV *
dt_typename(ob)
	dt_Handle	ob
	CODE:
	{
		int lenp = 0;
		char *tmp = NULL;

		tmp = dt_e_typename(&lenp, ob);
		if (tmp == NULL) {
			RETVAL = newSVpv("", 0);

		} else {
			RETVAL = newSVpv(tmp, lenp);
		}
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_uid(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_uid(ob);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_uidrange(ob, typ)
	dt_Handle	ob
	dt_Integer	typ
	CODE:
	{
		RETVAL = dt_e_uidrange(ob, typ);
	}
	OUTPUT:
	RETVAL

dt_Integer
dt_weight(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_weight(ob);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_xatom(a, b)
	dt_Handle	a
	dt_Handle	b
	CODE:
	{
		RETVAL = dt_e_xatom(a, b);
	}
	OUTPUT:
	RETVAL

SV *
dt_xsmiles(ob, iso, explicit_hydrogens)
	dt_Handle	ob
	dt_Integer	iso
	dt_Integer	explicit_hydrogens
	CODE:
	{
		int slen = 0;
		char *tmp = NULL;

		tmp = dt_e_xsmiles(&slen, ob, iso, explicit_hydrogens);
		if (tmp == NULL) {
			RETVAL = newSVpv("", 0);

		} else {
			RETVAL = newSVpv(tmp, slen);
		}
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_cansmi_stream(mh, iso)
	dt_Handle	mh
	dt_Boolean	iso
	CODE:
	{
		RETVAL = dt_e_cansmi_stream(mh, iso);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_seqappend(ob, elt)
	dt_Handle	ob
	dt_Handle	elt
	CODE:
	{
		RETVAL = dt_e_seqappend(ob, elt);
	}
	OUTPUT:
	RETVAL

dt_Boolean
dt_seqdelete(ob)
	dt_Handle	ob
	CODE:
	{
		RETVAL = dt_e_seqdelete(ob);
	}
	OUTPUT:
	RETVAL

dt_Handle
dt_seqinsert(ob, elt)
	dt_Handle	ob
	dt_Handle	elt
	CODE:
	{
		RETVAL = dt_e_seqinsert(ob, elt);
	}
	OUTPUT:
	RETVAL

